from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_appstream_privilege_type = Union[Literal["CreateUpdatedImage"], Literal["ListAssociatedFleets"], Literal["CreateImageBuilderStreamingURL"], Literal["CreateAppBlockBuilder"], Literal["DeleteImagePermissions"], Literal["DescribeApplications"], Literal["ExpireSession"], Literal["StopFleet"], Literal["DeleteImage"], Literal["CreateStack"], Literal["CopyImage"], Literal["AssociateApplicationFleet"], Literal["DeleteImageBuilder"], Literal["CreateUser"], Literal["DescribeAppBlockBuilderAppBlockAssociations"], Literal["DescribeEntitlements"], Literal["DisableUser"], Literal["CreateStreamingURL"], Literal["UpdateImagePermissions"], Literal["UpdateStack"], Literal["DisassociateAppBlockBuilderAppBlock"], Literal["UntagResource"], Literal["AssociateAppBlockBuilderAppBlock"], Literal["BatchDisassociateUserStack"], Literal["CreateApplication"], Literal["DeleteUsageReportSubscription"], Literal["DisassociateFleet"], Literal["CreateEntitlement"], Literal["StartFleet"], Literal["DeleteFleet"], Literal["DescribeUserStackAssociations"], Literal["DisassociateApplicationFromEntitlement"], Literal["DeleteAppBlock"], Literal["UpdateApplication"], Literal["CreateAppBlockBuilderStreamingURL"], Literal["DeleteAppBlockBuilder"], Literal["ListTagsForResource"], Literal["StartAppBlockBuilder"], Literal["StartImageBuilder"], Literal["DescribeImageBuilders"], Literal["DescribeAppBlocks"], Literal["BatchAssociateUserStack"], Literal["DeleteStack"], Literal["DisassociateApplicationFleet"], Literal["DescribeImages"], Literal["CreateAppBlock"], Literal["EnableUser"], Literal["DeleteApplication"], Literal["DeleteDirectoryConfig"], Literal["UpdateEntitlement"], Literal["CreateDirectoryConfig"], Literal["DescribeAppBlockBuilders"], Literal["DescribeSessions"], Literal["CreateImageBuilder"], Literal["DescribeImagePermissions"], Literal["UpdateAppBlockBuilder"], Literal["CreateUsageReportSubscription"], Literal["DescribeDirectoryConfigs"], Literal["StopImageBuilder"], Literal["DescribeUsageReportSubscriptions"], Literal["ListAssociatedStacks"], Literal["StopAppBlockBuilder"], Literal["DescribeUsers"], Literal["TagResource"], Literal["DescribeFleets"], Literal["DescribeStacks"], Literal["DeleteEntitlement"], Literal["DescribeApplicationFleetAssociations"], Literal["ListEntitledApplications"], Literal["Stream"], Literal["UpdateFleet"], Literal["AssociateFleet"], Literal["DeleteUser"], Literal["AssociateApplicationToEntitlement"], Literal["UpdateDirectoryConfig"], Literal["CreateFleet"]]
aws_appstream_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:ResourceTag/${TagKey}"], Literal["appstream:userId"], Literal["aws:RequestTag/${TagKey}"]]

class aws_appstreamStatement(GenericResourceType[aws_appstream_privilege_type, aws_appstream_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    