from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_appsync_privilege_type = Union[Literal["GetSchemaCreationStatus"], Literal["ListTypesByAssociation"], Literal["GetResolver"], Literal["UpdateFunction"], Literal["AssociateApi"], Literal["AssociateSourceGraphqlApi"], Literal["CreateGraphqlApi"], Literal["GetApiCache"], Literal["GetIntrospectionSchema"], Literal["UntagResource"], Literal["UpdateResolver"], Literal["GetFunction"], Literal["CreateFunction"], Literal["AssociateMergedGraphqlApi"], Literal["GraphQL"], Literal["ListApiKeys"], Literal["UpdateApiCache"], Literal["CreateApiCache"], Literal["EvaluateCode"], Literal["DeleteApiKey"], Literal["GetSourceApiAssociation"], Literal["ListFunctions"], Literal["ListDomainNames"], Literal["UpdateDataSource"], Literal["GetDomainName"], Literal["UpdateApiKey"], Literal["SetWebACL"], Literal["CreateResolver"], Literal["DisassociateSourceGraphqlApi"], Literal["CreateDomainName"], Literal["ListDataSources"], Literal["GetDataSource"], Literal["DeleteDomainName"], Literal["ListTagsForResource"], Literal["UpdateGraphqlApi"], Literal["CreateApiKey"], Literal["CreateType"], Literal["DeleteGraphqlApi"], Literal["DeleteApiCache"], Literal["DeleteFunction"], Literal["DisassociateApi"], Literal["StartSchemaCreation"], Literal["GetGraphqlApi"], Literal["UpdateSourceApiAssociation"], Literal["PutResourcePolicy"], Literal["GetResourcePolicy"], Literal["ListTypes"], Literal["CreateDataSource"], Literal["UpdateType"], Literal["DeleteResolver"], Literal["ListResolvers"], Literal["GetType"], Literal["StartSchemaMerge"], Literal["UpdateDomainName"], Literal["ListSourceApiAssociations"], Literal["ListGraphqlApis"], Literal["SourceGraphQL"], Literal["DeleteResourcePolicy"], Literal["TagResource"], Literal["GetApiAssociation"], Literal["EvaluateMappingTemplate"], Literal["DeleteDataSource"], Literal["StartDataSourceIntrospection"], Literal["ListResolversByFunction"], Literal["FlushApiCache"], Literal["DeleteType"], Literal["GetDataSourceIntrospection"], Literal["DisassociateMergedGraphqlApi"]]
aws_appsync_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:ResourceTag/${TagKey}"], Literal["appsync:Visibility"], Literal["aws:RequestTag/${TagKey}"]]

class aws_appsyncStatement(GenericResourceType[aws_appsync_privilege_type, aws_appsync_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    