from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_auditmanager_privilege_type = Union[Literal["GetEvidenceFoldersByAssessment"], Literal["BatchImportEvidenceToAssessmentControl"], Literal["GetSettings"], Literal["UntagResource"], Literal["DeleteAssessment"], Literal["UpdateAssessmentStatus"], Literal["DeleteAssessmentFramework"], Literal["GetChangeLogs"], Literal["CreateControl"], Literal["UpdateAssessmentControlSetStatus"], Literal["CreateAssessmentFramework"], Literal["ListControlInsightsByControlDomain"], Literal["BatchCreateDelegationByAssessment"], Literal["UpdateAssessmentControl"], Literal["GetEvidenceFolder"], Literal["ListAssessmentReports"], Literal["DeleteAssessmentReport"], Literal["GetEvidence"], Literal["ListControlDomainInsightsByAssessment"], Literal["GetAssessmentFramework"], Literal["GetInsightsByAssessment"], Literal["StartAssessmentFrameworkShare"], Literal["DeleteAssessmentFrameworkShare"], Literal["GetAssessment"], Literal["ListTagsForResource"], Literal["DeleteControl"], Literal["AssociateAssessmentReportEvidenceFolder"], Literal["GetControl"], Literal["ListAssessmentControlInsightsByControlDomain"], Literal["UpdateAssessment"], Literal["GetEvidenceFoldersByAssessmentControl"], Literal["ListAssessments"], Literal["ListControls"], Literal["ListNotifications"], Literal["GetEvidenceFileUploadUrl"], Literal["GetOrganizationAdminAccount"], Literal["BatchDisassociateAssessmentReportEvidence"], Literal["UpdateSettings"], Literal["ListAssessmentFrameworks"], Literal["UpdateAssessmentFramework"], Literal["ListAssessmentFrameworkShareRequests"], Literal["CreateAssessmentReport"], Literal["UpdateControl"], Literal["BatchDeleteDelegationByAssessment"], Literal["DisassociateAssessmentReportEvidenceFolder"], Literal["RegisterOrganizationAdminAccount"], Literal["UpdateAssessmentFrameworkShare"], Literal["ListControlDomainInsights"], Literal["GetDelegations"], Literal["ValidateAssessmentReportIntegrity"], Literal["DeregisterOrganizationAdminAccount"], Literal["ListKeywordsForDataSource"], Literal["RegisterAccount"], Literal["GetAccountStatus"], Literal["GetInsights"], Literal["DeregisterAccount"], Literal["CreateAssessment"], Literal["TagResource"], Literal["GetEvidenceByEvidenceFolder"], Literal["GetServicesInScope"], Literal["GetAssessmentReportUrl"], Literal["BatchAssociateAssessmentReportEvidence"]]
aws_auditmanager_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_auditmanagerStatement(GenericResourceType[aws_auditmanager_privilege_type, aws_auditmanager_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    