from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_ce_privilege_type = Union[Literal["GetCostAndUsageWithResources"], Literal["CreateCostCategoryDefinition"], Literal["ListCostAllocationTags"], Literal["UntagResource"], Literal["DescribeReport"], Literal["GetCostCategories"], Literal["GetUsageForecast"], Literal["GetSavingsPlansCoverage"], Literal["GetSavingsPlansPurchaseRecommendation"], Literal["ProvideAnomalyFeedback"], Literal["CreateNotificationSubscription"], Literal["GetDimensionValues"], Literal["DeleteCostCategoryDefinition"], Literal["DeleteReport"], Literal["GetSavingsPlansUtilization"], Literal["CreateAnomalyMonitor"], Literal["GetSavingsPlansUtilizationDetails"], Literal["UpdateConsoleActionSetEnforced"], Literal["GetAnomalySubscriptions"], Literal["ListTagsForResource"], Literal["UpdatePreferences"], Literal["GetReservationPurchaseRecommendation"], Literal["DeleteNotificationSubscription"], Literal["GetCostAndUsage"], Literal["GetConsoleActionSetEnforced"], Literal["UpdateAnomalyMonitor"], Literal["UpdateAnomalySubscription"], Literal["UpdateReport"], Literal["StartSavingsPlansPurchaseRecommendationGeneration"], Literal["DeleteAnomalySubscription"], Literal["GetPreferences"], Literal["GetReservationUtilization"], Literal["DescribeCostCategoryDefinition"], Literal["CreateAnomalySubscription"], Literal["ListCostCategoryDefinitions"], Literal["DescribeNotificationSubscription"], Literal["GetAnomalyMonitors"], Literal["CreateReport"], Literal["GetAnomalies"], Literal["GetReservationCoverage"], Literal["UpdateCostAllocationTagsStatus"], Literal["GetTags"], Literal["GetSavingsPlanPurchaseRecommendationDetails"], Literal["UpdateCostCategoryDefinition"], Literal["GetRightsizingRecommendation"], Literal["TagResource"], Literal["GetCostForecast"], Literal["GetApproximateUsageRecords"], Literal["UpdateNotificationSubscription"], Literal["DeleteAnomalyMonitor"], Literal["ListSavingsPlansPurchaseRecommendationGeneration"]]
aws_ce_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:ResourceTag/${TagKey}"], Literal["aws:RequestTag/${TagKey}"]]

class aws_ceStatement(GenericResourceType[aws_ce_privilege_type, aws_ce_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    