from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_cleanrooms_privilege_type = Union[Literal["CreateConfiguredTableAssociation"], Literal["UpdateConfiguredTable"], Literal["DeletePrivacyBudgetTemplate"], Literal["UntagResource"], Literal["ListMembers"], Literal["GetMembership"], Literal["UpdateMembership"], Literal["UpdateConfiguredTableAnalysisRule"], Literal["ListPrivacyBudgets"], Literal["GetConfiguredAudienceModelAssociation"], Literal["CreatePrivacyBudgetTemplate"], Literal["ListCollaborations"], Literal["UpdateAnalysisTemplate"], Literal["UpdateConfiguredTableAssociation"], Literal["GetSchema"], Literal["GetCollaborationConfiguredAudienceModelAssociation"], Literal["GetCollaboration"], Literal["ListConfiguredTableAssociations"], Literal["ListMemberships"], Literal["GetAnalysisTemplate"], Literal["GetCollaborationAnalysisTemplate"], Literal["GetProtectedQuery"], Literal["GetCollaborationPrivacyBudgetTemplate"], Literal["DeleteAnalysisTemplate"], Literal["ListConfiguredAudienceModelAssociations"], Literal["CreateConfiguredTable"], Literal["DeleteConfiguredTableAssociation"], Literal["DeleteConfiguredAudienceModelAssociation"], Literal["CreateCollaboration"], Literal["ListTagsForResource"], Literal["BatchGetCollaborationAnalysisTemplate"], Literal["PreviewPrivacyImpact"], Literal["UpdateProtectedQuery"], Literal["GetSchemaAnalysisRule"], Literal["ListCollaborationPrivacyBudgets"], Literal["CreateAnalysisTemplate"], Literal["CreateConfiguredAudienceModelAssociation"], Literal["ListProtectedQueries"], Literal["ListSchemas"], Literal["UpdateCollaboration"], Literal["ListCollaborationPrivacyBudgetTemplates"], Literal["DeleteConfiguredTableAnalysisRule"], Literal["DeleteMembership"], Literal["BatchGetSchema"], Literal["ListConfiguredTables"], Literal["UpdateConfiguredAudienceModelAssociation"], Literal["DeleteCollaboration"], Literal["GetConfiguredTableAnalysisRule"], Literal["UpdatePrivacyBudgetTemplate"], Literal["DeleteMember"], Literal["StartProtectedQuery"], Literal["GetConfiguredTable"], Literal["ListAnalysisTemplates"], Literal["TagResource"], Literal["ListPrivacyBudgetTemplates"], Literal["GetConfiguredTableAssociation"], Literal["CreateConfiguredTableAnalysisRule"], Literal["ListCollaborationConfiguredAudienceModelAssociations"], Literal["CreateMembership"], Literal["ListCollaborationAnalysisTemplates"], Literal["GetPrivacyBudgetTemplate"], Literal["DeleteConfiguredTable"]]
aws_cleanrooms_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:ResourceTag/${TagKey}"], Literal["aws:RequestTag/${TagKey}"]]

class aws_cleanroomsStatement(GenericResourceType[aws_cleanrooms_privilege_type, aws_cleanrooms_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    