from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_datasync_privilege_type = Union[Literal["ListTaskExecutions"], Literal["DescribeLocationFsxLustre"], Literal["UntagResource"], Literal["ListTasks"], Literal["CreateAgent"], Literal["CreateLocationFsxOpenZfs"], Literal["ListDiscoveryJobs"], Literal["UpdateLocationHdfs"], Literal["StartTaskExecution"], Literal["CreateLocationNfs"], Literal["CreateLocationAzureBlob"], Literal["UpdateLocationAzureBlob"], Literal["UpdateAgent"], Literal["DescribeAgent"], Literal["DescribeLocationFsxOntap"], Literal["DescribeTask"], Literal["CreateLocationS3"], Literal["ListStorageSystems"], Literal["DescribeLocationFsxWindows"], Literal["CreateLocationFsxWindows"], Literal["DescribeTaskExecution"], Literal["DescribeLocationSmb"], Literal["StopDiscoveryJob"], Literal["DeleteTask"], Literal["ListTagsForResource"], Literal["ListLocations"], Literal["CancelTaskExecution"], Literal["UpdateLocationSmb"], Literal["CreateLocationFsxLustre"], Literal["DescribeLocationObjectStorage"], Literal["DescribeLocationEfs"], Literal["DescribeDiscoveryJob"], Literal["DescribeLocationS3"], Literal["UpdateStorageSystem"], Literal["AddStorageSystem"], Literal["DescribeLocationNfs"], Literal["CreateLocationFsxOntap"], Literal["CreateLocationSmb"], Literal["DescribeStorageSystemResourceMetrics"], Literal["DescribeStorageSystemResources"], Literal["RemoveStorageSystem"], Literal["StartDiscoveryJob"], Literal["UpdateLocationObjectStorage"], Literal["CreateLocationObjectStorage"], Literal["DeleteAgent"], Literal["UpdateTask"], Literal["DescribeLocationFsxOpenZfs"], Literal["CreateLocationEfs"], Literal["DeleteLocation"], Literal["CreateLocationHdfs"], Literal["DescribeStorageSystem"], Literal["UpdateLocationNfs"], Literal["TagResource"], Literal["UpdateTaskExecution"], Literal["DescribeLocationAzureBlob"], Literal["GenerateRecommendations"], Literal["UpdateDiscoveryJob"], Literal["ListAgents"], Literal["DescribeLocationHdfs"], Literal["CreateTask"]]
aws_datasync_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:ResourceTag/${TagKey}"], Literal["aws:RequestTag/${TagKey}"]]

class aws_datasyncStatement(GenericResourceType[aws_datasync_privilege_type, aws_datasync_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    