from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_devicefarm_privilege_type = Union[Literal["GetVPCEConfiguration"], Literal["DeleteRemoteAccessSession"], Literal["StopRun"], Literal["CreateTestGridProject"], Literal["DeleteDevicePool"], Literal["ListTestGridProjects"], Literal["PurchaseOffering"], Literal["GetInstanceProfile"], Literal["ListOfferingTransactions"], Literal["UpdateDevicePool"], Literal["DeleteTestGridProject"], Literal["UpdateProject"], Literal["GetDevicePoolCompatibility"], Literal["GetRemoteAccessSession"], Literal["DeleteVPCEConfiguration"], Literal["GetRun"], Literal["ScheduleRun"], Literal["StopJob"], Literal["TagResource"], Literal["UpdateInstanceProfile"], Literal["GetJob"], Literal["CreateProject"], Literal["CreateVPCEConfiguration"], Literal["InstallToRemoteAccessSession"], Literal["GetNetworkProfile"], Literal["ListRuns"], Literal["ListDevices"], Literal["GetTestGridSession"], Literal["CreateRemoteAccessSession"], Literal["ListProjects"], Literal["ListVPCEConfigurations"], Literal["UpdateVPCEConfiguration"], Literal["DeleteProject"], Literal["CreateUpload"], Literal["GetTestGridProject"], Literal["ListUploads"], Literal["ListTestGridSessionActions"], Literal["GetDeviceInstance"], Literal["ListDeviceInstances"], Literal["CreateNetworkProfile"], Literal["ListNetworkProfiles"], Literal["ListSuites"], Literal["RenewOffering"], Literal["ListSamples"], Literal["GetOfferingStatus"], Literal["GetDevicePool"], Literal["DeleteUpload"], Literal["ListTestGridSessionArtifacts"], Literal["GetAccountSettings"], Literal["ListInstanceProfiles"], Literal["UpdateUpload"], Literal["DeleteRun"], Literal["ListTests"], Literal["GetProject"], Literal["ListRemoteAccessSessions"], Literal["GetUpload"], Literal["CreateTestGridUrl"], Literal["DeleteNetworkProfile"], Literal["ListOfferingPromotions"], Literal["UntagResource"], Literal["UpdateDeviceInstance"], Literal["ListArtifacts"], Literal["ListTestGridSessions"], Literal["CreateInstanceProfile"], Literal["GetTest"], Literal["CreateDevicePool"], Literal["ListDevicePools"], Literal["GetDevice"], Literal["ListUniqueProblems"], Literal["ListTagsForResource"], Literal["GetSuite"], Literal["DeleteInstanceProfile"], Literal["ListOfferings"], Literal["ListJobs"], Literal["UpdateNetworkProfile"], Literal["UpdateTestGridProject"], Literal["StopRemoteAccessSession"]]
aws_devicefarm_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_devicefarmStatement(GenericResourceType[aws_devicefarm_privilege_type, aws_devicefarm_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    