from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_directconnect_privilege_type = Union[Literal["AllocatePrivateVirtualInterface"], Literal["AllocatePublicVirtualInterface"], Literal["AcceptDirectConnectGatewayAssociationProposal"], Literal["CreateInterconnect"], Literal["DescribeVirtualGateways"], Literal["CreateDirectConnectGatewayAssociation"], Literal["StopBgpFailoverTest"], Literal["UntagResource"], Literal["CreateTransitVirtualInterface"], Literal["ConfirmTransitVirtualInterface"], Literal["DescribeHostedConnections"], Literal["CreatePublicVirtualInterface"], Literal["UpdateVirtualInterfaceAttributes"], Literal["DescribeTags"], Literal["ConfirmPrivateVirtualInterface"], Literal["DisassociateConnectionFromLag"], Literal["DescribeLoa"], Literal["DeleteInterconnect"], Literal["DescribeDirectConnectGatewayAttachments"], Literal["DescribeConnections"], Literal["UpdateDirectConnectGatewayAssociation"], Literal["ConfirmPublicVirtualInterface"], Literal["CreateConnection"], Literal["AssociateVirtualInterface"], Literal["DeleteBGPPeer"], Literal["UpdateConnection"], Literal["AllocateHostedConnection"], Literal["DescribeDirectConnectGatewayAssociations"], Literal["DescribeCustomerMetadata"], Literal["DeleteConnection"], Literal["StartBgpFailoverTest"], Literal["AssociateHostedConnection"], Literal["ConfirmCustomerAgreement"], Literal["DescribeConnectionsOnInterconnect"], Literal["CreateBGPPeer"], Literal["DescribeInterconnects"], Literal["ConfirmConnection"], Literal["AssociateMacSecKey"], Literal["DescribeLags"], Literal["DisassociateMacSecKey"], Literal["DescribeVirtualInterfaces"], Literal["DescribeLocations"], Literal["CreateLag"], Literal["DeleteVirtualInterface"], Literal["DeleteLag"], Literal["DescribeRouterConfiguration"], Literal["CreateDirectConnectGateway"], Literal["DescribeConnectionLoa"], Literal["UpdateLag"], Literal["AllocateConnectionOnInterconnect"], Literal["DescribeDirectConnectGateways"], Literal["CreatePrivateVirtualInterface"], Literal["ListVirtualInterfaceTestHistory"], Literal["TagResource"], Literal["AssociateConnectionWithLag"], Literal["DeleteDirectConnectGatewayAssociation"], Literal["UpdateDirectConnectGateway"], Literal["DeleteDirectConnectGatewayAssociationProposal"], Literal["CreateDirectConnectGatewayAssociationProposal"], Literal["DeleteDirectConnectGateway"], Literal["AllocateTransitVirtualInterface"], Literal["DescribeInterconnectLoa"], Literal["DescribeDirectConnectGatewayAssociationProposals"]]
aws_directconnect_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_directconnectStatement(GenericResourceType[aws_directconnect_privilege_type, aws_directconnect_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    