from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_dynamodb_privilege_type = Union[Literal["PutItem"], Literal["DescribeReservedCapacityOfferings"], Literal["ListContributorInsights"], Literal["UntagResource"], Literal["DisableKinesisStreamingDestination"], Literal["UpdateGlobalTableSettings"], Literal["GetRecords"], Literal["BatchGetItem"], Literal["UpdateItem"], Literal["ListTables"], Literal["PurchaseReservedCapacityOfferings"], Literal["RestoreTableFromBackup"], Literal["ListGlobalTables"], Literal["DescribeContributorInsights"], Literal["DeleteBackup"], Literal["DescribeTableReplicaAutoScaling"], Literal["ListExports"], Literal["DescribeLimits"], Literal["DescribeExport"], Literal["PartiQLUpdate"], Literal["RestoreTableToPointInTime"], Literal["UpdateContinuousBackups"], Literal["DescribeTable"], Literal["CreateGlobalTable"], Literal["DescribeGlobalTableSettings"], Literal["PartiQLInsert"], Literal["UpdateGlobalTableVersion"], Literal["CreateTableReplica"], Literal["CreateBackup"], Literal["DescribeBackup"], Literal["EnableKinesisStreamingDestination"], Literal["GetShardIterator"], Literal["DescribeImport"], Literal["DescribeEndpoints"], Literal["ConditionCheckItem"], Literal["DeleteTableReplica"], Literal["UpdateContributorInsights"], Literal["ListStreams"], Literal["UpdateTable"], Literal["RestoreTableFromAwsBackup"], Literal["ListTagsOfResource"], Literal["DescribeStream"], Literal["StartAwsBackupJob"], Literal["UpdateTableReplicaAutoScaling"], Literal["Query"], Literal["CreateTable"], Literal["DescribeReservedCapacity"], Literal["DeleteTable"], Literal["ExportTableToPointInTime"], Literal["ImportTable"], Literal["ListImports"], Literal["UpdateGlobalTable"], Literal["UpdateTimeToLive"], Literal["DescribeKinesisStreamingDestination"], Literal["DeleteItem"], Literal["DescribeContinuousBackups"], Literal["Scan"], Literal["TagResource"], Literal["GetItem"], Literal["BatchWriteItem"], Literal["PartiQLDelete"], Literal["PartiQLSelect"], Literal["DescribeGlobalTable"], Literal["ListBackups"], Literal["DescribeTimeToLive"]]
aws_dynamodb_condition_type = Union[Literal["dynamodb:ReturnConsumedCapacity"], Literal["dynamodb:FullTableScan"], Literal["dynamodb:ReturnValues"], Literal["dynamodb:Attributes"], Literal["dynamodb:LeadingKeys"], Literal["dynamodb:EnclosingOperation"], Literal["dynamodb:Select"]]

class aws_dynamodbStatement(GenericResourceType[aws_dynamodb_privilege_type, aws_dynamodb_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    