from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_elasticmapreduce_privilege_type = Union[Literal["ViewEventsFromAllClustersInConsole"], Literal["ListSupportedInstanceTypes"], Literal["CreateSecurityConfiguration"], Literal["TerminateJobFlows"], Literal["StopEditor"], Literal["CreateRepository"], Literal["LinkRepository"], Literal["GetStudioSessionMapping"], Literal["CreateEditor"], Literal["CreateStudioPresignedUrl"], Literal["RemoveManagedScalingPolicy"], Literal["DeleteWorkspaceAccess"], Literal["DescribeCluster"], Literal["ModifyInstanceFleet"], Literal["GetOnClusterAppUIPresignedURL"], Literal["ListBootstrapActions"], Literal["StartNotebookExecution"], Literal["UpdateStudioSessionMapping"], Literal["UpdateStudio"], Literal["DeleteRepository"], Literal["CreatePersistentAppUI"], Literal["CreateStudio"], Literal["RunJobFlow"], Literal["AddJobFlowSteps"], Literal["SetVisibleToAllUsers"], Literal["PutAutoScalingPolicy"], Literal["GetClusterSessionCredentials"], Literal["OpenEditorInConsole"], Literal["ListWorkspaceAccessIdentities"], Literal["ListReleaseLabels"], Literal["DeleteStudio"], Literal["GetPersistentAppUIPresignedURL"], Literal["ListSteps"], Literal["ListInstances"], Literal["AddInstanceFleet"], Literal["SetTerminationProtection"], Literal["AddTags"], Literal["ListSecurityConfigurations"], Literal["DeleteStudioSessionMapping"], Literal["DescribeEditor"], Literal["RemoveAutoTerminationPolicy"], Literal["DetachEditor"], Literal["ListClusters"], Literal["PutBlockPublicAccessConfiguration"], Literal["DescribeNotebookExecution"], Literal["DescribeSecurityConfiguration"], Literal["DescribeJobFlows"], Literal["ListInstanceGroups"], Literal["CreateStudioSessionMapping"], Literal["UpdateRepository"], Literal["RemoveAutoScalingPolicy"], Literal["PutAutoTerminationPolicy"], Literal["DeleteEditor"], Literal["DescribeStudio"], Literal["ModifyCluster"], Literal["CancelSteps"], Literal["DescribeStep"], Literal["StopNotebookExecution"], Literal["RemoveTags"], Literal["DescribeReleaseLabel"], Literal["DeleteSecurityConfiguration"], Literal["GetBlockPublicAccessConfiguration"], Literal["UnlinkRepository"], Literal["GetAutoTerminationPolicy"], Literal["AttachEditor"], Literal["ListInstanceFleets"], Literal["PutWorkspaceAccess"], Literal["ListRepositories"], Literal["UpdateEditor"], Literal["ListStudioSessionMappings"], Literal["DescribeRepository"], Literal["ListStudios"], Literal["PutManagedScalingPolicy"], Literal["StartEditor"], Literal["AddInstanceGroups"], Literal["ModifyInstanceGroups"], Literal["GetManagedScalingPolicy"], Literal["ListNotebookExecutions"], Literal["ListEditors"], Literal["DescribePersistentAppUI"]]
aws_elasticmapreduce_condition_type = Union[Literal["elasticmapreduce:ExecutionRoleArn"], Literal["elasticmapreduce:RequestTag/${TagKey}"], Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_elasticmapreduceStatement(GenericResourceType[aws_elasticmapreduce_privilege_type, aws_elasticmapreduce_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    