from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_events_privilege_type = Union[Literal["ListReplays"], Literal["CancelReplay"], Literal["ActivateEventSource"], Literal["UntagResource"], Literal["RetrieveConnectionCredentials"], Literal["TestEventPattern"], Literal["DeleteRule"], Literal["DescribeReplay"], Literal["DeleteArchive"], Literal["ListArchives"], Literal["ListTargetsByRule"], Literal["CreateApiDestination"], Literal["ListPartnerEventSourceAccounts"], Literal["RemovePermission"], Literal["UpdateApiDestination"], Literal["CreateConnection"], Literal["UpdateConnection"], Literal["RemoveTargets"], Literal["PutPermission"], Literal["DeleteConnection"], Literal["ListEventBuses"], Literal["DescribeEndpoint"], Literal["DescribeConnection"], Literal["ListTagsForResource"], Literal["DeleteApiDestination"], Literal["StartReplay"], Literal["CreateEventBus"], Literal["DisableRule"], Literal["ListEndpoints"], Literal["DeactivateEventSource"], Literal["UpdateArchive"], Literal["CreateArchive"], Literal["PutEvents"], Literal["DeauthorizeConnection"], Literal["ListEventSources"], Literal["DescribePartnerEventSource"], Literal["DeleteEventBus"], Literal["InvokeApiDestination"], Literal["PutPartnerEvents"], Literal["PutTargets"], Literal["CreatePartnerEventSource"], Literal["ListConnections"], Literal["CreateEndpoint"], Literal["ListPartnerEventSources"], Literal["DescribeEventSource"], Literal["DescribeRule"], Literal["EnableRule"], Literal["ListApiDestinations"], Literal["DeletePartnerEventSource"], Literal["ListRuleNamesByTarget"], Literal["DeleteEndpoint"], Literal["TagResource"], Literal["UpdateEndpoint"], Literal["ListRules"], Literal["PutRule"], Literal["DescribeEventBus"], Literal["DescribeArchive"], Literal["DescribeApiDestination"]]
aws_events_condition_type = Union[Literal["aws:TagKeys"], Literal["events:creatorAccount"], Literal["events:detail.service"], Literal["events:detail-type"], Literal["events:source"], Literal["events:eventBusInvocation"], Literal["events:detail.eventTypeCode"], Literal["events:EventBusArn"], Literal["events:TargetArn"], Literal["events:ManagedBy"], Literal["events:detail.userIdentity.principalId"], Literal["aws:RequestTag/${TagKey}"]]

class aws_eventsStatement(GenericResourceType[aws_events_privilege_type, aws_events_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    