from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_forecast_privilege_type = Union[Literal["DeleteExplainabilityExport"], Literal["GetRecentForecastContext"], Literal["QueryWhatIfForecast"], Literal["UntagResource"], Literal["DeleteForecast"], Literal["StopResource"], Literal["DescribeDataset"], Literal["CreateForecastExportJob"], Literal["DescribePredictorBacktestExportJob"], Literal["DeleteWhatIfForecast"], Literal["DeleteExplainability"], Literal["CreateAutoPredictor"], Literal["ListWhatIfAnalyses"], Literal["DescribeMonitor"], Literal["DeleteDatasetImportJob"], Literal["QueryForecast"], Literal["DeleteForecastExportJob"], Literal["CreateExplainability"], Literal["CreateWhatIfForecastExport"], Literal["DescribeDatasetGroup"], Literal["GetAccuracyMetrics"], Literal["DescribeForecastEndpoint"], Literal["DescribeWhatIfForecastExport"], Literal["CreateExplainabilityExport"], Literal["DescribePredictor"], Literal["UpdateDatasetGroup"], Literal["DeleteResourceTree"], Literal["CreateDataset"], Literal["ListTagsForResource"], Literal["CreateForecast"], Literal["ListMonitorEvaluations"], Literal["DeleteDatasetGroup"], Literal["CreateWhatIfAnalysis"], Literal["ListPredictorBacktestExportJobs"], Literal["DescribeForecast"], Literal["ListForecastExportJobs"], Literal["ListPredictors"], Literal["CreateMonitor"], Literal["DescribeDatasetImportJob"], Literal["DeleteWhatIfAnalysis"], Literal["CreateDatasetImportJob"], Literal["CreatePredictor"], Literal["DescribeWhatIfForecast"], Literal["ListWhatIfForecasts"], Literal["DeleteWhatIfForecastExport"], Literal["DescribeAutoPredictor"], Literal["DescribeExplainabilityExport"], Literal["CreateForecastEndpoint"], Literal["InvokeForecastEndpoint"], Literal["CreateWhatIfForecast"], Literal["DeletePredictorBacktestExportJob"], Literal["ListDatasetGroups"], Literal["DeleteForecastEndpoint"], Literal["DeletePredictor"], Literal["ListDatasets"], Literal["ListExplainabilityExports"], Literal["ResumeResource"], Literal["CreatePredictorBacktestExportJob"], Literal["DescribeForecastExportJob"], Literal["ListForecasts"], Literal["ListMonitors"], Literal["TagResource"], Literal["DeleteDataset"], Literal["DeleteMonitor"], Literal["ListWhatIfForecastExports"], Literal["ListExplainabilities"], Literal["CreateDatasetGroup"], Literal["ListDatasetImportJobs"], Literal["DescribeExplainability"], Literal["DescribeWhatIfAnalysis"]]
aws_forecast_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_forecastStatement(GenericResourceType[aws_forecast_privilege_type, aws_forecast_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    