from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_frauddetector_privilege_type = Union[Literal["CreateBatchPredictionJob"], Literal["DeleteOutcome"], Literal["CreateVariable"], Literal["BatchCreateVariable"], Literal["PutEventType"], Literal["PutOutcome"], Literal["GetDetectorVersion"], Literal["UntagResource"], Literal["CreateDetectorVersion"], Literal["UpdateModelVersion"], Literal["CreateBatchImportJob"], Literal["DeleteEventsByEventType"], Literal["DeleteRule"], Literal["DescribeModelVersions"], Literal["DeleteEvent"], Literal["CreateModel"], Literal["DeleteModelVersion"], Literal["PutDetector"], Literal["DeleteList"], Literal["GetVariables"], Literal["DeleteDetectorVersion"], Literal["GetRules"], Literal["DeleteEntityType"], Literal["GetBatchImportJobs"], Literal["ListTagsForResource"], Literal["DeleteLabel"], Literal["GetDetectors"], Literal["GetLabels"], Literal["SendEvent"], Literal["BatchGetVariable"], Literal["UpdateDetectorVersion"], Literal["CancelBatchImportJob"], Literal["PutLabel"], Literal["DeleteEventType"], Literal["CreateList"], Literal["CreateRule"], Literal["UpdateEventLabel"], Literal["UpdateModelVersionStatus"], Literal["GetEntityTypes"], Literal["GetListsMetadata"], Literal["GetBatchPredictionJobs"], Literal["DeleteBatchPredictionJob"], Literal["UpdateVariable"], Literal["DeleteBatchImportJob"], Literal["GetOutcomes"], Literal["GetModels"], Literal["DeleteModel"], Literal["DescribeDetector"], Literal["GetEvent"], Literal["GetListElements"], Literal["GetEventTypes"], Literal["UpdateDetectorVersionMetadata"], Literal["ListEventPredictions"], Literal["UpdateDetectorVersionStatus"], Literal["UpdateList"], Literal["DeleteDetector"], Literal["CancelBatchPredictionJob"], Literal["CreateModelVersion"], Literal["GetBatchImportJobValidationReport"], Literal["GetEventPrediction"], Literal["PutExternalModel"], Literal["UpdateRuleMetadata"], Literal["DeleteVariable"], Literal["GetEventPredictionMetadata"], Literal["TagResource"], Literal["GetDeleteEventsByEventTypeStatus"], Literal["UpdateModel"], Literal["GetExternalModels"], Literal["PutKMSEncryptionKey"], Literal["GetModelVersion"], Literal["UpdateRuleVersion"], Literal["DeleteExternalModel"], Literal["PutEntityType"], Literal["GetKMSEncryptionKey"]]
aws_frauddetector_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:ResourceTag/${TagKey}"], Literal["aws:RequestTag/${TagKey}"]]

class aws_frauddetectorStatement(GenericResourceType[aws_frauddetector_privilege_type, aws_frauddetector_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    