from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_globalaccelerator_privilege_type = Union[Literal["ListCrossAccountResourceAccounts"], Literal["DescribeListener"], Literal["UntagResource"], Literal["AllowCustomRoutingTraffic"], Literal["DeleteCustomRoutingAccelerator"], Literal["ListCustomRoutingEndpointGroups"], Literal["UpdateCustomRoutingAccelerator"], Literal["DeleteCustomRoutingEndpointGroup"], Literal["DescribeCustomRoutingEndpointGroup"], Literal["ListAccelerators"], Literal["AdvertiseByoipCidr"], Literal["RemoveEndpoints"], Literal["RemoveCustomRoutingEndpoints"], Literal["DenyCustomRoutingTraffic"], Literal["AddEndpoints"], Literal["DeleteCustomRoutingListener"], Literal["AddCustomRoutingEndpoints"], Literal["CreateAccelerator"], Literal["ListCrossAccountResources"], Literal["DescribeCustomRoutingAcceleratorAttributes"], Literal["UpdateCustomRoutingListener"], Literal["UpdateCustomRoutingAcceleratorAttributes"], Literal["UpdateCrossAccountAttachment"], Literal["UpdateEndpointGroup"], Literal["DescribeAccelerator"], Literal["DescribeEndpointGroup"], Literal["ListTagsForResource"], Literal["DeleteListener"], Literal["DescribeCrossAccountAttachment"], Literal["UpdateAcceleratorAttributes"], Literal["ListCustomRoutingListeners"], Literal["UpdateListener"], Literal["ListListeners"], Literal["UpdateAccelerator"], Literal["ListCrossAccountAttachments"], Literal["DeleteCrossAccountAttachment"], Literal["DeleteEndpointGroup"], Literal["CreateCrossAccountAttachment"], Literal["ListEndpointGroups"], Literal["ProvisionByoipCidr"], Literal["ListCustomRoutingPortMappingsByDestination"], Literal["DescribeCustomRoutingAccelerator"], Literal["ListByoipCidrs"], Literal["CreateListener"], Literal["CreateCustomRoutingAccelerator"], Literal["CreateEndpointGroup"], Literal["DescribeCustomRoutingListener"], Literal["DeleteAccelerator"], Literal["CreateCustomRoutingListener"], Literal["ListCustomRoutingAccelerators"], Literal["TagResource"], Literal["WithdrawByoipCidr"], Literal["DescribeAcceleratorAttributes"], Literal["CreateCustomRoutingEndpointGroup"], Literal["DeprovisionByoipCidr"], Literal["ListCustomRoutingPortMappings"]]
aws_globalaccelerator_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_globalacceleratorStatement(GenericResourceType[aws_globalaccelerator_privilege_type, aws_globalaccelerator_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    