from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_guardduty_privilege_type = Union[Literal["GetAdministratorAccount"], Literal["GetFindingsStatistics"], Literal["AcceptAdministratorInvitation"], Literal["CreateDetector"], Literal["UntagResource"], Literal["DeleteThreatIntelSet"], Literal["ArchiveFindings"], Literal["DescribeOrganizationConfiguration"], Literal["GetDetector"], Literal["CreateThreatIntelSet"], Literal["GetUsageStatistics"], Literal["ListDetectors"], Literal["ListMembers"], Literal["GetFilter"], Literal["GetInvitationsCount"], Literal["CreateIPSet"], Literal["GetMalwareScanSettings"], Literal["ListFilters"], Literal["CreateSampleFindings"], Literal["GetCoverageStatistics"], Literal["GetFindings"], Literal["DisableOrganizationAdminAccount"], Literal["StopMonitoringMembers"], Literal["UpdateMemberDetectors"], Literal["UnarchiveFindings"], Literal["GetThreatIntelSet"], Literal["DisassociateFromMasterAccount"], Literal["ListIPSets"], Literal["CreateFilter"], Literal["InviteMembers"], Literal["ListTagsForResource"], Literal["GetMembers"], Literal["UpdateIPSet"], Literal["GetMemberDetectors"], Literal["DeleteFilter"], Literal["UpdatePublishingDestination"], Literal["ListOrganizationAdminAccounts"], Literal["GetOrganizationStatistics"], Literal["SendSecurityTelemetry"], Literal["StartMalwareScan"], Literal["ListPublishingDestinations"], Literal["DisassociateFromAdministratorAccount"], Literal["DisassociateMembers"], Literal["DeleteInvitations"], Literal["DescribeMalwareScans"], Literal["UpdateDetector"], Literal["ListCoverage"], Literal["CreatePublishingDestination"], Literal["GetIPSet"], Literal["UpdateMalwareScanSettings"], Literal["ListFindings"], Literal["GetMasterAccount"], Literal["ListInvitations"], Literal["DeclineInvitations"], Literal["DeleteDetector"], Literal["DeleteIPSet"], Literal["AcceptInvitation"], Literal["ListThreatIntelSets"], Literal["DeleteMembers"], Literal["GetRemainingFreeTrialDays"], Literal["UpdateFilter"], Literal["TagResource"], Literal["CreateMembers"], Literal["StartMonitoringMembers"], Literal["UpdateOrganizationConfiguration"], Literal["DescribePublishingDestination"], Literal["UpdateThreatIntelSet"], Literal["EnableOrganizationAdminAccount"], Literal["DeletePublishingDestination"], Literal["UpdateFindingsFeedback"]]
aws_guardduty_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_guarddutyStatement(GenericResourceType[aws_guardduty_privilege_type, aws_guardduty_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    