from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_kendra_privilege_type = Union[Literal["DeleteQuerySuggestionsBlockList"], Literal["UpdateExperience"], Literal["ListDataSourceSyncJobs"], Literal["CreateFeaturedResultsSet"], Literal["UntagResource"], Literal["CreateAccessControlConfiguration"], Literal["DisassociateEntitiesFromExperience"], Literal["ListEntityPersonas"], Literal["CreateIndex"], Literal["DeleteThesaurus"], Literal["DescribeQuerySuggestionsBlockList"], Literal["DescribeFeaturedResultsSet"], Literal["DeleteAccessControlConfiguration"], Literal["UpdateDataSource"], Literal["BatchDeleteDocument"], Literal["AssociateEntitiesToExperience"], Literal["CreateFaq"], Literal["CreateExperience"], Literal["UpdateQuerySuggestionsBlockList"], Literal["ListDataSources"], Literal["DeleteFaq"], Literal["UpdateQuerySuggestionsConfig"], Literal["ListTagsForResource"], Literal["DeleteExperience"], Literal["DescribeQuerySuggestionsConfig"], Literal["ListIndices"], Literal["ListFaqs"], Literal["CreateQuerySuggestionsBlockList"], Literal["DescribeExperience"], Literal["ListAccessControlConfigurations"], Literal["ListExperienceEntities"], Literal["DescribeIndex"], Literal["BatchGetDocumentStatus"], Literal["GetQuerySuggestions"], Literal["ListFeaturedResultsSets"], Literal["ListThesauri"], Literal["Retrieve"], Literal["SubmitFeedback"], Literal["Query"], Literal["ListGroupsOlderThanOrderingId"], Literal["DeletePrincipalMapping"], Literal["DisassociatePersonasFromEntities"], Literal["CreateDataSource"], Literal["DescribePrincipalMapping"], Literal["BatchDeleteFeaturedResultsSet"], Literal["ListExperiences"], Literal["ClearQuerySuggestions"], Literal["GetSnapshots"], Literal["DescribeFaq"], Literal["DescribeDataSource"], Literal["ListQuerySuggestionsBlockLists"], Literal["PutPrincipalMapping"], Literal["DescribeThesaurus"], Literal["StopDataSourceSyncJob"], Literal["CreateThesaurus"], Literal["TagResource"], Literal["UpdateFeaturedResultsSet"], Literal["StartDataSourceSyncJob"], Literal["UpdateIndex"], Literal["DeleteDataSource"], Literal["AssociatePersonasToEntities"], Literal["UpdateAccessControlConfiguration"], Literal["DeleteIndex"], Literal["BatchPutDocument"], Literal["UpdateThesaurus"], Literal["DescribeAccessControlConfiguration"]]
aws_kendra_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_kendraStatement(GenericResourceType[aws_kendra_privilege_type, aws_kendra_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    