from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_kms_privilege_type = Union[Literal["ListRetirableGrants"], Literal["GetPublicKey"], Literal["UpdateCustomKeyStore"], Literal["ReplicateKey"], Literal["RetireGrant"], Literal["DeleteCustomKeyStore"], Literal["UntagResource"], Literal["UpdateKeyDescription"], Literal["DescribeCustomKeyStores"], Literal["VerifyMac"], Literal["DisableKey"], Literal["ListKeys"], Literal["GenerateDataKeyWithoutPlaintext"], Literal["DisconnectCustomKeyStore"], Literal["GenerateMac"], Literal["UpdatePrimaryRegion"], Literal["DeleteAlias"], Literal["ImportKeyMaterial"], Literal["PutKeyPolicy"], Literal["CreateGrant"], Literal["CancelKeyDeletion"], Literal["ListKeyPolicies"], Literal["RevokeGrant"], Literal["GetKeyRotationStatus"], Literal["GetKeyPolicy"], Literal["DescribeKey"], Literal["DisableKeyRotation"], Literal["SynchronizeMultiRegionKey"], Literal["Sign"], Literal["Decrypt"], Literal["ListGrants"], Literal["ConnectCustomKeyStore"], Literal["UpdateAlias"], Literal["ListResourceTags"], Literal["Verify"], Literal["CreateAlias"], Literal["GenerateDataKey"], Literal["GenerateDataKeyPairWithoutPlaintext"], Literal["EnableKey"], Literal["CreateCustomKeyStore"], Literal["GenerateDataKeyPair"], Literal["ScheduleKeyDeletion"], Literal["ReEncryptTo"], Literal["GenerateRandom"], Literal["TagResource"], Literal["EnableKeyRotation"], Literal["CreateKey"], Literal["ListAliases"], Literal["DeleteImportedKeyMaterial"], Literal["Encrypt"], Literal["ReEncryptFrom"], Literal["GetParametersForImport"]]
aws_kms_condition_type = Union[Literal["kms:RecipientAttestation:ImageSha384"], Literal["kms:ScheduleKeyDeletionPendingWindowInDays"], Literal["kms:RetiringPrincipal"], Literal["kms:GranteePrincipal"], Literal["kms:ExpirationModel"], Literal["kms:BypassPolicyLockoutSafetyCheck"], Literal["kms:MultiRegion"], Literal["kms:ValidTo"], Literal["aws:TagKeys"], Literal["kms:SigningAlgorithm"], Literal["kms:MessageType"], Literal["kms:EncryptionAlgorithm"], Literal["kms:MacAlgorithm"], Literal["kms:ReEncryptOnSameKey"], Literal["kms:GrantIsForAWSResource"], Literal["kms:EncryptionContextKeys"], Literal["kms:KeySpec"], Literal["kms:PrimaryRegion"], Literal["kms:RequestAlias"], Literal["kms:GrantOperations"], Literal["kms:MultiRegionKeyType"], Literal["kms:CallerAccount"], Literal["kms:ReplicaRegion"], Literal["aws:ResourceTag/${TagKey}"], Literal["kms:GrantConstraintType"], Literal["kms:KeyOrigin"], Literal["kms:KeyUsage"], Literal["kms:EncryptionContext:${EncryptionContextKey}"], Literal["kms:DataKeyPairSpec"], Literal["kms:WrappingKeySpec"], Literal["kms:ViaService"], Literal["kms:WrappingAlgorithm"], Literal["aws:RequestTag/${TagKey}"]]

class aws_kmsStatement(GenericResourceType[aws_kms_privilege_type, aws_kms_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    