from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_logs_privilege_type = Union[Literal["GetDeliveryDestination"], Literal["PutLogEvents"], Literal["CancelExportTask"], Literal["DeleteDeliveryDestinationPolicy"], Literal["DeleteDeliveryDestination"], Literal["DeleteSubscriptionFilter"], Literal["DescribeDeliveryDestinations"], Literal["ListTagsLogGroup"], Literal["GetDeliveryDestinationPolicy"], Literal["CreateLogAnomalyDetector"], Literal["Unmask"], Literal["PutDestination"], Literal["DeleteRetentionPolicy"], Literal["GetQueryResults"], Literal["DeleteResourcePolicy"], Literal["TagResource"], Literal["DescribeDestinations"], Literal["PutDeliveryDestination"], Literal["GetDataProtectionPolicy"], Literal["UpdateAnomaly"], Literal["PutAccountPolicy"], Literal["DescribeSubscriptionFilters"], Literal["Link"], Literal["DeleteDeliverySource"], Literal["StartQuery"], Literal["PutMetricFilter"], Literal["PutSubscriptionFilter"], Literal["UntagLogGroup"], Literal["DeleteMetricFilter"], Literal["CreateExportTask"], Literal["DeleteLogDelivery"], Literal["PutQueryDefinition"], Literal["UpdateLogAnomalyDetector"], Literal["DescribeLogStreams"], Literal["ListLogDeliveries"], Literal["PutRetentionPolicy"], Literal["DeleteLogStream"], Literal["DescribeQueries"], Literal["GetLogEvents"], Literal["CreateLogStream"], Literal["GetDelivery"], Literal["DeleteQueryDefinition"], Literal["DescribeResourcePolicies"], Literal["ListAnomalies"], Literal["DeleteLogAnomalyDetector"], Literal["TestMetricFilter"], Literal["GetLogRecord"], Literal["DeleteAccountPolicy"], Literal["CreateLogGroup"], Literal["PutResourcePolicy"], Literal["PutDeliveryDestinationPolicy"], Literal["GetDeliverySource"], Literal["PutDestinationPolicy"], Literal["DescribeDeliveries"], Literal["DescribeMetricFilters"], Literal["DescribeAccountPolicies"], Literal["DescribeLogGroups"], Literal["StopLiveTail"], Literal["AssociateKmsKey"], Literal["PutDataProtectionPolicy"], Literal["DeleteLogGroup"], Literal["ListLogAnomalyDetectors"], Literal["DisassociateKmsKey"], Literal["UntagResource"], Literal["PutDeliverySource"], Literal["UpdateLogDelivery"], Literal["DeleteDataProtectionPolicy"], Literal["CreateDelivery"], Literal["DescribeDeliverySources"], Literal["ListTagsForResource"], Literal["FilterLogEvents"], Literal["DeleteDestination"], Literal["StartLiveTail"], Literal["CreateLogDelivery"], Literal["GetLogGroupFields"], Literal["DescribeQueryDefinitions"], Literal["DeleteDelivery"], Literal["StopQuery"], Literal["DescribeExportTasks"], Literal["GetLogAnomalyDetector"], Literal["GetLogDelivery"], Literal["TagLogGroup"]]
aws_logs_condition_type = Union[Literal["aws:TagKeys"], Literal["logs:LogGeneratingResourceArns"], Literal["logs:DeliveryDestinationResourceArn"], Literal["aws:RequestTag/${TagKey}"]]

class aws_logsStatement(GenericResourceType[aws_logs_privilege_type, aws_logs_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    