from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_medialive_privilege_type = Union[Literal["BatchStop"], Literal["DeleteMultiplexProgram"], Literal["CreateInputSecurityGroup"], Literal["StartInputDevice"], Literal["UpdateChannel"], Literal["CreateTags"], Literal["UpdateMultiplex"], Literal["UpdateInput"], Literal["DescribeThumbnails"], Literal["DescribeInputSecurityGroup"], Literal["ListMultiplexes"], Literal["CreateChannel"], Literal["BatchUpdateSchedule"], Literal["DescribeReservation"], Literal["UpdateInputSecurityGroup"], Literal["DeleteReservation"], Literal["DeleteMultiplex"], Literal["DeleteTags"], Literal["ListChannels"], Literal["RebootInputDevice"], Literal["StopInputDevice"], Literal["UpdateChannelClass"], Literal["DescribeOffering"], Literal["StartChannel"], Literal["DescribeInput"], Literal["DeleteInput"], Literal["PurchaseOffering"], Literal["RejectInputDeviceTransfer"], Literal["ListReservations"], Literal["CreateMultiplex"], Literal["DeleteInputSecurityGroup"], Literal["ListTagsForResource"], Literal["UpdateReservation"], Literal["DescribeInputDevice"], Literal["DescribeMultiplexProgram"], Literal["ListMultiplexPrograms"], Literal["DescribeMultiplex"], Literal["StopMultiplex"], Literal["ListInputSecurityGroups"], Literal["DescribeSchedule"], Literal["BatchStart"], Literal["CreatePartnerInput"], Literal["StartMultiplex"], Literal["UpdateAccountConfiguration"], Literal["UpdateMultiplexProgram"], Literal["DescribeInputDeviceThumbnail"], Literal["ListInputs"], Literal["ListOfferings"], Literal["UpdateInputDevice"], Literal["ListInputDeviceTransfers"], Literal["StopChannel"], Literal["AcceptInputDeviceTransfer"], Literal["CreateMultiplexProgram"], Literal["BatchDelete"], Literal["ClaimDevice"], Literal["DeleteSchedule"], Literal["CancelInputDeviceTransfer"], Literal["ListInputDevices"], Literal["StartInputDeviceMaintenanceWindow"], Literal["TransferInputDevice"], Literal["DescribeAccountConfiguration"], Literal["DeleteChannel"], Literal["CreateInput"], Literal["DescribeChannel"]]
aws_medialive_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_medialiveStatement(GenericResourceType[aws_medialive_privilege_type, aws_medialive_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    