from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_omics_privilege_type = Union[Literal["CreateAnnotationStoreVersion"], Literal["DeleteShare"], Literal["UpdateAnnotationStore"], Literal["StartVariantImportJob"], Literal["GetSequenceStore"], Literal["StartReadSetImportJob"], Literal["GetReadSetMetadata"], Literal["GetAnnotationImportJob"], Literal["CancelRun"], Literal["GetRun"], Literal["DeleteRunGroup"], Literal["CreateRunGroup"], Literal["TagResource"], Literal["ListReadSetActivationJobs"], Literal["ListAnnotationStoreVersions"], Literal["CompleteMultipartReadSetUpload"], Literal["DeleteReferenceStore"], Literal["UpdateVariantStore"], Literal["ListRuns"], Literal["ListWorkflows"], Literal["UpdateAnnotationStoreVersion"], Literal["DeleteVariantStore"], Literal["DeleteSequenceStore"], Literal["StartReadSetActivationJob"], Literal["StartAnnotationImportJob"], Literal["ListRunGroups"], Literal["GetReadSetExportJob"], Literal["DeleteReference"], Literal["GetShare"], Literal["ListVariantImportJobs"], Literal["CreateAnnotationStore"], Literal["StartRun"], Literal["GetRunGroup"], Literal["GetAnnotationStoreVersion"], Literal["ListReferences"], Literal["GetReferenceImportJob"], Literal["CreateReferenceStore"], Literal["CancelVariantImportJob"], Literal["GetReadSet"], Literal["DeleteAnnotationStoreVersions"], Literal["ListShares"], Literal["ListRunTasks"], Literal["ListVariantStores"], Literal["StartReadSetExportJob"], Literal["CreateSequenceStore"], Literal["DeleteRun"], Literal["ListReadSetUploadParts"], Literal["GetVariantStore"], Literal["UpdateRunGroup"], Literal["GetRunTask"], Literal["GetReference"], Literal["ListSequenceStores"], Literal["GetReferenceStore"], Literal["BatchDeleteReadSet"], Literal["UpdateWorkflow"], Literal["UntagResource"], Literal["AcceptShare"], Literal["GetReadSetImportJob"], Literal["CancelAnnotationImportJob"], Literal["ListReadSetExportJobs"], Literal["CreateVariantStore"], Literal["ListAnnotationStores"], Literal["ListReferenceStores"], Literal["DeleteWorkflow"], Literal["ListTagsForResource"], Literal["ListAnnotationImportJobs"], Literal["CreateMultipartReadSetUpload"], Literal["ListReadSets"], Literal["CreateShare"], Literal["ListReadSetImportJobs"], Literal["UploadReadSetPart"], Literal["GetWorkflow"], Literal["DeleteAnnotationStore"], Literal["AbortMultipartReadSetUpload"], Literal["ListReferenceImportJobs"], Literal["GetVariantImportJob"], Literal["GetAnnotationStore"], Literal["GetReadSetActivationJob"], Literal["CreateWorkflow"], Literal["GetReferenceMetadata"], Literal["StartReferenceImportJob"], Literal["ListMultipartReadSetUploads"]]
aws_omics_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_omicsStatement(GenericResourceType[aws_omics_privilege_type, aws_omics_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    