from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_rekognition_privilege_type = Union[Literal["IndexFaces"], Literal["GetSegmentDetection"], Literal["CreateProject"], Literal["DetectLabels"], Literal["DescribeProjects"], Literal["SearchUsersByImage"], Literal["StopStreamProcessor"], Literal["UntagResource"], Literal["GetCelebrityRecognition"], Literal["GetPersonTracking"], Literal["SearchFaces"], Literal["DeleteFaces"], Literal["GetContentModeration"], Literal["CreateUser"], Literal["GetFaceSearch"], Literal["StartFaceSearch"], Literal["DescribeDataset"], Literal["CopyProjectVersion"], Literal["ListMediaAnalysisJobs"], Literal["ListProjectPolicies"], Literal["ListStreamProcessors"], Literal["SearchUsers"], Literal["StartCelebrityRecognition"], Literal["CreateFaceLivenessSession"], Literal["ListUsers"], Literal["ListDatasetEntries"], Literal["StartMediaAnalysisJob"], Literal["DescribeStreamProcessor"], Literal["DetectFaces"], Literal["RecognizeCelebrities"], Literal["GetLabelDetection"], Literal["CreateDataset"], Literal["ListTagsForResource"], Literal["ListDatasetLabels"], Literal["DeleteProjectVersion"], Literal["DetectCustomLabels"], Literal["DetectText"], Literal["DistributeDatasetEntries"], Literal["StartLabelDetection"], Literal["StartProjectVersion"], Literal["DeleteStreamProcessor"], Literal["ListCollections"], Literal["AssociateFaces"], Literal["CreateProjectVersion"], Literal["GetFaceDetection"], Literal["StartContentModeration"], Literal["StartSegmentDetection"], Literal["StartFaceDetection"], Literal["StartFaceLivenessSession"], Literal["CompareFaces"], Literal["UpdateDatasetEntries"], Literal["GetCelebrityInfo"], Literal["DeleteProjectPolicy"], Literal["DeleteProject"], Literal["DescribeProjectVersions"], Literal["GetFaceLivenessSessionResults"], Literal["GetTextDetection"], Literal["DeleteCollection"], Literal["UpdateStreamProcessor"], Literal["StartPersonTracking"], Literal["CreateStreamProcessor"], Literal["DescribeCollection"], Literal["DetectModerationLabels"], Literal["StartStreamProcessor"], Literal["PutProjectPolicy"], Literal["StopProjectVersion"], Literal["DetectProtectiveEquipment"], Literal["TagResource"], Literal["SearchFacesByImage"], Literal["DeleteDataset"], Literal["GetMediaAnalysisJob"], Literal["ListFaces"], Literal["DeleteUser"], Literal["DisassociateFaces"], Literal["CreateCollection"], Literal["StartTextDetection"]]
aws_rekognition_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_rekognitionStatement(GenericResourceType[aws_rekognition_privilege_type, aws_rekognition_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    