from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_resiliencehub_privilege_type = Union[Literal["RemoveDraftAppVersionResourceMappings"], Literal["UpdateAppVersionAppComponent"], Literal["ListAppComponentCompliances"], Literal["ListAppAssessmentComplianceDrifts"], Literal["ListAppVersionResources"], Literal["DescribeApp"], Literal["UntagResource"], Literal["ListAppComponentRecommendations"], Literal["ListSuggestedResiliencyPolicies"], Literal["DescribeAppVersionAppComponent"], Literal["ResolveAppVersionResources"], Literal["DescribeAppVersionResource"], Literal["DeleteRecommendationTemplate"], Literal["DeleteAppVersionResource"], Literal["ListApps"], Literal["DeleteApp"], Literal["DescribeAppVersionTemplate"], Literal["ImportResourcesToDraftAppVersion"], Literal["CreateAppVersionAppComponent"], Literal["ListAppVersionResourceMappings"], Literal["CreateApp"], Literal["ListTagsForResource"], Literal["StartAppAssessment"], Literal["DescribeAppVersion"], Literal["BatchUpdateRecommendationStatus"], Literal["ListAppInputSources"], Literal["UpdateAppVersionResource"], Literal["CreateResiliencyPolicy"], Literal["DescribeAppVersionResourcesResolutionStatus"], Literal["UpdateApp"], Literal["ListAppVersionAppComponents"], Literal["DeleteResiliencyPolicy"], Literal["ListRecommendationTemplates"], Literal["ListAppAssessments"], Literal["ListAppVersions"], Literal["UpdateAppVersion"], Literal["DeleteAppVersionAppComponent"], Literal["DescribeAppAssessment"], Literal["ListResiliencyPolicies"], Literal["CreateAppVersionResource"], Literal["PublishAppVersion"], Literal["ListSopRecommendations"], Literal["TagResource"], Literal["ListTestRecommendations"], Literal["PutDraftAppVersionTemplate"], Literal["ListUnsupportedAppVersionResources"], Literal["UpdateResiliencyPolicy"], Literal["CreateRecommendationTemplate"], Literal["DeleteAppInputSource"], Literal["AddDraftAppVersionResourceMappings"], Literal["DescribeResiliencyPolicy"], Literal["ListAlarmRecommendations"], Literal["DescribeDraftAppVersionResourcesImportStatus"], Literal["DeleteAppAssessment"]]
aws_resiliencehub_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_resiliencehubStatement(GenericResourceType[aws_resiliencehub_privilege_type, aws_resiliencehub_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    