from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_robomaker_privilege_type = Union[Literal["CreateWorldExportJob"], Literal["UntagResource"], Literal["DescribeWorld"], Literal["DeleteWorldTemplate"], Literal["CancelSimulationJob"], Literal["UpdateWorldTemplate"], Literal["SyncDeploymentJob"], Literal["BatchDescribeSimulationJob"], Literal["ListDeploymentJobs"], Literal["CreateSimulationApplicationVersion"], Literal["CreateRobotApplicationVersion"], Literal["CreateSimulationApplication"], Literal["DeleteSimulationApplication"], Literal["UpdateRobotDeployment"], Literal["BatchDeleteWorlds"], Literal["CreateWorldGenerationJob"], Literal["ListWorldGenerationJobs"], Literal["ListSimulationJobBatches"], Literal["ListWorldTemplates"], Literal["DeleteFleet"], Literal["ListSimulationJobs"], Literal["DeleteRobotApplication"], Literal["DescribeSimulationJob"], Literal["DescribeWorldExportJob"], Literal["CancelSimulationJobBatch"], Literal["ListTagsForResource"], Literal["CancelDeploymentJob"], Literal["ListRobotApplications"], Literal["StartSimulationJobBatch"], Literal["DescribeWorldGenerationJob"], Literal["UpdateRobotApplication"], Literal["ListWorlds"], Literal["DeregisterRobot"], Literal["ListRobots"], Literal["RestartSimulationJob"], Literal["DescribeDeploymentJob"], Literal["CreateWorldTemplate"], Literal["ListFleets"], Literal["CancelWorldGenerationJob"], Literal["RegisterRobot"], Literal["ListWorldExportJobs"], Literal["CreateSimulationJob"], Literal["GetWorldTemplateBody"], Literal["CancelWorldExportJob"], Literal["ListSimulationApplications"], Literal["CreateRobot"], Literal["DescribeSimulationApplication"], Literal["DescribeRobotApplication"], Literal["DescribeWorldTemplate"], Literal["UpdateSimulationApplication"], Literal["DescribeSimulationJobBatch"], Literal["DescribeRobot"], Literal["TagResource"], Literal["DescribeFleet"], Literal["CreateRobotApplication"], Literal["ListSupportedAvailabilityZones"], Literal["DeleteRobot"], Literal["CreateDeploymentJob"], Literal["CreateFleet"]]
aws_robomaker_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_robomakerStatement(GenericResourceType[aws_robomaker_privilege_type, aws_robomaker_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    