from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_route53resolver_privilege_type = Union[Literal["GetFirewallConfig"], Literal["GetResolverQueryLogConfigPolicy"], Literal["GetResolverConfig"], Literal["GetOutpostResolver"], Literal["DeleteFirewallRuleGroup"], Literal["UpdateFirewallDomains"], Literal["DeleteResolverQueryLogConfig"], Literal["UntagResource"], Literal["UpdateResolverEndpoint"], Literal["GetResolverRulePolicy"], Literal["DisassociateResolverRule"], Literal["GetResolverQueryLogConfigAssociation"], Literal["ListResolverEndpoints"], Literal["UpdateResolverDnssecConfig"], Literal["GetFirewallDomainList"], Literal["DisassociateResolverEndpointIpAddress"], Literal["AssociateResolverQueryLogConfig"], Literal["ListResolverDnssecConfigs"], Literal["DisassociateResolverQueryLogConfig"], Literal["DeleteResolverRule"], Literal["GetFirewallRuleGroupAssociation"], Literal["DeleteOutpostResolver"], Literal["CreateFirewallRuleGroup"], Literal["ListResolverConfigs"], Literal["PutResolverQueryLogConfigPolicy"], Literal["ListResolverRuleAssociations"], Literal["DisassociateFirewallRuleGroup"], Literal["AssociateResolverEndpointIpAddress"], Literal["DeleteFirewallDomainList"], Literal["ListFirewallRuleGroupAssociations"], Literal["UpdateResolverConfig"], Literal["GetResolverDnssecConfig"], Literal["CreateFirewallRule"], Literal["ListTagsForResource"], Literal["DeleteResolverEndpoint"], Literal["DeleteFirewallRule"], Literal["CreateResolverQueryLogConfig"], Literal["GetResolverQueryLogConfig"], Literal["GetResolverRuleAssociation"], Literal["ListFirewallDomains"], Literal["UpdateOutpostResolver"], Literal["ListFirewallRuleGroups"], Literal["CreateFirewallDomainList"], Literal["AssociateFirewallRuleGroup"], Literal["ListResolverRules"], Literal["ListFirewallRules"], Literal["GetResolverRule"], Literal["ListFirewallDomainLists"], Literal["UpdateResolverRule"], Literal["GetResolverEndpoint"], Literal["ImportFirewallDomains"], Literal["ListResolverQueryLogConfigAssociations"], Literal["GetFirewallRuleGroupPolicy"], Literal["PutFirewallRuleGroupPolicy"], Literal["ListFirewallConfigs"], Literal["AssociateResolverRule"], Literal["UpdateFirewallRule"], Literal["ListOutpostResolvers"], Literal["ListResolverEndpointIpAddresses"], Literal["ListResolverQueryLogConfigs"], Literal["TagResource"], Literal["CreateOutpostResolver"], Literal["PutResolverRulePolicy"], Literal["UpdateFirewallConfig"], Literal["CreateResolverRule"], Literal["UpdateFirewallRuleGroupAssociation"], Literal["CreateResolverEndpoint"], Literal["GetFirewallRuleGroup"]]
aws_route53resolver_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_route53resolverStatement(GenericResourceType[aws_route53resolver_privilege_type, aws_route53resolver_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    