from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_sqlworkbench_privilege_type = Union[Literal["AssociateConnectionWithChart"], Literal["DeleteNotebookCell"], Literal["UntagResource"], Literal["UpdateNotebookCellLayout"], Literal["GetSchemaInference"], Literal["DeleteNotebookVersion"], Literal["CreateNotebookFromVersion"], Literal["GetUserWorkspaceSettings"], Literal["ListSavedQueryVersions"], Literal["ListTabs"], Literal["ListSampleDatabases"], Literal["GetUserInfo"], Literal["UpdateSavedQuery"], Literal["ListNotebookVersions"], Literal["CreateConnection"], Literal["GetAutocompletionResource"], Literal["GetQueryExecutionHistory"], Literal["UpdateConnection"], Literal["DeleteChart"], Literal["DuplicateNotebook"], Literal["GetNotebook"], Literal["PutTab"], Literal["CreateSavedQuery"], Literal["CreateNotebook"], Literal["DeleteConnection"], Literal["GetConnection"], Literal["GetAccountSettings"], Literal["CreateNotebookCell"], Literal["BatchDeleteFolder"], Literal["ListTagsForResource"], Literal["ListNotebooks"], Literal["GetAccountInfo"], Literal["AssociateNotebookWithTab"], Literal["GetAutocompletionMetadata"], Literal["DriverExecute"], Literal["ImportNotebook"], Literal["ListDatabases"], Literal["CreateChart"], Literal["CreateAccount"], Literal["GetQSqlRecommendations"], Literal["ListRedshiftClusters"], Literal["UpdateAccountGeneralSettings"], Literal["GetChart"], Literal["RestoreNotebookVersion"], Literal["UpdateFolder"], Literal["AssociateQueryWithTab"], Literal["DeleteTab"], Literal["UpdateAccountExportSettings"], Literal["UpdateAccountQSqlSettings"], Literal["CreateFolder"], Literal["GetNotebookVersion"], Literal["PutUserWorkspaceSettings"], Literal["UpdateFileFolder"], Literal["ListConnections"], Literal["UpdateNotebook"], Literal["ListQueryExecutionHistory"], Literal["CreateNotebookVersion"], Literal["UpdateAccountConnectionSettings"], Literal["GenerateSession"], Literal["ListTaggedResources"], Literal["AssociateConnectionWithTab"], Literal["BatchGetNotebookCell"], Literal["ExportNotebook"], Literal["GetSavedQuery"], Literal["TagResource"], Literal["UpdateChart"], Literal["UpdateNotebookCellContent"], Literal["DeleteSavedQuery"], Literal["ListFiles"], Literal["DeleteNotebook"]]
aws_sqlworkbench_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_sqlworkbenchStatement(GenericResourceType[aws_sqlworkbench_privilege_type, aws_sqlworkbench_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    