from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_sts_privilege_type = Union[Literal["AssumeRole"], Literal["GetAccessKeyInfo"], Literal["SetContext"], Literal["AssumeRoleWithSAML"], Literal["GetCallerIdentity"], Literal["SetSourceIdentity"], Literal["DecodeAuthorizationMessage"], Literal["GetFederationToken"], Literal["AssumeRoleWithWebIdentity"], Literal["GetServiceBearerToken"], Literal["GetSessionToken"], Literal["TagSession"]]
aws_sts_condition_type = Union[Literal["www.amazon.com:user_id"], Literal["saml:edupersonprimaryaffiliation"], Literal["saml:eduorghomepageuri"], Literal["sts:AWSServiceName"], Literal["cognito-identity.amazonaws.com:amr"], Literal["saml:edupersonorgunitdn"], Literal["accounts.google.com:aud"], Literal["saml:iss"], Literal["accounts.google.com:sub"], Literal["saml:edupersonassurance"], Literal["saml:primaryGroupSID"], Literal["sts:TransitiveTagKeys"], Literal["saml:edupersonprincipalname"], Literal["sts:RoleSessionName"], Literal["cognito-identity.amazonaws.com:sub"], Literal["saml:doc"], Literal["aws:TagKeys"], Literal["sts:ExternalId"], Literal["graph.facebook.com:id"], Literal["saml:surname"], Literal["saml:sub_type"], Literal["saml:edupersonscopedaffiliation"], Literal["saml:edupersonprimaryorgunitdn"], Literal["saml:commonName"], Literal["saml:eduorgidentityauthnpolicyuri"], Literal["www.amazon.com:app_id"], Literal["saml:edupersonorgdn"], Literal["saml:sub"], Literal["iam:ResourceTag/${TagKey}"], Literal["saml:cn"], Literal["saml:givenName"], Literal["cognito-identity.amazonaws.com:aud"], Literal["saml:edupersontargetedid"], Literal["sts:SourceIdentity"], Literal["saml:organizationStatus"], Literal["saml:eduorgsuperioruri"], Literal["saml:uid"], Literal["graph.facebook.com:app_id"], Literal["saml:edupersonnickname"], Literal["saml:namequalifier"], Literal["saml:name"], Literal["sts:DurationSeconds"], Literal["sts:RequestContext/${ContextKey}"], Literal["saml:x500UniqueIdentifier"], Literal["sts:RequestContextProviders"], Literal["saml:eduorgwhitepagesuri"], Literal["saml:mail"], Literal["saml:aud"], Literal["saml:eduorglegalname"], Literal["saml:edupersonaffiliation"], Literal["accounts.google.com:oaud"], Literal["saml:edupersonentitlement"], Literal["aws:RequestTag/${TagKey}"]]

class aws_stsStatement(GenericResourceType[aws_sts_privilege_type, aws_sts_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    