from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_transcribe_privilege_type = Union[Literal["DeleteCallAnalyticsCategory"], Literal["StartStreamTranscriptionWebSocket"], Literal["DeleteLanguageModel"], Literal["ListVocabularies"], Literal["StartMedicalStreamTranscription"], Literal["DeleteVocabulary"], Literal["GetMedicalTranscriptionJob"], Literal["StartTranscriptionJob"], Literal["UntagResource"], Literal["CreateLanguageModel"], Literal["ListMedicalVocabularies"], Literal["DeleteMedicalVocabulary"], Literal["StartCallAnalyticsStreamTranscriptionWebSocket"], Literal["UpdateVocabulary"], Literal["GetVocabularyFilter"], Literal["GetVocabulary"], Literal["StartMedicalStreamTranscriptionWebSocket"], Literal["CreateVocabulary"], Literal["DescribeLanguageModel"], Literal["ListMedicalScribeJobs"], Literal["UpdateVocabularyFilter"], Literal["CreateMedicalVocabulary"], Literal["ListTagsForResource"], Literal["UpdateCallAnalyticsCategory"], Literal["ListTranscriptionJobs"], Literal["CreateVocabularyFilter"], Literal["ListMedicalTranscriptionJobs"], Literal["StartMedicalTranscriptionJob"], Literal["GetMedicalScribeJob"], Literal["GetCallAnalyticsJob"], Literal["GetCallAnalyticsCategory"], Literal["DeleteVocabularyFilter"], Literal["GetMedicalVocabulary"], Literal["UpdateMedicalVocabulary"], Literal["CreateCallAnalyticsCategory"], Literal["ListLanguageModels"], Literal["StartMedicalScribeJob"], Literal["ListVocabularyFilters"], Literal["DeleteCallAnalyticsJob"], Literal["StartCallAnalyticsJob"], Literal["StartCallAnalyticsStreamTranscription"], Literal["TagResource"], Literal["GetTranscriptionJob"], Literal["StartStreamTranscription"], Literal["DeleteMedicalTranscriptionJob"], Literal["ListCallAnalyticsJobs"], Literal["DeleteTranscriptionJob"], Literal["ListCallAnalyticsCategories"], Literal["DeleteMedicalScribeJob"]]
aws_transcribe_condition_type = Union[Literal["aws:TagKeys"], Literal["transcribe:OutputKey"], Literal["transcribe:OutputEncryptionKMSKeyId"], Literal["transcribe:OutputBucketName"], Literal["transcribe:OutputLocation"], Literal["aws:RequestTag/${TagKey}"]]

class aws_transcribeStatement(GenericResourceType[aws_transcribe_privilege_type, aws_transcribe_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    