from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_waf_regional_privilege_type = Union[Literal["ListRegexMatchSets"], Literal["CreateRateBasedRule"], Literal["CreateWebACL"], Literal["GetRateBasedRule"], Literal["GetWebACL"], Literal["ListWebACLs"], Literal["DeleteByteMatchSet"], Literal["CreateGeoMatchSet"], Literal["GetLoggingConfiguration"], Literal["DeleteSizeConstraintSet"], Literal["DeleteRateBasedRule"], Literal["DisassociateWebACL"], Literal["CreateRule"], Literal["UpdateRateBasedRule"], Literal["GetSampledRequests"], Literal["GetIPSet"], Literal["ListSqlInjectionMatchSets"], Literal["UpdateByteMatchSet"], Literal["TagResource"], Literal["UpdateSqlInjectionMatchSet"], Literal["AssociateWebACL"], Literal["GetSizeConstraintSet"], Literal["ListSubscribedRuleGroups"], Literal["CreateIPSet"], Literal["GetPermissionPolicy"], Literal["DeletePermissionPolicy"], Literal["ListLoggingConfigurations"], Literal["DeleteRule"], Literal["CreateSqlInjectionMatchSet"], Literal["GetRuleGroup"], Literal["DeleteSqlInjectionMatchSet"], Literal["DeleteRegexMatchSet"], Literal["UpdateGeoMatchSet"], Literal["GetSqlInjectionMatchSet"], Literal["UpdateRegexMatchSet"], Literal["DeleteRuleGroup"], Literal["ListResourcesForWebACL"], Literal["DeleteXssMatchSet"], Literal["UpdateWebACL"], Literal["ListXssMatchSets"], Literal["DeleteIPSet"], Literal["DeleteWebACL"], Literal["CreateXssMatchSet"], Literal["UpdateRegexPatternSet"], Literal["DeleteLoggingConfiguration"], Literal["CreateSizeConstraintSet"], Literal["ListRegexPatternSets"], Literal["GetRateBasedRuleManagedKeys"], Literal["GetByteMatchSet"], Literal["DeleteRegexPatternSet"], Literal["CreateByteMatchSet"], Literal["UpdateRuleGroup"], Literal["ListActivatedRulesInRuleGroup"], Literal["PutPermissionPolicy"], Literal["UpdateXssMatchSet"], Literal["GetRule"], Literal["GetRegexMatchSet"], Literal["UntagResource"], Literal["ListRateBasedRules"], Literal["CreateRegexPatternSet"], Literal["CreateRuleGroup"], Literal["PutLoggingConfiguration"], Literal["GetXssMatchSet"], Literal["ListIPSets"], Literal["GetChangeTokenStatus"], Literal["ListTagsForResource"], Literal["DeleteGeoMatchSet"], Literal["UpdateIPSet"], Literal["GetChangeToken"], Literal["ListByteMatchSets"], Literal["ListGeoMatchSets"], Literal["GetGeoMatchSet"], Literal["GetWebACLForResource"], Literal["CreateWebACLMigrationStack"], Literal["UpdateRule"], Literal["GetRegexPatternSet"], Literal["ListRuleGroups"], Literal["UpdateSizeConstraintSet"], Literal["ListRules"], Literal["ListSizeConstraintSets"], Literal["CreateRegexMatchSet"]]
aws_waf_regional_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_waf_regionalStatement(GenericResourceType[aws_waf_regional_privilege_type, aws_waf_regional_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    