from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_workspaces_privilege_type = Union[Literal["UpdateConnectionAliasPermission"], Literal["DescribeImageAssociations"], Literal["DeleteConnectionAlias"], Literal["DeleteConnectClientAddIn"], Literal["DescribeApplications"], Literal["DeleteClientBranding"], Literal["CreateTags"], Literal["RebootWorkspaces"], Literal["DescribeConnectionAliasPermissions"], Literal["CreateStandbyWorkspaces"], Literal["CreateConnectionAlias"], Literal["CopyWorkspaceImage"], Literal["RestoreWorkspace"], Literal["DescribeTags"], Literal["UpdateWorkspaceImagePermission"], Literal["ModifyWorkspaceCreationProperties"], Literal["RebuildWorkspaces"], Literal["RegisterWorkspaceDirectory"], Literal["StartWorkspaces"], Literal["DeleteTags"], Literal["CreateWorkspaceBundle"], Literal["ModifyWorkspaceAccessProperties"], Literal["ModifyWorkspaceState"], Literal["DescribeIpGroups"], Literal["ModifySelfservicePermissions"], Literal["UpdateWorkspaceBundle"], Literal["DescribeWorkspaceImagePermissions"], Literal["DescribeWorkspaceImages"], Literal["DescribeConnectClientAddIns"], Literal["RevokeIpRules"], Literal["DeleteWorkspaceImage"], Literal["ListAvailableManagementCidrRanges"], Literal["AssociateConnectionAlias"], Literal["UpdateRulesOfIpGroup"], Literal["AuthorizeIpRules"], Literal["DescribeAccountModifications"], Literal["DescribeConnectionAliases"], Literal["DeregisterWorkspaceDirectory"], Literal["DeployWorkspaceApplications"], Literal["MigrateWorkspace"], Literal["DeleteWorkspaceBundle"], Literal["DescribeBundleAssociations"], Literal["ModifyClientProperties"], Literal["UpdateConnectClientAddIn"], Literal["CreateWorkspaces"], Literal["DescribeWorkspacesConnectionStatus"], Literal["DescribeWorkspaceAssociations"], Literal["AssociateIpGroups"], Literal["DescribeWorkspaceDirectories"], Literal["CreateWorkspaceImage"], Literal["DisassociateWorkspaceApplication"], Literal["DescribeClientProperties"], Literal["CreateUpdatedWorkspaceImage"], Literal["TerminateWorkspaces"], Literal["DescribeApplicationAssociations"], Literal["DeleteIpGroup"], Literal["DisassociateConnectionAlias"], Literal["ImportWorkspaceImage"], Literal["DescribeClientBranding"], Literal["CreateIpGroup"], Literal["CreateConnectClientAddIn"], Literal["ImportClientBranding"], Literal["ModifyAccount"], Literal["ModifyCertificateBasedAuthProperties"], Literal["DescribeWorkspaceBundles"], Literal["ModifyWorkspaceProperties"], Literal["Stream"], Literal["StopWorkspaces"], Literal["DescribeWorkspaceSnapshots"], Literal["DescribeWorkspaces"], Literal["ModifySamlProperties"], Literal["DescribeAccount"], Literal["DisassociateIpGroups"], Literal["AssociateWorkspaceApplication"]]
aws_workspaces_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:ResourceTag/${TagKey}"], Literal["workspaces:userId"], Literal["aws:RequestTag/${TagKey}"]]

class aws_workspacesStatement(GenericResourceType[aws_workspaces_privilege_type, aws_workspaces_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    