from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_a4b_privilege_type = Union[Literal["RegisterDevice"], Literal["ListTags"], Literal["UpdateSkillGroup"], Literal["ListSkills"], Literal["GetContact"], Literal["UpdateRoom"], Literal["DeleteProfile"], Literal["SearchSkillGroups"], Literal["UpdateAddressBook"], Literal["GetAddressBook"], Literal["AssociateSkillWithSkillGroup"], Literal["ApproveSkill"], Literal["DisassociateDeviceFromRoom"], Literal["GetProfile"], Literal["GetRoomSkillParameter"], Literal["UpdateGatewayGroup"], Literal["GetConferenceProvider"], Literal["CompleteRegistration"], Literal["UpdateConferenceProvider"], Literal["CreateProfile"], Literal["SearchAddressBooks"], Literal["GetInvitationConfiguration"], Literal["ListSmartHomeAppliances"], Literal["TagResource"], Literal["GetGatewayGroup"], Literal["RevokeInvitation"], Literal["CreateGatewayGroup"], Literal["DisassociateContactFromAddressBook"], Literal["GetNetworkProfile"], Literal["SearchDevices"], Literal["StartDeviceSync"], Literal["DisassociateSkillFromSkillGroup"], Literal["DeleteSkillAuthorization"], Literal["ListBusinessReportSchedules"], Literal["PutDeviceSetupEvents"], Literal["ResolveRoom"], Literal["DisassociateSkillGroupFromRoom"], Literal["CreateAddressBook"], Literal["ListDeviceEvents"], Literal["DeleteDeviceUsageData"], Literal["SearchProfiles"], Literal["GetSkillGroup"], Literal["ListGateways"], Literal["PutInvitationConfiguration"], Literal["AssociateDeviceWithRoom"], Literal["UpdateContact"], Literal["DeleteBusinessReportSchedule"], Literal["RejectSkill"], Literal["DeleteConferenceProvider"], Literal["CreateContact"], Literal["DeleteUser"], Literal["CreateNetworkProfile"], Literal["SearchContacts"], Literal["ListSkillsStoreSkillsByCategory"], Literal["ListSkillsStoreCategories"], Literal["CreateUser"], Literal["ForgetSmartHomeAppliances"], Literal["SearchUsers"], Literal["UpdateBusinessReportSchedule"], Literal["SendInvitation"], Literal["CreateRoom"], Literal["UpdateProfile"], Literal["SendAnnouncement"], Literal["SearchRooms"], Literal["AssociateDeviceWithNetworkProfile"], Literal["RegisterAVSDevice"], Literal["PutRoomSkillParameter"], Literal["DeleteSkillGroup"], Literal["GetRoom"], Literal["DeleteRoomSkillParameter"], Literal["PutSkillAuthorization"], Literal["DisassociateSkillFromUsers"], Literal["DeleteRoom"], Literal["CreateBusinessReportSchedule"], Literal["GetConferencePreference"], Literal["DeleteGatewayGroup"], Literal["CreateSkillGroup"], Literal["DeleteNetworkProfile"], Literal["UntagResource"], Literal["DeleteAddressBook"], Literal["UpdateDevice"], Literal["SearchNetworkProfiles"], Literal["PutConferencePreference"], Literal["GetGateway"], Literal["CreateConferenceProvider"], Literal["DeleteContact"], Literal["GetDevice"], Literal["DeleteDevice"], Literal["StartSmartHomeApplianceDiscovery"], Literal["ListGatewayGroups"], Literal["UpdateGateway"], Literal["AssociateContactWithAddressBook"], Literal["AssociateSkillGroupWithRoom"], Literal["AssociateSkillWithUsers"], Literal["UpdateNetworkProfile"], Literal["ListConferenceProviders"]]
aws_a4b_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_a4bStatement(GenericResourceType[aws_a4b_privilege_type, aws_a4b_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    