from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_backup_privilege_type = Union[Literal["ListRecoveryPointsByResource"], Literal["CopyFromBackupVault"], Literal["DescribeRecoveryPoint"], Literal["DeleteBackupPlan"], Literal["GetBackupVaultAccessPolicy"], Literal["ExportBackupPlanTemplate"], Literal["ListTags"], Literal["CancelLegalHold"], Literal["DescribeBackupJob"], Literal["DescribeFramework"], Literal["DescribeProtectedResource"], Literal["DescribeReportPlan"], Literal["ListBackupPlans"], Literal["ListLegalHolds"], Literal["DeleteRecoveryPoint"], Literal["CreateRestoreTestingPlan"], Literal["TagResource"], Literal["ListRecoveryPointsByBackupVault"], Literal["StartRestoreJob"], Literal["ListBackupVaults"], Literal["GetRecoveryPointRestoreMetadata"], Literal["DeleteBackupVaultNotifications"], Literal["UpdateRegionSettings"], Literal["GetBackupVaultSharingPolicy"], Literal["ListBackupPlanTemplates"], Literal["DescribeReportJob"], Literal["DescribeCopyJob"], Literal["CreateLogicallyAirGappedBackupVault"], Literal["GetBackupPlanFromJSON"], Literal["StartBackupJob"], Literal["DeleteBackupSelection"], Literal["PutBackupVaultSharingPolicy"], Literal["UpdateRecoveryPointLifecycle"], Literal["CreateRestoreTestingSelection"], Literal["PutRestoreValidationResult"], Literal["DescribeRestoreJob"], Literal["UpdateBackupPlan"], Literal["UpdateRestoreTestingPlan"], Literal["ListBackupJobSummaries"], Literal["CreateFramework"], Literal["ListRestoreTestingSelections"], Literal["CreateBackupPlan"], Literal["PutBackupVaultNotifications"], Literal["ListCopyJobs"], Literal["ListCopyJobSummaries"], Literal["GetBackupPlan"], Literal["StopBackupJob"], Literal["GetSupportedResourceTypes"], Literal["ListProtectedResourcesByBackupVault"], Literal["CreateBackupSelection"], Literal["ListRecoveryPointsByLegalHold"], Literal["ListRestoreJobSummaries"], Literal["CopyIntoBackupVault"], Literal["ListRestoreTestingPlans"], Literal["UpdateRestoreTestingSelection"], Literal["GetBackupVaultNotifications"], Literal["PutBackupVaultAccessPolicy"], Literal["ListBackupSelections"], Literal["CreateBackupVault"], Literal["DisassociateRecoveryPointFromParent"], Literal["UpdateFramework"], Literal["ListBackupJobs"], Literal["ListProtectedResources"], Literal["DescribeGlobalSettings"], Literal["GetRestoreTestingPlan"], Literal["GetRestoreJobMetadata"], Literal["GetRestoreTestingSelection"], Literal["CreateLegalHold"], Literal["GetBackupSelection"], Literal["DisassociateRecoveryPoint"], Literal["PutBackupVaultLockConfiguration"], Literal["UntagResource"], Literal["DescribeBackupVault"], Literal["CreateReportPlan"], Literal["ListReportJobs"], Literal["ListReportPlans"], Literal["UpdateGlobalSettings"], Literal["ListBackupPlanVersions"], Literal["GetLegalHold"], Literal["ListRestoreJobs"], Literal["DeleteRestoreTestingPlan"], Literal["ListRestoreJobsByProtectedResource"], Literal["UpdateReportPlan"], Literal["DeleteBackupVault"], Literal["ListFrameworks"], Literal["DeleteRestoreTestingSelection"], Literal["DeleteReportPlan"], Literal["StartCopyJob"], Literal["DeleteBackupVaultAccessPolicy"], Literal["DeleteBackupVaultLockConfiguration"], Literal["DeleteBackupVaultSharingPolicy"], Literal["DescribeRegionSettings"], Literal["GetBackupPlanFromTemplate"], Literal["DeleteFramework"], Literal["StartReportJob"], Literal["GetRestoreTestingInferredMetadata"]]
aws_backup_condition_type = Union[Literal["aws:TagKeys"], Literal["backup:CopyTargetOrgPaths"], Literal["backup:FrameworkArns"], Literal["backup:MaxRetentionDays"], Literal["backup:CopyTargets"], Literal["backup:MinRetentionDays"], Literal["backup:ChangeableForDays"], Literal["aws:RequestTag/${TagKey}"]]

class aws_backupStatement(GenericResourceType[aws_backup_privilege_type, aws_backup_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    