from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_chime_privilege_type = Union[Literal["DescribeChannelMembershipForAppInstanceUser"], Literal["BatchCreateChannelMembership"], Literal["ListSubChannels"], Literal["ListApiKeys"], Literal["GetRetentionSettings"], Literal["BatchCreateAttendee"], Literal["CreateChannelModerator"], Literal["ListMeetingTags"], Literal["PutVoiceConnectorLoggingConfiguration"], Literal["UpdateCDRSettings"], Literal["GetVoiceConnector"], Literal["CreateApiKey"], Literal["DeleteRoomMembership"], Literal["DeleteAccountOpenIdConfig"], Literal["AssociatePhoneNumbersWithVoiceConnector"], Literal["ListAppInstanceAdmins"], Literal["ListAppInstanceBots"], Literal["ListSupportedPhoneNumberCountries"], Literal["ListSipMediaApplications"], Literal["DisassociatePhoneNumbersFromVoiceConnectorGroup"], Literal["CreateSipMediaApplicationCall"], Literal["GetVoiceProfile"], Literal["GetSipRule"], Literal["TagResource"], Literal["AssociatePhoneNumbersWithVoiceConnectorGroup"], Literal["CreateMediaStreamPipeline"], Literal["UpdateMediaInsightsPipelineStatus"], Literal["UpdateAppInstanceBot"], Literal["GetSipMediaApplicationLoggingConfiguration"], Literal["UpdateVoiceConnectorGroup"], Literal["BatchSuspendUser"], Literal["DeleteAppInstanceUser"], Literal["ListGroups"], Literal["UpdateVoiceProfile"], Literal["UpdateAccount"], Literal["ListMediaPipelineKinesisVideoStreamPools"], Literal["PutVoiceConnectorStreamingConfiguration"], Literal["AddOrUpdateGroups"], Literal["DeleteSipMediaApplication"], Literal["ListChannelsModeratedByAppInstanceUser"], Literal["ListMeetings"], Literal["CreateUser"], Literal["CreateMeeting"], Literal["PutEventsConfiguration"], Literal["SearchAvailablePhoneNumbers"], Literal["PutChannelMembershipPreferences"], Literal["GetUser"], Literal["CreateRoom"], Literal["CreateSipRule"], Literal["CreateCDRBucket"], Literal["ListAppInstanceUserEndpoints"], Literal["PutVoiceConnectorTermination"], Literal["DeleteMediaPipeline"], Literal["ListAvailableVoiceConnectorRegions"], Literal["StartSpeakerSearchTask"], Literal["CreateSipMediaApplication"], Literal["RegisterAppInstanceUserEndpoint"], Literal["CreateVoiceProfile"], Literal["ActivateUsers"], Literal["ListDomains"], Literal["DeleteMessagingStreamingConfigurations"], Literal["PutVoiceConnectorEmergencyCallingConfiguration"], Literal["UpdateAccountResource"], Literal["GetMediaCapturePipeline"], Literal["ListChannelBans"], Literal["ListVoiceConnectors"], Literal["UpdateMediaPipelineKinesisVideoStreamPool"], Literal["GetChannelMessageStatus"], Literal["DeleteChannelMessage"], Literal["CreateMeetingWithAttendees"], Literal["PutMessagingStreamingConfigurations"], Literal["DeleteVoiceProfile"], Literal["GetMediaPipelineKinesisVideoStreamPool"], Literal["UnauthorizeDirectory"], Literal["DeleteVoiceConnectorGroup"], Literal["AcceptDelegate"], Literal["GetSipMediaApplication"], Literal["GetVoiceConnectorGroup"], Literal["GetEventsConfiguration"], Literal["ListMeetingsReportData"], Literal["UpdateAccountSettings"], Literal["DeleteChannel"], Literal["UntagMeeting"], Literal["DescribeChannel"], Literal["AssociateChannelFlow"], Literal["BatchUpdateUser"], Literal["UntagAttendee"], Literal["DescribeChannelFlow"], Literal["RenameAccount"], Literal["CreateChannelMembership"], Literal["UpdateRoom"], Literal["ListChannelMembershipsForAppInstanceUser"], Literal["ListMediaInsightsPipelineConfigurations"], Literal["ResetPersonalPIN"], Literal["DescribeAppInstance"], Literal["ListVoiceProfiles"], Literal["CreateProxySession"], Literal["InviteUsersFromProvider"], Literal["ListMeetingEvents"], Literal["BatchUnsuspendUser"], Literal["PutSipMediaApplicationLoggingConfiguration"], Literal["ChannelFlowCallback"], Literal["UpdateSipRule"], Literal["PutVoiceConnectorOrigination"], Literal["ListDelegates"], Literal["DescribeChannelModerator"], Literal["DeleteCDRBucket"], Literal["ListAppInstances"], Literal["GetUserSettings"], Literal["UpdateRoomMembership"], Literal["DeleteMediaPipelineKinesisVideoStreamPool"], Literal["PutVoiceConnectorTerminationCredentials"], Literal["UpdatePhoneNumber"], Literal["RestorePhoneNumber"], Literal["CreateMediaCapturePipeline"], Literal["CreateAppInstanceBot"], Literal["ListAccounts"], Literal["DeleteChannelModerator"], Literal["DeleteVoiceConnectorTerminationCredentials"], Literal["ListCDRBucket"], Literal["ListChannelsAssociatedWithChannelFlow"], Literal["InviteUsers"], Literal["ListPhoneNumberOrders"], Literal["GetBot"], Literal["ListDirectories"], Literal["UpdateChannelFlow"], Literal["GetVoiceConnectorTermination"], Literal["GetAttendee"], Literal["GetAccountResource"], Literal["GetAccountSettings"], Literal["GetChannelMessage"], Literal["StartVoiceToneAnalysisTask"], Literal["ValidateAccountResource"], Literal["ValidateE911Address"], Literal["RedactChannelMessage"], Literal["DescribeAppInstanceUser"], Literal["StopVoiceToneAnalysisTask"], Literal["DisassociatePhoneNumbersFromVoiceConnector"], Literal["DeleteRoom"], Literal["ListAppInstanceUsers"], Literal["BatchUpdateAttendeeCapabilitiesExcept"], Literal["PutVoiceConnectorProxy"], Literal["DeleteAppInstanceAdmin"], Literal["SearchChannels"], Literal["UpdateAppInstanceUserEndpoint"], Literal["DisconnectDirectory"], Literal["DeleteAppInstanceBot"], Literal["DescribeAppInstanceBot"], Literal["CreateChannel"], Literal["DeleteProxySession"], Literal["UpdateGlobalSettings"], Literal["GetChannelMembershipPreferences"], Literal["DeleteVoiceConnectorTermination"], Literal["CreateMediaPipelineKinesisVideoStreamPool"], Literal["CreateMediaInsightsPipeline"], Literal["UpdateSipMediaApplication"], Literal["GetAppInstanceRetentionSettings"], Literal["DeleteDelegate"], Literal["ListPhoneNumbers"], Literal["ResetAccountResource"], Literal["GetVoiceConnectorTerminationHealth"], Literal["CreateAppInstanceUser"], Literal["UpdateBot"], Literal["AddDomain"], Literal["ListUsers"], Literal["GetAccountWithOpenIdConfig"], Literal["CreateMediaConcatenationPipeline"], Literal["UpdateUserSettings"], Literal["StopSpeakerSearchTask"], Literal["DeleteMediaCapturePipeline"], Literal["DeleteVoiceConnector"], Literal["DeregisterAppInstanceUserEndpoint"], Literal["DescribeAppInstanceAdmin"], Literal["ListMediaPipelines"], Literal["DeleteVoiceConnectorStreamingConfiguration"], Literal["DeleteAttendee"], Literal["SendChannelMessage"], Literal["DeleteMediaInsightsPipelineConfiguration"], Literal["AssociatePhoneNumberWithUser"], Literal["DeleteAccount"], Literal["DeleteVoiceProfileDomain"], Literal["GetSipMediaApplicationAlexaSkillConfiguration"], Literal["UpdateChannelMessage"], Literal["UpdateVoiceConnector"], Literal["PutChannelExpirationSettings"], Literal["UpdateSupportedLicenses"], Literal["CreateAccount"], Literal["DescribeChannelBan"], Literal["GetVoiceConnectorLoggingConfiguration"], Literal["DeleteDomain"], Literal["GetVoiceConnectorProxy"], Literal["DeleteChannelMembership"], Literal["ListChannelFlows"], Literal["SubmitSupportRequest"], Literal["PutRetentionSettings"], Literal["UpdateProxySession"], Literal["ConnectDirectory"], Literal["DeleteAppInstance"], Literal["StartDataExport"], Literal["CreateChannelFlow"], Literal["UpdateUser"], Literal["GetUserActivityReportData"], Literal["CreateAppInstance"], Literal["GetMediaInsightsPipelineConfiguration"], Literal["PutAppInstanceStreamingConfigurations"], Literal["GetMeetingDetail"], Literal["GetPhoneNumberSettings"], Literal["PutSipMediaApplicationAlexaSkillConfiguration"], Literal["DeleteChannelFlow"], Literal["DeleteGroups"], Literal["ListTagsForResource"], Literal["GetMediaPipeline"], Literal["LogoutUser"], Literal["UpdateVoiceProfileDomain"], Literal["CreateVoiceConnector"], Literal["DeleteAppInstanceStreamingConfigurations"], Literal["DescribeChannelMembership"], Literal["CreateMediaInsightsPipelineConfiguration"], Literal["DeleteVoiceConnectorProxy"], Literal["TagMeeting"], Literal["ListChannelMemberships"], Literal["CreateRoomMembership"], Literal["GetMessagingSessionEndpoint"], Literal["CreateBot"], Literal["DeleteChannelBan"], Literal["BatchDeletePhoneNumber"], Literal["DisassociateSigninDelegateGroupsFromAccount"], Literal["GetVoiceToneAnalysisTask"], Literal["ListAccountUsageReportData"], Literal["GetPhoneNumber"], Literal["ListChannels"], Literal["ListVoiceConnectorGroups"], Literal["DeletePhoneNumber"], Literal["SuspendUsers"], Literal["UpdateAttendeeCapabilities"], Literal["UpdateUserLicenses"], Literal["RedactRoomMessage"], Literal["ListAttendees"], Literal["GetPhoneNumberOrder"], Literal["DeleteMeeting"], Literal["GetVoiceConnectorEmergencyCallingConfiguration"], Literal["ListProxySessions"], Literal["UpdateSipMediaApplicationCall"], Literal["CreateVoiceConnectorGroup"], Literal["TagAttendee"], Literal["CreateChannelBan"], Literal["CreateVoiceProfileDomain"], Literal["DeleteVoiceConnectorOrigination"], Literal["ListSipRules"], Literal["ListChannelMessages"], Literal["GetDomain"], Literal["AssociateSigninDelegateGroupsWithAccount"], Literal["GetGlobalSettings"], Literal["ListVoiceProfileDomains"], Literal["PutAppInstanceUserExpirationSettings"], Literal["UpdateChannelReadMarker"], Literal["DeleteVoiceConnectorEmergencyCallingConfiguration"], Literal["GetVoiceConnectorStreamingConfiguration"], Literal["ListVoiceConnectorTerminationCredentials"], Literal["GetProxySession"], Literal["ListChannelModerators"], Literal["BatchUpdatePhoneNumber"], Literal["CreateMediaLiveConnectorPipeline"], Literal["UpdateAccountOpenIdConfig"], Literal["ListCallingRegions"], Literal["GetVoiceProfileDomain"], Literal["Connect"], Literal["GetUserByEmail"], Literal["CreatePhoneNumberOrder"], Literal["DescribeAppInstanceUserEndpoint"], Literal["GetCDRBucket"], Literal["InviteDelegate"], Literal["BatchCreateRoomMembership"], Literal["GetMeeting"], Literal["GetMessagingStreamingConfigurations"], Literal["GetRoom"], Literal["DisassociateChannelFlow"], Literal["GetSpeakerSearchTask"], Literal["CreateMeetingDialOut"], Literal["GetAccount"], Literal["UpdatePhoneNumberSettings"], Literal["AuthorizeDirectory"], Literal["ListAttendeeTags"], Literal["RegenerateSecurityToken"], Literal["UntagResource"], Literal["UpdateAppInstanceUser"], Literal["UpdateChannel"], Literal["DisassociatePhoneNumberFromUser"], Literal["RedactConversationMessage"], Literal["CreateAttendee"], Literal["DeleteApiKey"], Literal["RetrieveDataExports"], Literal["DeleteSipRule"], Literal["ListRoomMemberships"], Literal["UpdateAppInstance"], Literal["GetTelephonyLimits"], Literal["PutAppInstanceRetentionSettings"], Literal["GetAppInstanceStreamingConfigurations"], Literal["ListBots"], Literal["ListRooms"], Literal["ListMediaCapturePipelines"], Literal["UpdateMediaInsightsPipelineConfiguration"], Literal["DeleteEventsConfiguration"], Literal["StartMeetingTranscription"], Literal["RenewDelegate"], Literal["DescribeChannelModeratedByAppInstanceUser"], Literal["GetVoiceConnectorOrigination"], Literal["StopMeetingTranscription"], Literal["CreateAppInstanceAdmin"]]
aws_chime_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:ResourceTag/${TagKey}"], Literal["aws:RequestTag/${TagKey}"]]

class aws_chimeStatement(GenericResourceType[aws_chime_privilege_type, aws_chime_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    