from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_cloudfront_privilege_type = Union[Literal["DeleteResponseHeadersPolicy"], Literal["UpdatePublicKey"], Literal["GetStreamingDistributionConfig"], Literal["CreateFunction"], Literal["UpdateResponseHeadersPolicy"], Literal["ListConflictingAliases"], Literal["ListContinuousDeploymentPolicies"], Literal["CreateKeyValueStore"], Literal["ListRateCards"], Literal["CreateKeyGroup"], Literal["UpdateOriginRequestPolicy"], Literal["GetOriginRequestPolicyConfig"], Literal["PublishFunction"], Literal["CreateFieldLevelEncryptionConfig"], Literal["ListDistributionsByOriginRequestPolicyId"], Literal["ListDistributionsByLambdaFunction"], Literal["ListDistributionsByKeyGroup"], Literal["DeleteStreamingDistribution"], Literal["ListCloudFrontOriginAccessIdentities"], Literal["DeleteKeyGroup"], Literal["ListInvalidations"], Literal["ListKeyGroups"], Literal["TagResource"], Literal["CreateDistribution"], Literal["UpdateStreamingDistribution"], Literal["CreateStreamingDistribution"], Literal["UpdateFunction"], Literal["TestFunction"], Literal["ListRealtimeLogConfigs"], Literal["ListDistributionsByResponseHeadersPolicyId"], Literal["GetDistribution"], Literal["GetContinuousDeploymentPolicy"], Literal["UpdateCloudFrontOriginAccessIdentity"], Literal["ListDistributions"], Literal["DeleteRealtimeLogConfig"], Literal["DeleteMonitoringSubscription"], Literal["ListUsages"], Literal["CopyDistribution"], Literal["GetSavingsPlan"], Literal["UpdateFieldLevelEncryptionConfig"], Literal["DeleteFieldLevelEncryptionConfig"], Literal["ListPublicKeys"], Literal["CreateMonitoringSubscription"], Literal["DeleteFunction"], Literal["CreateCachePolicy"], Literal["DescribeKeyValueStore"], Literal["UpdateRealtimeLogConfig"], Literal["DeleteCachePolicy"], Literal["CreateFieldLevelEncryptionProfile"], Literal["AssociateAlias"], Literal["GetRealtimeLogConfig"], Literal["GetMonitoringSubscription"], Literal["GetContinuousDeploymentPolicyConfig"], Literal["DeletePublicKey"], Literal["ListDistributionsByWebACLId"], Literal["UpdateDistribution"], Literal["GetPublicKeyConfig"], Literal["CreateCloudFrontOriginAccessIdentity"], Literal["ListSavingsPlans"], Literal["GetFieldLevelEncryptionConfig"], Literal["DeleteFieldLevelEncryptionProfile"], Literal["CreateContinuousDeploymentPolicy"], Literal["DescribeFunction"], Literal["GetResponseHeadersPolicy"], Literal["DeleteKeyValueStore"], Literal["GetFieldLevelEncryptionProfile"], Literal["GetCachePolicy"], Literal["ListStreamingDistributions"], Literal["UpdateFieldLevelEncryptionProfile"], Literal["CreatePublicKey"], Literal["GetInvalidation"], Literal["GetKeyGroup"], Literal["ListFieldLevelEncryptionConfigs"], Literal["CreateSavingsPlan"], Literal["ListCachePolicies"], Literal["CreateOriginRequestPolicy"], Literal["DeleteOriginAccessControl"], Literal["GetCachePolicyConfig"], Literal["ListOriginAccessControls"], Literal["GetResponseHeadersPolicyConfig"], Literal["UpdateContinuousDeploymentPolicy"], Literal["UpdateKeyValueStore"], Literal["CreateOriginAccessControl"], Literal["GetPublicKey"], Literal["GetOriginAccessControl"], Literal["UpdateKeyGroup"], Literal["UpdateOriginAccessControl"], Literal["UntagResource"], Literal["GetFunction"], Literal["ListOriginRequestPolicies"], Literal["GetCloudFrontOriginAccessIdentityConfig"], Literal["GetDistributionConfig"], Literal["ListResponseHeadersPolicies"], Literal["ListFunctions"], Literal["GetCloudFrontOriginAccessIdentity"], Literal["CreateResponseHeadersPolicy"], Literal["DeleteOriginRequestPolicy"], Literal["ListKeyValueStores"], Literal["CreateRealtimeLogConfig"], Literal["DeleteContinuousDeploymentPolicy"], Literal["GetOriginRequestPolicy"], Literal["ListTagsForResource"], Literal["GetFieldLevelEncryption"], Literal["ListDistributionsByCachePolicyId"], Literal["UpdateCachePolicy"], Literal["GetStreamingDistribution"], Literal["GetFieldLevelEncryptionProfileConfig"], Literal["UpdateSavingsPlan"], Literal["ListFieldLevelEncryptionProfiles"], Literal["CreateInvalidation"], Literal["GetOriginAccessControlConfig"], Literal["GetKeyGroupConfig"], Literal["DeleteCloudFrontOriginAccessIdentity"], Literal["DeleteDistribution"], Literal["CreateStreamingDistributionWithTags"], Literal["ListDistributionsByRealtimeLogConfig"]]
aws_cloudfront_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_cloudfrontStatement(GenericResourceType[aws_cloudfront_privilege_type, aws_cloudfront_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    