from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_cognito_idp_privilege_type = Union[Literal["RevokeToken"], Literal["DeleteResourceServer"], Literal["AdminInitiateAuth"], Literal["ConfirmSignUp"], Literal["ListUsers"], Literal["GetUICustomization"], Literal["CreateGroup"], Literal["GetLogDeliveryConfiguration"], Literal["RespondToAuthChallenge"], Literal["DisassociateWebACL"], Literal["ListIdentityProviders"], Literal["StartUserImportJob"], Literal["AdminUpdateDeviceStatus"], Literal["AdminForgetDevice"], Literal["ChangePassword"], Literal["VerifySoftwareToken"], Literal["VerifyUserAttribute"], Literal["DeleteIdentityProvider"], Literal["TagResource"], Literal["AssociateWebACL"], Literal["DeleteUserPoolClient"], Literal["UpdateIdentityProvider"], Literal["AdminSetUserSettings"], Literal["AdminCreateUser"], Literal["SetUICustomization"], Literal["AdminRespondToAuthChallenge"], Literal["DeleteUserPool"], Literal["CreateUserPoolDomain"], Literal["CreateUserPool"], Literal["AdminListGroupsForUser"], Literal["AdminGetDevice"], Literal["ForgetDevice"], Literal["AdminDisableUser"], Literal["ListDevices"], Literal["UpdateDeviceStatus"], Literal["AdminConfirmSignUp"], Literal["DescribeUserPoolClient"], Literal["AdminDeleteUserAttributes"], Literal["DescribeUserPoolDomain"], Literal["GetUserAttributeVerificationCode"], Literal["ForgotPassword"], Literal["AdminDeleteUser"], Literal["ListResourcesForWebACL"], Literal["GetCSVHeader"], Literal["ListGroups"], Literal["SetUserSettings"], Literal["DeleteUserAttributes"], Literal["InitiateAuth"], Literal["AdminRemoveUserFromGroup"], Literal["CreateUserImportJob"], Literal["SetUserPoolMfaConfig"], Literal["UpdateUserAttributes"], Literal["AdminAddUserToGroup"], Literal["DeleteUser"], Literal["ListUsersInGroup"], Literal["AdminUpdateAuthEventFeedback"], Literal["UpdateGroup"], Literal["AdminUserGlobalSignOut"], Literal["GetUserPoolMfaConfig"], Literal["AdminLinkProviderForUser"], Literal["AssociateSoftwareToken"], Literal["AdminSetUserPassword"], Literal["DescribeUserPool"], Literal["GetUser"], Literal["CreateUserPoolClient"], Literal["DescribeUserImportJob"], Literal["DeleteUserPoolDomain"], Literal["AdminResetUserPassword"], Literal["SetLogDeliveryConfiguration"], Literal["AdminListDevices"], Literal["AddCustomAttributes"], Literal["SetRiskConfiguration"], Literal["AdminUpdateUserAttributes"], Literal["ConfirmForgotPassword"], Literal["GlobalSignOut"], Literal["DescribeRiskConfiguration"], Literal["StopUserImportJob"], Literal["AdminDisableProviderForUser"], Literal["SignUp"], Literal["AdminListUserAuthEvents"], Literal["ListUserImportJobs"], Literal["UntagResource"], Literal["DescribeIdentityProvider"], Literal["ListResourceServers"], Literal["UpdateResourceServer"], Literal["GetGroup"], Literal["UpdateAuthEventFeedback"], Literal["AdminSetUserMFAPreference"], Literal["GetDevice"], Literal["ListTagsForResource"], Literal["SetUserMFAPreference"], Literal["DescribeResourceServer"], Literal["ListUserPools"], Literal["UpdateUserPoolDomain"], Literal["CreateIdentityProvider"], Literal["CreateResourceServer"], Literal["UpdateUserPool"], Literal["GetWebACLForResource"], Literal["GetSigningCertificate"], Literal["ListUserPoolClients"], Literal["ConfirmDevice"], Literal["DeleteGroup"], Literal["ResendConfirmationCode"], Literal["AdminGetUser"], Literal["AdminEnableUser"], Literal["UpdateUserPoolClient"], Literal["GetIdentityProviderByIdentifier"]]
aws_cognito_idp_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:ResourceTag/${TagKey}"], Literal["aws:RequestTag/${TagKey}"]]

class aws_cognito_idpStatement(GenericResourceType[aws_cognito_idp_privilege_type, aws_cognito_idp_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    