from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_comprehend_privilege_type = Union[Literal["CreateEntityRecognizer"], Literal["BatchDetectKeyPhrases"], Literal["ListTargetedSentimentDetectionJobs"], Literal["BatchDetectSentiment"], Literal["DeleteEntityRecognizer"], Literal["StartDocumentClassificationJob"], Literal["ListFlywheelIterationHistory"], Literal["DescribeEventsDetectionJob"], Literal["DetectKeyPhrases"], Literal["BatchDetectSyntax"], Literal["DescribeResourcePolicy"], Literal["DetectPiiEntities"], Literal["CreateDataset"], Literal["DescribePiiEntitiesDetectionJob"], Literal["DetectEntities"], Literal["ListDominantLanguageDetectionJobs"], Literal["BatchDetectEntities"], Literal["DescribeKeyPhrasesDetectionJob"], Literal["DescribeSentimentDetectionJob"], Literal["ListPiiEntitiesDetectionJobs"], Literal["ListSentimentDetectionJobs"], Literal["DeleteResourcePolicy"], Literal["DeleteEndpoint"], Literal["TagResource"], Literal["ListEntityRecognizerSummaries"], Literal["ClassifyDocument"], Literal["ImportModel"], Literal["StartTargetedSentimentDetectionJob"], Literal["DescribeTopicsDetectionJob"], Literal["DescribeFlywheelIteration"], Literal["DescribeEntitiesDetectionJob"], Literal["DetectSyntax"], Literal["DeleteFlywheel"], Literal["DescribeEndpoint"], Literal["StopKeyPhrasesDetectionJob"], Literal["StartFlywheelIteration"], Literal["DetectToxicContent"], Literal["ListEndpoints"], Literal["UpdateFlywheel"], Literal["StartDominantLanguageDetectionJob"], Literal["DetectSentiment"], Literal["StartEventsDetectionJob"], Literal["CreateEndpoint"], Literal["DeleteDocumentClassifier"], Literal["StopTargetedSentimentDetectionJob"], Literal["BatchDetectDominantLanguage"], Literal["StartEntitiesDetectionJob"], Literal["DescribeDataset"], Literal["DescribeDominantLanguageDetectionJob"], Literal["ContainsPiiEntities"], Literal["ListFlywheels"], Literal["StartPiiEntitiesDetectionJob"], Literal["ListEntityRecognizers"], Literal["DescribeTargetedSentimentDetectionJob"], Literal["ListDocumentClassifiers"], Literal["DescribeDocumentClassificationJob"], Literal["DescribeDocumentClassifier"], Literal["ListDocumentClassificationJobs"], Literal["StopPiiEntitiesDetectionJob"], Literal["DetectDominantLanguage"], Literal["DescribeEntityRecognizer"], Literal["PutResourcePolicy"], Literal["StartKeyPhrasesDetectionJob"], Literal["StopEntitiesDetectionJob"], Literal["CreateDocumentClassifier"], Literal["StopTrainingDocumentClassifier"], Literal["StartTopicsDetectionJob"], Literal["CreateFlywheel"], Literal["DetectTargetedSentiment"], Literal["UntagResource"], Literal["ListEventsDetectionJobs"], Literal["StopDominantLanguageDetectionJob"], Literal["StartSentimentDetectionJob"], Literal["ListKeyPhrasesDetectionJobs"], Literal["ListTopicsDetectionJobs"], Literal["StopEventsDetectionJob"], Literal["BatchDetectTargetedSentiment"], Literal["ListTagsForResource"], Literal["ListEntitiesDetectionJobs"], Literal["StopTrainingEntityRecognizer"], Literal["DescribeFlywheel"], Literal["StopSentimentDetectionJob"], Literal["ListDatasets"], Literal["ListDocumentClassifierSummaries"], Literal["UpdateEndpoint"]]
aws_comprehend_condition_type = Union[Literal["aws:TagKeys"], Literal["comprehend:DataLakeKmsKey"], Literal["comprehend:VolumeKmsKey"], Literal["comprehend:FlywheelIterationId"], Literal["comprehend:ModelKmsKey"], Literal["comprehend:VpcSecurityGroupIds"], Literal["comprehend:VpcSubnets"], Literal["comprehend:OutputKmsKey"], Literal["aws:RequestTag/${TagKey}"]]

class aws_comprehendStatement(GenericResourceType[aws_comprehend_privilege_type, aws_comprehend_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    