from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_config_privilege_type = Union[Literal["GetAggregateDiscoveredResourceCounts"], Literal["PutRemediationConfigurations"], Literal["PutConfigurationAggregator"], Literal["ListAggregateDiscoveredResources"], Literal["DeleteEvaluationResults"], Literal["PutExternalEvaluation"], Literal["GetConformancePackComplianceDetails"], Literal["GetComplianceSummaryByConfigRule"], Literal["SelectResourceConfig"], Literal["PutDeliveryChannel"], Literal["DeleteConfigurationRecorder"], Literal["DeleteAggregationAuthorization"], Literal["DescribeConfigurationRecorderStatus"], Literal["DescribeConfigurationAggregatorSourcesStatus"], Literal["ListResourceEvaluations"], Literal["PutAggregationAuthorization"], Literal["GetAggregateComplianceDetailsByConfigRule"], Literal["StartRemediationExecution"], Literal["GetDiscoveredResourceCounts"], Literal["GetResourceEvaluationSummary"], Literal["PutRemediationExceptions"], Literal["DescribeConfigurationAggregators"], Literal["TagResource"], Literal["DescribeRemediationExceptions"], Literal["PutRetentionConfiguration"], Literal["PutResourceConfig"], Literal["DeleteOrganizationConformancePack"], Literal["StartResourceEvaluation"], Literal["GetOrganizationConfigRuleDetailedStatus"], Literal["PutOrganizationConfigRule"], Literal["DeletePendingAggregationRequest"], Literal["ListStoredQueries"], Literal["DescribeComplianceByResource"], Literal["DescribeRemediationConfigurations"], Literal["DeleteRemediationExceptions"], Literal["GetComplianceDetailsByConfigRule"], Literal["GetAggregateConformancePackComplianceSummary"], Literal["PutConfigurationRecorder"], Literal["DeleteRemediationConfiguration"], Literal["PutStoredQuery"], Literal["DeleteOrganizationConfigRule"], Literal["PutConfigRule"], Literal["DescribePendingAggregationRequests"], Literal["DescribeConformancePackCompliance"], Literal["DescribeDeliveryChannelStatus"], Literal["GetStoredQuery"], Literal["DescribeAggregateComplianceByConformancePacks"], Literal["DeleteConfigRule"], Literal["DeleteDeliveryChannel"], Literal["DescribeOrganizationConfigRuleStatuses"], Literal["DescribeConformancePackStatus"], Literal["DeleteConformancePack"], Literal["DescribeAggregateComplianceByConfigRules"], Literal["GetConformancePackComplianceSummary"], Literal["GetCustomRulePolicy"], Literal["PutOrganizationConformancePack"], Literal["StopConfigurationRecorder"], Literal["DescribeRemediationExecutionStatus"], Literal["DescribeOrganizationConfigRules"], Literal["StartConfigurationRecorder"], Literal["DescribeAggregationAuthorizations"], Literal["DeleteConfigurationAggregator"], Literal["BatchGetResourceConfig"], Literal["BatchGetAggregateResourceConfig"], Literal["GetOrganizationConformancePackDetailedStatus"], Literal["DescribeConfigRuleEvaluationStatus"], Literal["DeleteResourceConfig"], Literal["StartConfigRulesEvaluation"], Literal["SelectAggregateResourceConfig"], Literal["UntagResource"], Literal["DescribeConfigRules"], Literal["DescribeOrganizationConformancePackStatuses"], Literal["DescribeOrganizationConformancePacks"], Literal["GetComplianceDetailsByResource"], Literal["DeleteStoredQuery"], Literal["DescribeRetentionConfigurations"], Literal["DescribeComplianceByConfigRule"], Literal["DeleteRetentionConfiguration"], Literal["ListTagsForResource"], Literal["PutConformancePack"], Literal["ListDiscoveredResources"], Literal["GetOrganizationCustomRulePolicy"], Literal["GetResourceConfigHistory"], Literal["DescribeConfigurationRecorders"], Literal["GetComplianceSummaryByResourceType"], Literal["DeliverConfigSnapshot"], Literal["GetAggregateConfigRuleComplianceSummary"], Literal["DescribeConformancePacks"], Literal["DescribeDeliveryChannels"], Literal["GetAggregateResourceConfig"], Literal["PutEvaluations"], Literal["ListConformancePackComplianceScores"]]
aws_config_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_configStatement(GenericResourceType[aws_config_privilege_type, aws_config_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    