from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_connect_privilege_type = Union[Literal["ResumeContactRecording"], Literal["ListUserHierarchyGroups"], Literal["DeleteInstance"], Literal["ListIntegrationAssociations"], Literal["ListViewVersions"], Literal["BatchDisassociateAnalyticsDataSet"], Literal["GetPromptFile"], Literal["ListRealtimeContactAnalysisSegments"], Literal["DisassociateCustomerProfilesDomain"], Literal["UpdatePredefinedAttribute"], Literal["ListTaskTemplates"], Literal["ListRealtimeContactAnalysisSegmentsV2"], Literal["ListUsers"], Literal["CreateContactFlowModule"], Literal["SearchQuickConnects"], Literal["SuspendContactRecording"], Literal["ListContactEvaluations"], Literal["DescribeUserHierarchyStructure"], Literal["GetFederationToken"], Literal["UpdateUserHierarchyGroupName"], Literal["SearchRoutingProfiles"], Literal["GetMetricDataV2"], Literal["ListLexBots"], Literal["ListPhoneNumbersV2"], Literal["ListFlowAssociations"], Literal["UpdateInstanceStorageConfig"], Literal["UpdateQueueOutboundCallerConfig"], Literal["CreateViewVersion"], Literal["AssociateSecurityKey"], Literal["CreateRule"], Literal["SearchSecurityProfiles"], Literal["StopForecastingPlanningSchedulingIntegration"], Literal["DescribeAgentStatus"], Literal["CreateTaskTemplate"], Literal["UpdateRoutingProfileDefaultOutboundQueue"], Literal["CreateQuickConnect"], Literal["DescribeForecastingPlanningSchedulingIntegration"], Literal["CreateInstance"], Literal["DescribePredefinedAttribute"], Literal["DisassociateApprovedOrigin"], Literal["DescribeVocabulary"], Literal["ListQuickConnects"], Literal["ListContactFlows"], Literal["UpdateViewMetadata"], Literal["TagResource"], Literal["DeleteUserHierarchyGroup"], Literal["CreateContactFlow"], Literal["ListQueueQuickConnects"], Literal["ListApprovedOrigins"], Literal["CreateTrafficDistributionGroup"], Literal["CreateRoutingProfile"], Literal["GetFlowAssociation"], Literal["DescribePhoneNumber"], Literal["CreateParticipant"], Literal["AssociateLambdaFunction"], Literal["SearchHoursOfOperations"], Literal["DescribeUserHierarchyGroup"], Literal["ListContactFlowModules"], Literal["DeletePrompt"], Literal["DeleteRule"], Literal["ListViews"], Literal["GetCurrentMetricData"], Literal["ListSecurityKeys"], Literal["DeleteViewVersion"], Literal["ListSecurityProfiles"], Literal["DisassociateRoutingProfileQueues"], Literal["ResumeContact"], Literal["StopContactStreaming"], Literal["ListUseCases"], Literal["ListHoursOfOperations"], Literal["AssociatePhoneNumberContactFlow"], Literal["ListRoutingProfiles"], Literal["UpdateSecurityProfile"], Literal["DescribeContactEvaluation"], Literal["ListContactReferences"], Literal["ListInstanceStorageConfigs"], Literal["AssociateTrafficDistributionGroupUser"], Literal["DeletePredefinedAttribute"], Literal["ListInstanceAttributes"], Literal["DescribeView"], Literal["StartContactStreaming"], Literal["AssociateBot"], Literal["AssociateQueueQuickConnects"], Literal["DescribeQueue"], Literal["DeleteSecurityProfile"], Literal["DeleteContactFlowModule"], Literal["ListInstances"], Literal["UpdatePhoneNumber"], Literal["ReplicateInstance"], Literal["ListRoutingProfileQueues"], Literal["CreatePrompt"], Literal["PauseContact"], Literal["PutUserStatus"], Literal["UpdateHoursOfOperation"], Literal["UpdateContactAttributes"], Literal["UpdateParticipantRoleConfig"], Literal["DescribeEvaluationForm"], Literal["ImportPhoneNumber"], Literal["SearchQueues"], Literal["ClaimPhoneNumber"], Literal["BatchGetFlowAssociation"], Literal["DescribeContact"], Literal["UpdateQueueName"], Literal["StartOutboundVoiceContact"], Literal["UpdateContactFlowName"], Literal["UpdateRoutingProfileQueues"], Literal["DescribeRule"], Literal["DisassociateSecurityKey"], Literal["UpdateContact"], Literal["UpdateContactSchedule"], Literal["AssociateInstanceStorageConfig"], Literal["SendChatIntegrationEvent"], Literal["AssociateRoutingProfileQueues"], Literal["CreateSecurityProfile"], Literal["DescribeInstance"], Literal["GetTrafficDistribution"], Literal["AssociateLexBot"], Literal["DeleteUser"], Literal["DisassociatePhoneNumberContactFlow"], Literal["CreatePredefinedAttribute"], Literal["SearchContacts"], Literal["UntagContact"], Literal["UpdateQueueMaxContacts"], Literal["DisassociateLambdaFunction"], Literal["AssociateUserProficiencies"], Literal["ListTrafficDistributionGroupUsers"], Literal["CreateUser"], Literal["AssociateCustomerProfilesDomain"], Literal["DescribeTrafficDistributionGroup"], Literal["SearchResourceTags"], Literal["UpdateUserSecurityProfiles"], Literal["CreatePersistentContactAssociation"], Literal["DeleteTaskTemplate"], Literal["SearchUsers"], Literal["CreateIntegrationAssociation"], Literal["SearchAvailablePhoneNumbers"], Literal["UpdatePrompt"], Literal["SearchVocabularies"], Literal["UpdateContactFlowModuleMetadata"], Literal["CreateVocabulary"], Literal["CreateUseCase"], Literal["DescribeInstanceStorageConfig"], Literal["UpdateUserHierarchy"], Literal["DescribeQuickConnect"], Literal["SearchPredefinedAttributes"], Literal["DescribeHoursOfOperation"], Literal["DeactivateEvaluationForm"], Literal["UpdateQueueStatus"], Literal["UpdateRoutingProfileName"], Literal["CreateHoursOfOperation"], Literal["CreateView"], Literal["UpdateQuickConnectConfig"], Literal["ListSecurityProfilePermissions"], Literal["DescribeUser"], Literal["ReleasePhoneNumber"], Literal["CreateEvaluationForm"], Literal["DisassociateQueueQuickConnects"], Literal["GetTaskTemplate"], Literal["ListEvaluationFormVersions"], Literal["StartTaskContact"], Literal["MonitorContact"], Literal["ListQueues"], Literal["DisassociateTrafficDistributionGroupUser"], Literal["ListUserProficiencies"], Literal["DeleteIntegrationAssociation"], Literal["UpdateTaskTemplate"], Literal["CreateUserHierarchyGroup"], Literal["DescribePrompt"], Literal["ListAgentStatuses"], Literal["UpdateUserRoutingProfile"], Literal["DescribeContactFlow"], Literal["StartChatContact"], Literal["StartWebRTCContact"], Literal["StartContactEvaluation"], Literal["UpdateContactFlowModuleContent"], Literal["UpdateQuickConnectName"], Literal["UpdateUserPhoneConfig"], Literal["DeleteQueue"], Literal["DeleteTrafficDistributionGroup"], Literal["DeleteUseCase"], Literal["ListEvaluationForms"], Literal["DeleteVocabulary"], Literal["DisassociateUserProficiencies"], Literal["ListPrompts"], Literal["UntagResource"], Literal["UpdateRoutingProfileConcurrency"], Literal["ListSecurityProfileApplications"], Literal["GetContactAttributes"], Literal["ListDefaultVocabularies"], Literal["TagContact"], Literal["UpdateTrafficDistribution"], Literal["AssociateApprovedOrigin"], Literal["UpdateViewContent"], Literal["DisassociateFlow"], Literal["DeleteQuickConnect"], Literal["DismissUserContact"], Literal["AssociateDefaultVocabulary"], Literal["DeleteRoutingProfile"], Literal["ListPredefinedAttributes"], Literal["DeleteContactFlow"], Literal["DescribeRoutingProfile"], Literal["UpdateUserProficiencies"], Literal["TransferContact"], Literal["BatchAssociateAnalyticsDataSet"], Literal["UpdateAgentStatus"], Literal["DisassociateInstanceStorageConfig"], Literal["DisassociateLexBot"], Literal["ListTagsForResource"], Literal["ListTrafficDistributionGroups"], Literal["UpdateQueueHoursOfOperation"], Literal["ActivateEvaluationForm"], Literal["UpdateContactFlowMetadata"], Literal["UpdateEvaluationForm"], Literal["AssociateFlow"], Literal["GetFederationTokens"], Literal["BatchPutContact"], Literal["DeleteContactEvaluation"], Literal["DeleteHoursOfOperation"], Literal["DescribeSecurityProfile"], Literal["UpdateContactFlowContent"], Literal["UpdatePhoneNumberMetadata"], Literal["UpdateRoutingProfileAgentAvailabilityTimer"], Literal["DescribeContactFlowModule"], Literal["UpdateContactRoutingData"], Literal["StopContact"], Literal["DescribeInstanceAttribute"], Literal["UpdateUserHierarchyStructure"], Literal["SubmitContactEvaluation"], Literal["StartContactRecording"], Literal["ListBots"], Literal["UpdateContactEvaluation"], Literal["GetMetricData"], Literal["UpdateRule"], Literal["ListPhoneNumbers"], Literal["CreateQueue"], Literal["ListLambdaFunctions"], Literal["SearchPrompts"], Literal["DeleteEvaluationForm"], Literal["CreateAgentStatus"], Literal["UpdateUserIdentityInfo"], Literal["DeleteView"], Literal["StartForecastingPlanningSchedulingIntegration"], Literal["ListRules"], Literal["UpdateInstanceAttribute"], Literal["GetCurrentUserData"], Literal["DisassociateBot"], Literal["StopContactRecording"]]
aws_connect_condition_type = Union[Literal["connect:InstanceId"], Literal["aws:ResourceTag/${TagKey}"], Literal["aws:TagKeys"], Literal["connect:MonitorCapabilities"], Literal["connect:AttributeType"], Literal["connect:SearchContactsByContactAnalysis"], Literal["connect:StorageResourceType"], Literal["connect:SearchTag/${TagKey}"], Literal["aws:RequestTag/${TagKey}"]]

class aws_connectStatement(GenericResourceType[aws_connect_privilege_type, aws_connect_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    