from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_dms_privilege_type = Union[Literal["StartRecommendations"], Literal["DeleteReplicationTaskAssessmentRun"], Literal["StartMetadataModelExportAsScript"], Literal["ModifyInstanceProfile"], Literal["UploadFileMetadataList"], Literal["DescribeTableStatistics"], Literal["RemoveTagsFromResource"], Literal["CreateEventSubscription"], Literal["DescribeMetadataModelImports"], Literal["DescribeRecommendationLimitations"], Literal["StartReplication"], Literal["StartMetadataModelExportAsScripts"], Literal["StartMetadataModelImport"], Literal["RebootReplicationInstance"], Literal["DescribeReplicationTaskIndividualAssessments"], Literal["DescribeEndpoints"], Literal["DescribeMetadataModelConversions"], Literal["DescribeFleetAdvisorDatabases"], Literal["DescribeReplicationSubnetGroups"], Literal["ReloadTables"], Literal["CancelReplicationTaskAssessmentRun"], Literal["ModifyDataProvider"], Literal["DescribeEndpointSettings"], Literal["StartMetadataModelAssessment"], Literal["StopReplication"], Literal["ListMetadataModelAssessmentActionItems"], Literal["CreateReplicationConfig"], Literal["DescribeExtensionPackAssociations"], Literal["CreateReplicationSubnetGroup"], Literal["DescribeDataMigrations"], Literal["ModifyFleetAdvisorCollector"], Literal["DescribePendingMaintenanceActions"], Literal["RunFleetAdvisorLsaAnalysis"], Literal["DeleteEndpoint"], Literal["UpdateInstanceProfile"], Literal["ListExtensionPacks"], Literal["DeleteFleetAdvisorCollector"], Literal["TestConnection"], Literal["DescribeMetadataModelAssessments"], Literal["StartReplicationTaskAssessmentRun"], Literal["ListMetadataModelConversions"], Literal["DescribeReplicationTableStatistics"], Literal["ImportCertificate"], Literal["DescribeRecommendations"], Literal["StartDataMigration"], Literal["GetMetadataModel"], Literal["ListDataProviders"], Literal["CreateReplicationInstance"], Literal["UpdateConversionConfiguration"], Literal["DeleteReplicationSubnetGroup"], Literal["ModifyFleetAdvisorCollectorStatuses"], Literal["StartReplicationTaskAssessment"], Literal["CreateDataMigration"], Literal["DescribeOrderableReplicationInstances"], Literal["DescribeFleetAdvisorSchemas"], Literal["DeleteFleetAdvisorDatabases"], Literal["DescribeEvents"], Literal["ModifyEventSubscription"], Literal["DescribeRefreshSchemasStatus"], Literal["ModifyMigrationProject"], Literal["CreateEndpoint"], Literal["StartReplicationTask"], Literal["DeleteReplicationInstance"], Literal["CreateMigrationProject"], Literal["ModifyReplicationInstance"], Literal["ReloadReplicationTables"], Literal["AssociateExtensionPack"], Literal["DescribeEngineVersions"], Literal["DescribeEventCategories"], Literal["DeleteReplicationTask"], Literal["ExportMetadataModelAssessment"], Literal["ModifyReplicationConfig"], Literal["DeleteEventSubscription"], Literal["DescribeMetadataModelExportsAsScript"], Literal["ModifyConversionConfiguration"], Literal["UpdateDataProvider"], Literal["DescribeConnections"], Literal["RefreshSchemas"], Literal["DeleteConnection"], Literal["ListInstanceProfiles"], Literal["DescribeReplicationInstanceTaskLogs"], Literal["CreateFleetAdvisorCollector"], Literal["DescribeMigrationProjects"], Literal["DescribeEndpointTypes"], Literal["DeleteCertificate"], Literal["DescribeApplicableIndividualAssessments"], Literal["DescribeDataProviders"], Literal["DescribeReplicationTaskAssessmentResults"], Literal["DeleteReplicationConfig"], Literal["ApplyPendingMaintenanceAction"], Literal["ListMetadataModelAssessments"], Literal["ModifyReplicationTask"], Literal["DescribeReplicationTasks"], Literal["BatchStartRecommendations"], Literal["CreateDataProvider"], Literal["MoveReplicationTask"], Literal["DescribeEventSubscriptions"], Literal["DescribeFleetAdvisorCollectors"], Literal["DisassociateExtensionPack"], Literal["DescribeMetadataModelExportsToTarget"], Literal["ModifyReplicationSubnetGroup"], Literal["ListMigrationProjects"], Literal["DeleteDataMigration"], Literal["UpdateSubscriptionsToEventBridge"], Literal["UpdateMigrationProject"], Literal["StartMetadataModelConversion"], Literal["CreateInstanceProfile"], Literal["DescribeReplicationInstances"], Literal["DescribeSchemas"], Literal["DescribeReplicationTaskAssessmentRuns"], Literal["DescribeFleetAdvisorLsaAnalysis"], Literal["DescribeAccountAttributes"], Literal["ListTagsForResource"], Literal["CreateReplicationTask"], Literal["DescribeReplications"], Literal["DeleteDataProvider"], Literal["AddTagsToResource"], Literal["DeleteMigrationProject"], Literal["ListMetadataModelExports"], Literal["StopReplicationTask"], Literal["CancelMetadataModelConversion"], Literal["StartExtensionPackAssociation"], Literal["StartMetadataModelExportToTarget"], Literal["DescribeConversionConfiguration"], Literal["DeleteInstanceProfile"], Literal["StopDataMigration"], Literal["CancelMetadataModelExport"], Literal["DescribeInstanceProfiles"], Literal["DescribeReplicationConfigs"], Literal["ModifyEndpoint"], Literal["CancelMetadataModelAssessment"], Literal["DescribeFleetAdvisorSchemaObjectSummary"], Literal["DescribeCertificates"], Literal["ModifyDataMigration"]]
aws_dms_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:ResourceTag/${TagKey}"], Literal["dms:req-tag/${TagKey}"], Literal["aws:RequestTag/${TagKey}"]]

class aws_dmsStatement(GenericResourceType[aws_dms_privilege_type, aws_dms_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    