from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_ec2_privilege_type = Union[Literal["GetAwsNetworkPerformanceData"], Literal["AssociateNatGatewayAddress"], Literal["DescribeVolumeAttribute"], Literal["CreateNetworkAcl"], Literal["GetHostReservationPurchasePreview"], Literal["DescribeFpgaImages"], Literal["ModifyTrafficMirrorFilterNetworkServices"], Literal["DisassociateVpcCidrBlock"], Literal["DescribeTransitGatewayMulticastDomains"], Literal["AssignIpv6Addresses"], Literal["DeleteRoute"], Literal["DescribeIpamPools"], Literal["CreateCapacityReservationFleet"], Literal["ModifyEbsDefaultKmsKeyId"], Literal["ResetNetworkInterfaceAttribute"], Literal["DescribeCoipPools"], Literal["BundleInstance"], Literal["DeleteTrafficMirrorSession"], Literal["DescribeVolumeStatus"], Literal["DescribeReservedInstancesOfferings"], Literal["CreateCoipCidr"], Literal["ModifyVpcEndpointServiceConfiguration"], Literal["DeleteFleets"], Literal["DeleteResourcePolicy"], Literal["DescribeInstanceStatus"], Literal["DescribeLocalGatewayVirtualInterfaces"], Literal["ImportKeyPair"], Literal["ModifyVpcPeeringConnectionOptions"], Literal["ModifySpotFleetRequest"], Literal["DeprovisionByoipCidr"], Literal["DescribeSpotFleetInstances"], Literal["GetTransitGatewayAttachmentPropagations"], Literal["ModifyFpgaImageAttribute"], Literal["AdvertiseByoipCidr"], Literal["EnableIpamOrganizationAdminAccount"], Literal["AssociateIpamByoasn"], Literal["DescribeVpnGateways"], Literal["DescribeNetworkInsightsAnalyses"], Literal["RestoreSnapshotFromRecycleBin"], Literal["DescribeVerifiedAccessInstanceLoggingConfigurations"], Literal["ReleaseAddress"], Literal["ModifyFleet"], Literal["ReplaceTransitGatewayRoute"], Literal["ModifyVerifiedAccessEndpointPolicy"], Literal["ModifyVerifiedAccessInstance"], Literal["SearchTransitGatewayMulticastGroups"], Literal["DescribeTransitGatewayConnects"], Literal["DeleteLocalGatewayRoute"], Literal["UpdateSecurityGroupRuleDescriptionsEgress"], Literal["ModifyVpcEndpointServicePayerResponsibility"], Literal["DescribeHostReservations"], Literal["DescribeClientVpnTargetNetworks"], Literal["DeleteVpcEndpoints"], Literal["DescribeLockedSnapshots"], Literal["AssociateRouteTable"], Literal["DeleteCarrierGateway"], Literal["DescribeIdFormat"], Literal["ModifyVolumeAttribute"], Literal["RestoreAddressToClassic"], Literal["CreateTransitGatewayConnectPeer"], Literal["CreateNetworkInterface"], Literal["DeleteManagedPrefixList"], Literal["CreateSecurityGroup"], Literal["CancelSpotInstanceRequests"], Literal["DeleteVpc"], Literal["DisableFastLaunch"], Literal["EnableVpcClassicLinkDnsSupport"], Literal["DescribeFleets"], Literal["DescribeVpcEndpoints"], Literal["DescribeFleetInstances"], Literal["DescribeIpamResourceDiscoveryAssociations"], Literal["GetIpamAddressHistory"], Literal["RevokeClientVpnIngress"], Literal["ModifyHosts"], Literal["AssociateIpamResourceDiscovery"], Literal["ModifyCapacityReservationFleet"], Literal["DeleteIpamResourceDiscovery"], Literal["DeleteLocalGatewayRouteTablePermission"], Literal["ModifyTrafficMirrorFilterRule"], Literal["ModifyIpamResourceCidr"], Literal["DescribeCapacityBlockOfferings"], Literal["DisassociateTrunkInterface"], Literal["DeleteNetworkInterface"], Literal["CreateSpotDatafeedSubscription"], Literal["AllocateAddress"], Literal["DisableVgwRoutePropagation"], Literal["CreateSnapshot"], Literal["DescribeInstanceConnectEndpoints"], Literal["CreateVpc"], Literal["CreateInstanceEventWindow"], Literal["CreateCarrierGateway"], Literal["ModifyInstanceAttribute"], Literal["ModifyVpcAttribute"], Literal["ImportInstance"], Literal["DescribeSecurityGroups"], Literal["CancelSpotFleetRequests"], Literal["DescribeNatGateways"], Literal["DescribeLocalGatewayRouteTableVpcAssociations"], Literal["DescribeInstanceEventWindows"], Literal["DeleteCoipPool"], Literal["DeleteIpamScope"], Literal["RegisterTransitGatewayMulticastGroupSources"], Literal["ExportClientVpnClientConfiguration"], Literal["GetFlowLogsIntegrationTemplate"], Literal["AuthorizeClientVpnIngress"], Literal["UnassignIpv6Addresses"], Literal["GetManagedPrefixListAssociations"], Literal["DescribeTransitGatewayRouteTableAnnouncements"], Literal["DescribeVpcClassicLinkDnsSupport"], Literal["CreateIpamScope"], Literal["ReplaceRoute"], Literal["AttachVolume"], Literal["ReportInstanceStatus"], Literal["AllocateIpamPoolCidr"], Literal["CreateVpcEndpoint"], Literal["DisableTransitGatewayRouteTablePropagation"], Literal["DeleteQueuedReservedInstances"], Literal["DescribeVpcPeeringConnections"], Literal["ModifySnapshotAttribute"], Literal["CreateIpam"], Literal["DescribeClientVpnAuthorizationRules"], Literal["DescribeVpcEndpointConnections"], Literal["CreateReplaceRootVolumeTask"], Literal["ImportClientVpnClientCertificateRevocationList"], Literal["DescribePrincipalIdFormat"], Literal["TerminateClientVpnConnections"], Literal["ModifyTransitGateway"], Literal["DeleteTransitGateway"], Literal["DescribeInstanceTopology"], Literal["EnableImage"], Literal["ModifySecurityGroupRules"], Literal["CreateRestoreImageTask"], Literal["GetPasswordData"], Literal["DeleteInstanceEventWindow"], Literal["RegisterImage"], Literal["DescribeReplaceRootVolumeTasks"], Literal["RunInstances"], Literal["GetTransitGatewayMulticastDomainAssociations"], Literal["DescribeNetworkInterfaceAttribute"], Literal["DescribeInstanceAttribute"], Literal["GetNetworkInsightsAccessScopeAnalysisFindings"], Literal["EnableAwsNetworkPerformanceMetricSubscription"], Literal["DescribeLocalGatewayVirtualInterfaceGroups"], Literal["GetIpamPoolCidrs"], Literal["CreateVpnGateway"], Literal["ListImagesInRecycleBin"], Literal["ModifyIpamPool"], Literal["DescribeSnapshotAttribute"], Literal["UnmonitorInstances"], Literal["ResetAddressAttribute"], Literal["CreateStoreImageTask"], Literal["StartInstances"], Literal["DescribeAggregateIdFormat"], Literal["AssociateInstanceEventWindow"], Literal["CreateFpgaImage"], Literal["AssignPrivateIpAddresses"], Literal["DescribeNetworkInsightsPaths"], Literal["CreateRoute"], Literal["AssignPrivateNatGatewayAddress"], Literal["CreateCustomerGateway"], Literal["CreateTransitGateway"], Literal["DeleteTransitGatewayPrefixListReference"], Literal["DescribeLocalGatewayRouteTablePermissions"], Literal["ModifyVerifiedAccessGroup"], Literal["GetCapacityReservationUsage"], Literal["DescribeInstances"], Literal["GetTransitGatewayPrefixListReferences"], Literal["AcceptTransitGatewayVpcAttachment"], Literal["GetLaunchTemplateData"], Literal["DisassociateAddress"], Literal["DescribeFastSnapshotRestores"], Literal["EnableEbsEncryptionByDefault"], Literal["DescribeReservedInstancesModifications"], Literal["DescribeTransitGatewayPeeringAttachments"], Literal["ModifyIpamScope"], Literal["DescribeSpotFleetRequestHistory"], Literal["DeleteVerifiedAccessGroup"], Literal["DeregisterTransitGatewayMulticastGroupSources"], Literal["ImportImage"], Literal["CreateCoipPoolPermission"], Literal["AttachVpnGateway"], Literal["RunScheduledInstances"], Literal["DisassociateRouteTable"], Literal["GetAssociatedIpv6PoolCidrs"], Literal["DescribeClientVpnConnections"], Literal["DescribeInstanceTypes"], Literal["GetConsoleOutput"], Literal["DeleteClientVpnRoute"], Literal["ModifyIdentityIdFormat"], Literal["CreateEgressOnlyInternetGateway"], Literal["CopyImage"], Literal["DeleteDhcpOptions"], Literal["SendDiagnosticInterrupt"], Literal["DescribeIpamByoasn"], Literal["ModifyVpcEndpoint"], Literal["DescribeConversionTasks"], Literal["DescribeLaunchTemplateVersions"], Literal["DescribeVpcClassicLink"], Literal["CreateClientVpnRoute"], Literal["EnableAddressTransfer"], Literal["PurchaseCapacityBlock"], Literal["DeleteVpnConnectionRoute"], Literal["CreateVpnConnection"], Literal["DeleteNetworkInsightsAnalysis"], Literal["CreateDefaultVpc"], Literal["ModifySubnetAttribute"], Literal["DeleteVerifiedAccessInstance"], Literal["DeleteLocalGatewayRouteTable"], Literal["CreateNetworkInsightsAccessScope"], Literal["StartNetworkInsightsAccessScopeAnalysis"], Literal["DescribeFastLaunchImages"], Literal["DescribeImages"], Literal["ProvisionByoipCidr"], Literal["CreateSubnetCidrReservation"], Literal["ModifyTransitGatewayVpcAttachment"], Literal["CancelCapacityReservationFleets"], Literal["DisassociateInstanceEventWindow"], Literal["DeleteNetworkAcl"], Literal["GetSerialConsoleAccessStatus"], Literal["DescribeTransitGatewayVpcAttachments"], Literal["DeleteSnapshot"], Literal["StopInstances"], Literal["ModifyLocalGatewayRoute"], Literal["CreateTransitGatewayMulticastDomain"], Literal["ModifyVpcEndpointServicePermissions"], Literal["DescribeVpcEndpointServiceConfigurations"], Literal["DeprovisionIpamPoolCidr"], Literal["DescribeClientVpnRoutes"], Literal["CreateTransitGatewayPeeringAttachment"], Literal["DescribeInternetGateways"], Literal["DisableSerialConsoleAccess"], Literal["GetIpamResourceCidrs"], Literal["AcceptVpcEndpointConnections"], Literal["DeleteSpotDatafeedSubscription"], Literal["DescribeStaleSecurityGroups"], Literal["DescribeSubnets"], Literal["RejectTransitGatewayVpcAttachment"], Literal["MonitorInstances"], Literal["GetReservedInstancesExchangeQuote"], Literal["CopyFpgaImage"], Literal["RevokeSecurityGroupEgress"], Literal["DescribeNetworkAcls"], Literal["GetVerifiedAccessEndpointPolicy"], Literal["DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociations"], Literal["PurchaseScheduledInstances"], Literal["ModifyVerifiedAccessEndpoint"], Literal["DescribeTrafficMirrorSessions"], Literal["DeletePlacementGroup"], Literal["EnableImageDeprecation"], Literal["DescribeTransitGatewayAttachments"], Literal["CreateLocalGatewayRoute"], Literal["ModifyVerifiedAccessTrustProvider"], Literal["RestoreManagedPrefixListVersion"], Literal["ModifyTrafficMirrorSession"], Literal["DeleteTransitGatewayConnect"], Literal["AttachInternetGateway"], Literal["DeleteFpgaImage"], Literal["ModifyLaunchTemplate"], Literal["UnassignPrivateIpAddresses"], Literal["DetachNetworkInterface"], Literal["ExportTransitGatewayRoutes"], Literal["CreateNetworkInterfacePermission"], Literal["RejectTransitGatewayMulticastDomainAssociations"], Literal["DisassociateIamInstanceProfile"], Literal["DescribeSnapshots"], Literal["GetResourcePolicy"], Literal["ModifyVpnConnection"], Literal["DeprovisionPublicIpv4PoolCidr"], Literal["DescribeSnapshotTierStatus"], Literal["RejectVpcEndpointConnections"], Literal["SendSpotInstanceInterruptions"], Literal["ReplaceRouteTableAssociation"], Literal["CreateTransitGatewayPrefixListReference"], Literal["DescribeCustomerGateways"], Literal["DescribeVpnConnections"], Literal["ImportSnapshot"], Literal["ModifyInstancePlacement"], Literal["AuthorizeSecurityGroupIngress"], Literal["DescribePrefixLists"], Literal["DescribeTags"], Literal["DescribeTransitGatewayRouteTables"], Literal["DetachClassicLinkVpc"], Literal["DisassociateNatGatewayAddress"], Literal["AcceptVpcPeeringConnection"], Literal["DeleteTransitGatewayRoute"], Literal["CreateClientVpnEndpoint"], Literal["ModifyInstanceCapacityReservationAttributes"], Literal["DescribeVolumesModifications"], Literal["DeleteInternetGateway"], Literal["EnableSnapshotBlockPublicAccess"], Literal["GetIpamDiscoveredPublicAddresses"], Literal["CreateRouteTable"], Literal["GetIpamPoolAllocations"], Literal["ModifyInstanceEventWindow"], Literal["DisableVpcClassicLinkDnsSupport"], Literal["ReleaseIpamPoolAllocation"], Literal["DescribeStoreImageTasks"], Literal["CreateLocalGatewayRouteTableVirtualInterfaceGroupAssociation"], Literal["DeleteVpcEndpointServiceConfigurations"], Literal["DescribeVerifiedAccessInstances"], Literal["DeleteVerifiedAccessEndpoint"], Literal["GetSecurityGroupsForVpc"], Literal["DeleteTransitGatewayMulticastDomain"], Literal["DisableAddressTransfer"], Literal["ModifyVpnTunnelOptions"], Literal["AssociateTransitGatewayRouteTable"], Literal["DeleteVpnGateway"], Literal["DescribeExportTasks"], Literal["AssociateIamInstanceProfile"], Literal["InjectApiError"], Literal["DescribeTransitGateways"], Literal["ModifyNetworkInterfaceAttribute"], Literal["ModifyDefaultCreditSpecification"], Literal["DeleteTransitGatewayConnectPeer"], Literal["DescribeReservedInstancesListings"], Literal["DescribeHosts"], Literal["UnlockSnapshot"], Literal["DescribeVpcs"], Literal["CreateDhcpOptions"], Literal["RequestSpotFleet"], Literal["CreateCapacityReservation"], Literal["GetVpnConnectionDeviceSampleConfiguration"], Literal["AuthorizeSecurityGroupEgress"], Literal["DeleteCustomerGateway"], Literal["DescribeNetworkInsightsAccessScopes"], Literal["DisableImageDeprecation"], Literal["DeleteSecurityGroup"], Literal["AttachClassicLinkVpc"], Literal["GetSubnetCidrReservations"], Literal["PauseVolumeIO"], Literal["ResetImageAttribute"], Literal["RejectVpcPeeringConnection"], Literal["DisassociateVerifiedAccessInstanceWebAcl"], Literal["GetConsoleScreenshot"], Literal["GetNetworkInsightsAccessScopeContent"], Literal["AssociateDhcpOptions"], Literal["AssociateEnclaveCertificateIamRole"], Literal["CreateTransitGatewayRoute"], Literal["DeleteNetworkInsightsAccessScope"], Literal["DeleteClientVpnEndpoint"], Literal["AcceptAddressTransfer"], Literal["ReplaceIamInstanceProfileAssociation"], Literal["ResetEbsDefaultKmsKeyId"], Literal["DescribeExportImageTasks"], Literal["RegisterInstanceEventNotificationAttributes"], Literal["CreateInstanceExportTask"], Literal["EnableReachabilityAnalyzerOrganizationSharing"], Literal["DescribeTrafficMirrorFilters"], Literal["CreateSubnet"], Literal["AssociateVerifiedAccessInstanceWebAcl"], Literal["CreateTrafficMirrorTarget"], Literal["ModifyCapacityReservation"], Literal["DescribeCapacityReservationFleets"], Literal["CreateVpcPeeringConnection"], Literal["DeleteNetworkAclEntry"], Literal["DeregisterInstanceEventNotificationAttributes"], Literal["ModifySnapshotTier"], Literal["GetAssociatedEnclaveCertificateIamRoles"], Literal["DescribeLaunchTemplates"], Literal["ProvisionIpamPoolCidr"], Literal["DisableEbsEncryptionByDefault"], Literal["PurchaseHostReservation"], Literal["GetGroupsForCapacityReservation"], Literal["DescribeKeyPairs"], Literal["GetVerifiedAccessGroupPolicy"], Literal["CancelReservedInstancesListing"], Literal["AttachNetworkInterface"], Literal["AcceptTransitGatewayMulticastDomainAssociations"], Literal["DescribeIpams"], Literal["GetManagedPrefixListEntries"], Literal["DescribeSecurityGroupReferences"], Literal["DescribeVerifiedAccessTrustProviders"], Literal["DescribeClientVpnEndpoints"], Literal["GetEbsDefaultKmsKeyId"], Literal["ModifyIpamResourceDiscovery"], Literal["CreateNetworkAclEntry"], Literal["WithdrawByoipCidr"], Literal["DisassociateTransitGatewayMulticastDomain"], Literal["RequestSpotInstances"], Literal["DisassociateIpamByoasn"], Literal["DescribeVolumes"], Literal["DescribeAvailabilityZones"], Literal["StartNetworkInsightsAnalysis"], Literal["ApplySecurityGroupsToClientVpnTargetNetwork"], Literal["DeleteVerifiedAccessTrustProvider"], Literal["CreateTrafficMirrorSession"], Literal["DescribeByoipCidrs"], Literal["DescribeSecurityGroupRules"], Literal["SearchTransitGatewayRoutes"], Literal["TerminateInstances"], Literal["CancelImageLaunchPermission"], Literal["CreateLaunchTemplateVersion"], Literal["DeleteTrafficMirrorFilter"], Literal["GetVpnTunnelReplacementStatus"], Literal["DeleteCoipPoolPermission"], Literal["DisableVpcClassicLink"], Literal["DeleteNetworkInterfacePermission"], Literal["DeleteVpnConnection"], Literal["DescribeFlowLogs"], Literal["DescribeTransitGatewayPolicyTables"], Literal["GetSnapshotBlockPublicAccessState"], Literal["DisassociateIpamResourceDiscovery"], Literal["CreateTransitGatewayConnect"], Literal["DescribeAwsNetworkPerformanceMetricSubscriptions"], Literal["PutResourcePolicy"], Literal["DescribeAddresses"], Literal["ModifyReservedInstances"], Literal["CreateSnapshots"], Literal["CancelImportTask"], Literal["DeleteTransitGatewayPolicyTable"], Literal["SearchLocalGatewayRoutes"], Literal["CreateTransitGatewayPolicyTable"], Literal["CancelCapacityReservation"], Literal["EnableVpcClassicLink"], Literal["DescribeRouteTables"], Literal["DeregisterTransitGatewayMulticastGroupMembers"], Literal["EnableFastSnapshotRestores"], Literal["GetTransitGatewayPolicyTableEntries"], Literal["ReplaceNetworkAclEntry"], Literal["ProvisionIpamByoasn"], Literal["DescribeAddressesAttribute"], Literal["GetCoipPoolUsage"], Literal["CreateVerifiedAccessEndpoint"], Literal["DisassociateClientVpnTargetNetwork"], Literal["CreateInstanceConnectEndpoint"], Literal["DeleteTransitGatewayRouteTable"], Literal["DisableImageBlockPublicAccess"], Literal["AssociateSubnetCidrBlock"], Literal["ModifyVerifiedAccessInstanceLoggingConfiguration"], Literal["CreateNatGateway"], Literal["ModifyTransitGatewayPrefixListReference"], Literal["DescribeIpamResourceDiscoveries"], Literal["AcceptReservedInstancesExchangeQuote"], Literal["DeleteTags"], Literal["LockSnapshot"], Literal["DeleteEgressOnlyInternetGateway"], Literal["DeleteTrafficMirrorTarget"], Literal["DescribeManagedPrefixLists"], Literal["DisassociateTransitGatewayPolicyTable"], Literal["DescribeCapacityReservations"], Literal["DescribeLocalGatewayRouteTables"], Literal["CreateIpamPool"], Literal["DeleteSubnet"], Literal["DescribeHostReservationOfferings"], Literal["DescribeTrunkInterfaceAssociations"], Literal["GetEbsEncryptionByDefault"], Literal["CreateVerifiedAccessGroup"], Literal["MoveByoipCidrToIpam"], Literal["CreateFlowLogs"], Literal["DeleteLaunchTemplate"], Literal["EnableTransitGatewayRouteTablePropagation"], Literal["ModifyVpcTenancy"], Literal["DeleteLaunchTemplateVersions"], Literal["DescribeIpamScopes"], Literal["GetImageBlockPublicAccessState"], Literal["CreateVerifiedAccessInstance"], Literal["GetVpnConnectionDeviceTypes"], Literal["ResetFpgaImageAttribute"], Literal["ModifyInstanceMaintenanceOptions"], Literal["DescribeCarrierGateways"], Literal["GetIpamDiscoveredResourceCidrs"], Literal["ReplaceVpnTunnel"], Literal["UnassignPrivateNatGatewayAddress"], Literal["CreateLocalGatewayRouteTablePermission"], Literal["ModifyVpnTunnelCertificate"], Literal["CreatePlacementGroup"], Literal["DescribeSpotDatafeedSubscription"], Literal["DescribeInstanceCreditSpecifications"], Literal["GetInstanceUefiData"], Literal["DeleteVolume"], Literal["DeleteTrafficMirrorFilterRule"], Literal["RegisterTransitGatewayMulticastGroupMembers"], Literal["ModifyInstanceEventStartTime"], Literal["DetachVerifiedAccessTrustProvider"], Literal["DescribeIamInstanceProfileAssociations"], Literal["DescribeTransitGatewayConnectPeers"], Literal["ModifyAvailabilityZoneGroup"], Literal["RevokeSecurityGroupIngress"], Literal["DeleteTransitGatewayPeeringAttachment"], Literal["EnableVolumeIO"], Literal["ModifyPrivateDnsNameOptions"], Literal["DescribeIpv6Pools"], Literal["AssociateTrunkInterface"], Literal["DeregisterImage"], Literal["CopySnapshot"], Literal["DeleteVpcEndpointConnectionNotifications"], Literal["GetTransitGatewayPolicyTableAssociations"], Literal["CancelExportTask"], Literal["CreateNetworkInsightsPath"], Literal["DeleteTransitGatewayRouteTableAnnouncement"], Literal["ModifyInstanceMetadataOptions"], Literal["DescribeTrafficMirrorTargets"], Literal["CreateVerifiedAccessTrustProvider"], Literal["ReplaceNetworkAclAssociation"], Literal["CreateKeyPair"], Literal["DescribeSpotFleetRequests"], Literal["ListSnapshotsInRecycleBin"], Literal["DeleteTransitGatewayVpcAttachment"], Literal["DisableImage"], Literal["CancelConversionTask"], Literal["CreateTransitGatewayVpcAttachment"], Literal["DeleteInstanceConnectEndpoint"], Literal["ModifyImageAttribute"], Literal["DescribeEgressOnlyInternetGateways"], Literal["DetachVolume"], Literal["DisableSnapshotBlockPublicAccess"], Literal["CreateTrafficMirrorFilterRule"], Literal["ModifyManagedPrefixList"], Literal["RestoreImageFromRecycleBin"], Literal["ExportClientVpnClientCertificateRevocationList"], Literal["GetInstanceTypesFromInstanceRequirements"], Literal["ModifyVolume"], Literal["DescribeRegions"], Literal["StartVpcEndpointServicePrivateDnsVerification"], Literal["DeletePublicIpv4Pool"], Literal["ModifyIpam"], Literal["AssociateAddress"], Literal["CreateTransitGatewayRouteTable"], Literal["CreateTransitGatewayRouteTableAnnouncement"], Literal["ModifyAddressAttribute"], Literal["AllocateHosts"], Literal["CreateFleet"], Literal["GetTransitGatewayRouteTablePropagations"], Literal["DescribeFpgaImageAttribute"], Literal["DescribeSpotPriceHistory"], Literal["MoveAddressToVpc"], Literal["DeleteLocalGatewayRouteTableVpcAssociation"], Literal["ReleaseHosts"], Literal["DescribeBundleTasks"], Literal["AssociateClientVpnTargetNetwork"], Literal["CreateManagedPrefixList"], Literal["PurchaseReservedInstancesOffering"], Literal["DescribeAddressTransfers"], Literal["DescribeIdentityIdFormat"], Literal["DescribeVpcEndpointServices"], Literal["ModifyVpcEndpointConnectionNotification"], Literal["DescribeSpotInstanceRequests"], Literal["DescribeVerifiedAccessInstanceWebAclAssociations"], Literal["RejectTransitGatewayPeeringAttachment"], Literal["ModifyVerifiedAccessGroupPolicy"], Literal["ConfirmProductInstance"], Literal["DeleteNetworkInsightsAccessScopeAnalysis"], Literal["DescribeImportImageTasks"], Literal["ImportByoipCidrToIpam"], Literal["RestoreSnapshotTier"], Literal["CreateCoipPool"], Literal["EnableVgwRoutePropagation"], Literal["CreateVolume"], Literal["DeleteRouteTable"], Literal["DeleteKeyPair"], Literal["DescribeInstanceTypeOfferings"], Literal["DisableAwsNetworkPerformanceMetricSubscription"], Literal["CreateVpcEndpointConnectionNotification"], Literal["CreateLocalGatewayRouteTable"], Literal["DisassociateEnclaveCertificateIamRole"], Literal["AssociateTransitGatewayMulticastDomain"], Literal["DescribeScheduledInstanceAvailability"], Literal["EnableImageBlockPublicAccess"], Literal["DescribeImageAttribute"], Literal["CreateTags"], Literal["AssociateTransitGatewayPolicyTable"], Literal["DetachInternetGateway"], Literal["DescribeDhcpOptions"], Literal["ModifyIdFormat"], Literal["DeleteFlowLogs"], Literal["ModifyClientVpnEndpoint"], Literal["AttachVerifiedAccessTrustProvider"], Literal["ExportImage"], Literal["DescribeVpcEndpointServicePermissions"], Literal["RebootInstances"], Literal["DescribeReservedInstances"], Literal["DescribeNetworkInterfaces"], Literal["EnableSerialConsoleAccess"], Literal["CreatePublicIpv4Pool"], Literal["GetSpotPlacementScores"], Literal["ImportVolume"], Literal["DetachVpnGateway"], Literal["DescribeInstanceEventNotificationAttributes"], Literal["ResetInstanceAttribute"], Literal["DisableIpamOrganizationAdminAccount"], Literal["EnableFastLaunch"], Literal["ModifyInstanceCreditSpecification"], Literal["ResetSnapshotAttribute"], Literal["UpdateSecurityGroupRuleDescriptionsIngress"], Literal["DescribePublicIpv4Pools"], Literal["CreateLaunchTemplate"], Literal["GetIpamDiscoveredAccounts"], Literal["DeleteLocalGatewayRouteTableVirtualInterfaceGroupAssociation"], Literal["DeleteIpam"], Literal["CancelBundleTask"], Literal["AssociateVpcCidrBlock"], Literal["CreateIpamResourceDiscovery"], Literal["DeprovisionIpamByoasn"], Literal["DescribeVpcAttribute"], Literal["GetDefaultCreditSpecification"], Literal["DescribeImportSnapshotTasks"], Literal["DeleteCoipCidr"], Literal["CreateImage"], Literal["ModifyVpnConnectionOptions"], Literal["CreateTrafficMirrorFilter"], Literal["DisassociateSubnetCidrBlock"], Literal["CreateInternetGateway"], Literal["GetTransitGatewayRouteTableAssociations"], Literal["CreateDefaultSubnet"], Literal["CreateReservedInstancesListing"], Literal["DescribeVerifiedAccessEndpoints"], Literal["DescribeVerifiedAccessGroups"], Literal["DescribeNetworkInsightsAccessScopeAnalyses"], Literal["DescribeMovingAddresses"], Literal["DeleteSubnetCidrReservation"], Literal["DescribeLocalGateways"], Literal["DescribeVpcEndpointConnectionNotifications"], Literal["DescribeAccountAttributes"], Literal["CreateVpnConnectionRoute"], Literal["DescribeClassicLinkInstances"], Literal["DeleteNetworkInsightsPath"], Literal["CreateVpcEndpointServiceConfiguration"], Literal["DeleteIpamPool"], Literal["DisableFastSnapshotRestores"], Literal["DescribePlacementGroups"], Literal["AcceptTransitGatewayPeeringAttachment"], Literal["DisassociateTransitGatewayRouteTable"], Literal["DeleteNatGateway"], Literal["DescribeElasticGpus"], Literal["DescribeScheduledInstances"], Literal["ProvisionPublicIpv4PoolCidr"], Literal["DescribeFleetHistory"], Literal["GetVerifiedAccessInstanceWebAcl"], Literal["CreateLocalGatewayRouteTableVpcAssociation"], Literal["DeleteVpcPeeringConnection"], Literal["DescribeNetworkInterfacePermissions"]]
aws_ec2_condition_type = Union[Literal["ec2:MetadataHttpPutResponseHopLimit"], Literal["ec2:PlacementGroupStrategy"], Literal["ec2:ElasticGpuType"], Literal["ec2:RootDeviceType"], Literal["ec2:ParentVolume"], Literal["ec2:Phase1IntegrityAlgorithms"], Literal["ec2:Vpc"], Literal["ec2:RouteTableID"], Literal["ec2:RekeyFuzzPercentage"], Literal["ec2:MetadataHttpTokens"], Literal["ec2:SamlProviderArn"], Literal["ec2:InstanceType"], Literal["ec2:ReservedInstancesOfferingType"], Literal["ec2:GatewayType"], Literal["ec2:SnapshotCoolOffPeriod"], Literal["ec2:Remove/group"], Literal["ec2:Subnet"], Literal["ec2:RekeyMarginTimeSeconds"], Literal["ec2:Phase2EncryptionAlgorithms"], Literal["ec2:NetworkInterfaceID"], Literal["ec2:Tenancy"], Literal["ec2:OutpostArn"], Literal["ec2:PlacementGroupName"], Literal["ec2:EbsOptimized"], Literal["ec2:Phase1EncryptionAlgorithms"], Literal["ec2:VpceServicePrivateDnsName"], Literal["aws:RequestTag/${TagKey}"], Literal["ec2:Phase1LifetimeSeconds"], Literal["ec2:SecurityGroupID"], Literal["ec2:CloudwatchLogStreamArn"], Literal["ec2:SnapshotTime"], Literal["ec2:Remove/userId"], Literal["ec2:PlacementGroup"], Literal["ec2:DhcpOptionsID"], Literal["ec2:InsideTunnelCidr"], Literal["ec2:PreSharedKeys"], Literal["aws:TagKeys"], Literal["ec2:RequesterVpc"], Literal["ec2:NewInstanceProfile"], Literal["ec2:AutoPlacement"], Literal["ec2:ClientRootCertificateChainArn"], Literal["ec2:InstanceMetadataTags"], Literal["ec2:ServerCertificateArn"], Literal["ec2:Phase2LifetimeSeconds"], Literal["ec2:AuthorizedUser"], Literal["ec2:InstanceAutoRecovery"], Literal["ec2:KeyPairType"], Literal["ec2:Permission"], Literal["ec2:InstanceProfile"], Literal["aws:ResourceTag/${TagKey}"], Literal["ec2:ImageType"], Literal["ec2:VpcID"], Literal["ec2:ParentSnapshot"], Literal["ec2:AllocationId"], Literal["ec2:Quantity"], Literal["ec2:Region"], Literal["ec2:FisTargetArns"], Literal["ec2:CreateAction"], Literal["ec2:MetadataHttpEndpoint"], Literal["ec2:SubnetID"], Literal["ec2:Domain"], Literal["ec2:Encrypted"], Literal["ec2:SnapshotID"], Literal["ec2:NetworkAclID"], Literal["ec2:VolumeID"], Literal["ec2:InternetGatewayID"], Literal["ec2:RoutingType"], Literal["ec2:ImageID"], Literal["ec2:Add/userId"], Literal["ec2:VolumeSize"], Literal["ec2:AuthenticationType"], Literal["ec2:VpceServiceOwner"], Literal["ec2:LaunchTemplate"], Literal["ec2:PublicIpAddress"], Literal["ec2:Owner"], Literal["ec2:DirectoryArn"], Literal["ec2:Ipv6IpamPoolId"], Literal["ec2:CloudwatchLogGroupArn"], Literal["ec2:Phase2IntegrityAlgorithms"], Literal["ec2:VpcPeeringConnectionID"], Literal["ec2:KmsKeyId"], Literal["ec2:Ipv4IpamPoolId"], Literal["ec2:DPDTimeoutSeconds"], Literal["ec2:Add/group"], Literal["ec2:FisActionId"], Literal["ec2:Attribute/${AttributeName}"], Literal["ec2:KeyPairName"], Literal["ec2:Attribute"], Literal["ec2:InsideTunnelIpv6Cidr"], Literal["ec2:AccepterVpc"], Literal["ec2:Phase2DHGroup"], Literal["ec2:Phase1DHGroup"], Literal["ec2:ReplayWindowSizePackets"], Literal["ec2:SourceOutpostArn"], Literal["ec2:VolumeType"], Literal["ec2:ResourceTag/${TagKey}"], Literal["ec2:InstanceMarketType"], Literal["ec2:VolumeThroughput"], Literal["ec2:IKEVersions"], Literal["ec2:AuthorizedService"], Literal["ec2:VpceServiceName"], Literal["ec2:IsLaunchTemplateResource"], Literal["ec2:ProductCode"], Literal["ec2:CapacityReservationFleet"], Literal["ec2:AssociatePublicIpAddress"], Literal["ec2:HostRecovery"], Literal["ec2:VolumeIops"], Literal["ec2:Public"], Literal["ec2:AvailabilityZone"], Literal["ec2:SnapshotLockDuration"], Literal["ec2:InstanceID"]]

class aws_ec2Statement(GenericResourceType[aws_ec2_privilege_type, aws_ec2_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    