from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_es_privilege_type = Union[Literal["DescribeInboundCrossClusterSearchConnections"], Literal["StartElasticsearchServiceSoftwareUpdate"], Literal["ESHttpGet"], Literal["CreateServiceRole"], Literal["DescribeInboundConnections"], Literal["RevokeVpcEndpointAccess"], Literal["ESHttpDelete"], Literal["ListTags"], Literal["ESHttpPost"], Literal["UpdateDataSource"], Literal["RejectInboundCrossClusterSearchConnection"], Literal["GetPackageVersionHistory"], Literal["CreateDomain"], Literal["DescribeOutboundConnections"], Literal["DeleteOutboundCrossClusterSearchConnection"], Literal["ESCrossClusterGet"], Literal["GetCompatibleElasticsearchVersions"], Literal["DescribeDomains"], Literal["DescribeElasticsearchInstanceTypeLimits"], Literal["CancelDomainConfigChange"], Literal["DescribeReservedInstanceOfferings"], Literal["ListVpcEndpointAccess"], Literal["DeleteInboundCrossClusterSearchConnection"], Literal["DeleteElasticsearchDomain"], Literal["DissociatePackage"], Literal["GetCompatibleVersions"], Literal["PurchaseReservedElasticsearchInstanceOffering"], Literal["DescribeDomainChangeProgress"], Literal["AssociatePackage"], Literal["DescribeReservedElasticsearchInstances"], Literal["RejectInboundConnection"], Literal["ListDomainsForPackage"], Literal["CreateOutboundCrossClusterSearchConnection"], Literal["ListDataSources"], Literal["ListScheduledActions"], Literal["DescribeDomainConfig"], Literal["DeletePackage"], Literal["GetDomainMaintenanceStatus"], Literal["ListVpcEndpointsForDomain"], Literal["AddTags"], Literal["DescribeDryRunProgress"], Literal["CreatePackage"], Literal["DeleteDomain"], Literal["StartServiceSoftwareUpdate"], Literal["CreateElasticsearchDomain"], Literal["CreateElasticsearchServiceRole"], Literal["DescribeVpcEndpoints"], Literal["CancelServiceSoftwareUpdate"], Literal["ListElasticsearchInstanceTypes"], Literal["CancelElasticsearchServiceSoftwareUpdate"], Literal["DeleteInboundConnection"], Literal["DescribeDomain"], Literal["UpdateVpcEndpoint"], Literal["ESHttpHead"], Literal["ListDomainNames"], Literal["DescribeReservedInstances"], Literal["DescribeElasticsearchDomainConfig"], Literal["ESHttpPatch"], Literal["UpgradeElasticsearchDomain"], Literal["CreateOutboundConnection"], Literal["GetDataSource"], Literal["DescribeDomainNodes"], Literal["UpdateScheduledAction"], Literal["AddDataSource"], Literal["ListPackagesForDomain"], Literal["ListInstanceTypeDetails"], Literal["ListDomainMaintenances"], Literal["DescribeOutboundCrossClusterSearchConnections"], Literal["UpdatePackage"], Literal["CreateVpcEndpoint"], Literal["ListElasticsearchInstanceTypeDetails"], Literal["DeleteDataSource"], Literal["DescribeElasticsearchDomains"], Literal["RemoveTags"], Literal["DescribeDomainAutoTunes"], Literal["DescribeElasticsearchDomain"], Literal["DescribeInstanceTypeLimits"], Literal["DeleteElasticsearchServiceRole"], Literal["DeleteVpcEndpoint"], Literal["UpdateElasticsearchDomainConfig"], Literal["ListElasticsearchVersions"], Literal["ListVersions"], Literal["PurchaseReservedInstanceOffering"], Literal["DescribeReservedElasticsearchInstanceOfferings"], Literal["AuthorizeVpcEndpointAccess"], Literal["GetUpgradeStatus"], Literal["UpdateDomainConfig"], Literal["UpgradeDomain"], Literal["GetUpgradeHistory"], Literal["ListVpcEndpoints"], Literal["StartDomainMaintenance"], Literal["ESHttpPut"], Literal["DescribeDomainHealth"], Literal["DeleteOutboundConnection"], Literal["DescribePackages"], Literal["AcceptInboundConnection"], Literal["AcceptInboundCrossClusterSearchConnection"]]
aws_es_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_esStatement(GenericResourceType[aws_es_privilege_type, aws_es_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    