from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_gamelift_privilege_type = Union[Literal["StopGameSessionPlacement"], Literal["DescribeScript"], Literal["CreateScript"], Literal["DescribePlayerSessions"], Literal["UpdateGameSession"], Literal["DescribeEC2InstanceLimits"], Literal["DescribeFleetUtilization"], Literal["DescribeFleetAttributes"], Literal["DescribeGameSessionQueues"], Literal["RegisterCompute"], Literal["DeregisterGameServer"], Literal["ListGameServerGroups"], Literal["UpdateBuild"], Literal["DescribeInstances"], Literal["CreateAlias"], Literal["DescribeFleetLocationAttributes"], Literal["DeleteMatchmakingConfiguration"], Literal["DeregisterCompute"], Literal["DeleteScript"], Literal["UpdateGameServerGroup"], Literal["DescribeGameSessionPlacement"], Literal["GetInstanceAccess"], Literal["DescribeAlias"], Literal["TagResource"], Literal["DeleteGameSessionQueue"], Literal["ListAliases"], Literal["CreateMatchmakingRuleSet"], Literal["DescribeGameServerInstances"], Literal["CreateVpcPeeringAuthorization"], Literal["DeleteGameServerGroup"], Literal["DescribeBuild"], Literal["SearchGameSessions"], Literal["DescribeRuntimeConfiguration"], Literal["CreateFleet"], Literal["CreateGameSessionQueue"], Literal["PutScalingPolicy"], Literal["CreateVpcPeeringConnection"], Literal["RequestUploadCredentials"], Literal["ListBuilds"], Literal["DescribeFleetPortSettings"], Literal["ResolveAlias"], Literal["AcceptMatch"], Literal["ListFleets"], Literal["DescribeGameSessions"], Literal["CreateBuild"], Literal["GetComputeAccess"], Literal["DeleteFleetLocations"], Literal["DeleteLocation"], Literal["RegisterGameServer"], Literal["StopMatchmaking"], Literal["StartMatchBackfill"], Literal["DescribeFleetLocationCapacity"], Literal["StopFleetActions"], Literal["UpdateMatchmakingConfiguration"], Literal["DescribeMatchmakingRuleSets"], Literal["SuspendGameServerGroup"], Literal["DescribeFleetLocationUtilization"], Literal["DescribeGameServer"], Literal["DeleteFleet"], Literal["ValidateMatchmakingRuleSet"], Literal["ListScripts"], Literal["DescribeMatchmaking"], Literal["DescribeFleetEvents"], Literal["DescribeFleetCapacity"], Literal["CreatePlayerSession"], Literal["UpdateGameSessionQueue"], Literal["GetComputeAuthToken"], Literal["DeleteVpcPeeringAuthorization"], Literal["CreatePlayerSessions"], Literal["CreateGameServerGroup"], Literal["ListGameServers"], Literal["ListCompute"], Literal["DescribeCompute"], Literal["DescribeVpcPeeringConnections"], Literal["ClaimGameServer"], Literal["StartFleetActions"], Literal["UpdateAlias"], Literal["CreateFleetLocations"], Literal["DescribeVpcPeeringAuthorizations"], Literal["UntagResource"], Literal["UpdateFleetPortSettings"], Literal["DescribeScalingPolicies"], Literal["DeleteMatchmakingRuleSet"], Literal["UpdateFleetCapacity"], Literal["StartGameSessionPlacement"], Literal["DeleteAlias"], Literal["DescribeGameServerGroup"], Literal["UpdateRuntimeConfiguration"], Literal["UpdateFleetAttributes"], Literal["ListTagsForResource"], Literal["DescribeGameSessionDetails"], Literal["ListLocations"], Literal["UpdateScript"], Literal["CreateMatchmakingConfiguration"], Literal["GetGameSessionLogUrl"], Literal["CreateLocation"], Literal["StartMatchmaking"], Literal["DeleteBuild"], Literal["UpdateGameServer"], Literal["ResumeGameServerGroup"], Literal["DescribeMatchmakingConfigurations"], Literal["CreateGameSession"], Literal["DeleteVpcPeeringConnection"], Literal["DeleteScalingPolicy"]]
aws_gamelift_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_gameliftStatement(GenericResourceType[aws_gamelift_privilege_type, aws_gamelift_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    