from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_glue_privilege_type = Union[Literal["PutWorkflowRunProperties"], Literal["BatchGetTableOptimizer"], Literal["CancelDataQualityRulesetEvaluationRun"], Literal["StartExportLabelsTaskRun"], Literal["UpdateColumnStatisticsForTable"], Literal["CreateSecurityConfiguration"], Literal["GetDataQualityRuleset"], Literal["UseGlueStudio"], Literal["GetJobs"], Literal["DeleteJob"], Literal["CreateDatabase"], Literal["UpdateColumnStatisticsForPartition"], Literal["BatchDeleteConnection"], Literal["CreateScript"], Literal["GetSchemaVersionsDiff"], Literal["ListDataQualityRuleRecommendationRuns"], Literal["StartImportLabelsTaskRun"], Literal["UpdateCrawlerSchedule"], Literal["GetCrawlers"], Literal["CreatePartitionIndex"], Literal["StartWorkflowRun"], Literal["PublishDataQuality"], Literal["GetBlueprintRuns"], Literal["UpdateTableOptimizer"], Literal["GetJobRun"], Literal["DeleteTableVersion"], Literal["CreateJob"], Literal["GetDataQualityResult"], Literal["GetStatement"], Literal["GetSecurityConfigurations"], Literal["DeletePartitionIndex"], Literal["GetTables"], Literal["DeleteClassifier"], Literal["DeleteSchema"], Literal["PutDataCatalogEncryptionSettings"], Literal["SendFeedback"], Literal["CreateTable"], Literal["BatchGetPartition"], Literal["GetCustomEntityType"], Literal["StopTrigger"], Literal["DeleteSession"], Literal["ListTableOptimizerRuns"], Literal["DeleteTable"], Literal["GetDevEndpoint"], Literal["GetClassifier"], Literal["GetDataQualityRulesetEvaluationRun"], Literal["UpdateUserDefinedFunction"], Literal["DeleteResourcePolicy"], Literal["ResumeWorkflowRun"], Literal["TagResource"], Literal["CancelDataQualityRuleRecommendationRun"], Literal["CreatePartition"], Literal["ImportCatalogToGlue"], Literal["DeleteDevEndpoint"], Literal["ListDataQualityRulesetEvaluationRuns"], Literal["GetDevEndpoints"], Literal["GetJob"], Literal["GetJobRuns"], Literal["GetWorkflowRun"], Literal["StartTrigger"], Literal["UpdateDataQualityRuleset"], Literal["PassConnection"], Literal["GetTable"], Literal["StartMLEvaluationTaskRun"], Literal["TestConnection"], Literal["ListRegistries"], Literal["GetCompletion"], Literal["UpdateJob"], Literal["ListWorkflows"], Literal["UpdateBlueprint"], Literal["BatchGetWorkflows"], Literal["GetSession"], Literal["StartCrawler"], Literal["DeleteTrigger"], Literal["CreateDevEndpoint"], Literal["GetDataflowGraph"], Literal["DeleteCustomEntityType"], Literal["RemoveSchemaVersionMetadata"], Literal["StartColumnStatisticsTaskRun"], Literal["DeleteMLTransform"], Literal["BatchGetBlueprints"], Literal["DeregisterDataPreview"], Literal["CreateClassifier"], Literal["CreateMLTransform"], Literal["DeleteColumnStatisticsForTable"], Literal["DeleteSchemaVersions"], Literal["GetNotebookInstanceStatus"], Literal["GetTableVersion"], Literal["GlueNotebookAuthorize"], Literal["StartBlueprintRun"], Literal["CreateDataQualityRuleset"], Literal["GetMLTaskRun"], Literal["CreateBlueprint"], Literal["UpdateSchema"], Literal["BatchGetJobs"], Literal["BatchDeletePartition"], Literal["NotifyEvent"], Literal["StopSession"], Literal["GetDatabase"], Literal["ListStatements"], Literal["BatchGetCustomEntityTypes"], Literal["CreateSchema"], Literal["BatchStopJobRun"], Literal["GetColumnStatisticsTaskRun"], Literal["DeleteCrawler"], Literal["DeleteColumnStatisticsForPartition"], Literal["GetSchemaVersion"], Literal["PutSchemaVersionMetadata"], Literal["RunStatement"], Literal["GetCatalogImportStatus"], Literal["RunDataPreviewStatement"], Literal["StopWorkflowRun"], Literal["GetBlueprint"], Literal["ListBlueprints"], Literal["GetResourcePolicies"], Literal["GetMLTransform"], Literal["QuerySchemaVersionMetadata"], Literal["UpdateSourceControlFromJob"], Literal["GetCrawlerMetrics"], Literal["GetSchema"], Literal["ListSessions"], Literal["StopCrawler"], Literal["GetDataQualityRuleRecommendationRun"], Literal["StartDataQualityRulesetEvaluationRun"], Literal["GetWorkflowRunProperties"], Literal["DeleteConnection"], Literal["GetPartitionIndexes"], Literal["StartDataQualityRuleRecommendationRun"], Literal["StartJobRun"], Literal["StopCrawlerSchedule"], Literal["BatchUpdatePartition"], Literal["GetColumnStatisticsForPartition"], Literal["CreateTableOptimizer"], Literal["ListSchemaVersions"], Literal["GetUserDefinedFunction"], Literal["GetClassifiers"], Literal["TerminateNotebook"], Literal["GetSecurityConfiguration"], Literal["GlueNotebookRefreshCredentials"], Literal["PutResourcePolicy"], Literal["GetPlan"], Literal["CreateCrawler"], Literal["ListCrawlers"], Literal["CreateUserDefinedFunction"], Literal["GetCrawler"], Literal["BatchDeleteTableVersion"], Literal["UseMLTransforms"], Literal["DeleteUserDefinedFunction"], Literal["UpdatePartition"], Literal["ListTriggers"], Literal["CreateCustomEntityType"], Literal["ListCrawls"], Literal["ListDataQualityResults"], Literal["DeleteDatabase"], Literal["SearchTables"], Literal["ListMLTransforms"], Literal["GetConnections"], Literal["CreateSession"], Literal["CancelMLTaskRun"], Literal["GetColumnStatisticsForTable"], Literal["ListCustomEntityTypes"], Literal["GetResourcePolicy"], Literal["GetTableVersions"], Literal["UpdateWorkflow"], Literal["GetMLTaskRuns"], Literal["GetDatabases"], Literal["BatchGetTriggers"], Literal["UntagResource"], Literal["UpdateTrigger"], Literal["StopColumnStatisticsTaskRun"], Literal["DeleteSecurityConfiguration"], Literal["GetTriggers"], Literal["DeleteDataQualityRuleset"], Literal["CancelStatement"], Literal["GetDataCatalogEncryptionSettings"], Literal["DeleteBlueprint"], Literal["StartNotebook"], Literal["UpdateRegistry"], Literal["UpdateDatabase"], Literal["ResetJobBookmark"], Literal["CreateConnection"], Literal["UpdateConnection"], Literal["GetUserDefinedFunctions"], Literal["StartCompletion"], Literal["GetJobBookmark"], Literal["GetConnection"], Literal["DeleteWorkflow"], Literal["GetSchemaByDefinition"], Literal["UpdateMLTransform"], Literal["BatchGetCrawlers"], Literal["GetBlueprintRun"], Literal["ListSchemas"], Literal["UpdateJobFromSourceControl"], Literal["StartCrawlerSchedule"], Literal["UpdateTable"], Literal["GetTrigger"], Literal["StartMLLabelingSetGenerationTaskRun"], Literal["CreateTrigger"], Literal["GetPartitions"], Literal["BatchGetDevEndpoints"], Literal["GetColumnStatisticsTaskRuns"], Literal["UpdateCrawler"], Literal["ListColumnStatisticsTaskRuns"], Literal["DeleteTableOptimizer"], Literal["GetWorkflowRuns"], Literal["CheckSchemaVersionValidity"], Literal["UpdateClassifier"], Literal["RegisterSchemaVersion"], Literal["ListDataQualityRulesets"], Literal["GetWorkflow"], Literal["BatchDeleteTable"], Literal["GetRegistry"], Literal["GetPartition"], Literal["GetTableOptimizer"], Literal["GetTags"], Literal["UpdateDevEndpoint"], Literal["DeleteRegistry"], Literal["ListJobs"], Literal["CreateWorkflow"], Literal["GetDataPreviewStatement"], Literal["GetMapping"], Literal["BatchCreatePartition"], Literal["GetMLTransforms"], Literal["CreateRegistry"], Literal["ListDevEndpoints"], Literal["DeletePartition"]]
aws_glue_condition_type = Union[Literal["aws:TagKeys"], Literal["glue:SecurityGroupIds"], Literal["glue:VpcIds"], Literal["glue:SubnetIds"], Literal["aws:RequestTag/${TagKey}"]]

class aws_glueStatement(GenericResourceType[aws_glue_privilege_type, aws_glue_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    