from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_greengrass_privilege_type = Union[Literal["GetFunctionDefinitionVersion"], Literal["UpdateCoreDefinition"], Literal["GetBulkDeploymentStatus"], Literal["GetComponentVersionArtifact"], Literal["AssociateServiceRoleToAccount"], Literal["GetGroupVersion"], Literal["CreateGroup"], Literal["GetDeploymentStatus"], Literal["GetCoreDefinitionVersion"], Literal["DeleteSubscriptionDefinition"], Literal["GetConnectorDefinitionVersion"], Literal["StopBulkDeployment"], Literal["GetCoreDefinition"], Literal["CreateConnectorDefinitionVersion"], Literal["ListEffectiveDeployments"], Literal["ListSubscriptionDefinitions"], Literal["ListCoreDefinitionVersions"], Literal["ListComponents"], Literal["ListConnectorDefinitions"], Literal["ListBulkDeploymentDetailedReports"], Literal["TagResource"], Literal["DeleteCoreDefinition"], Literal["UpdateFunctionDefinition"], Literal["DeleteCoreDevice"], Literal["GetGroupCertificateAuthority"], Literal["ListSubscriptionDefinitionVersions"], Literal["ListGroupVersions"], Literal["CreateSubscriptionDefinitionVersion"], Literal["CreateLoggerDefinition"], Literal["StartBulkDeployment"], Literal["CreateDeployment"], Literal["ListLoggerDefinitions"], Literal["CreateGroupVersion"], Literal["CreateDeviceDefinitionVersion"], Literal["DeleteLoggerDefinition"], Literal["ListCoreDefinitions"], Literal["DeleteComponent"], Literal["ListGroups"], Literal["ListInstalledComponents"], Literal["ListFunctionDefinitionVersions"], Literal["GetDeviceDefinitionVersion"], Literal["ListDeployments"], Literal["GetServiceRoleForAccount"], Literal["UpdateLoggerDefinition"], Literal["DeleteFunctionDefinition"], Literal["DeleteResourceDefinition"], Literal["DescribeComponent"], Literal["ListFunctionDefinitions"], Literal["DisassociateServiceRoleFromAccount"], Literal["DeleteDeployment"], Literal["UpdateGroupCertificateConfiguration"], Literal["UpdateGroup"], Literal["GetAssociatedRole"], Literal["CreateConnectorDefinition"], Literal["GetComponent"], Literal["UpdateSubscriptionDefinition"], Literal["ListConnectorDefinitionVersions"], Literal["ListBulkDeployments"], Literal["DeleteConnectorDefinition"], Literal["UpdateThingRuntimeConfiguration"], Literal["ListGroupCertificateAuthorities"], Literal["GetResourceDefinition"], Literal["GetFunctionDefinition"], Literal["ListComponentVersions"], Literal["ListCoreDevices"], Literal["UpdateDeviceDefinition"], Literal["ResolveComponentCandidates"], Literal["ListLoggerDefinitionVersions"], Literal["ResetDeployments"], Literal["CreateLoggerDefinitionVersion"], Literal["CreateSoftwareUpdateJob"], Literal["GetResourceDefinitionVersion"], Literal["GetDeployment"], Literal["GetGroupCertificateConfiguration"], Literal["Discover"], Literal["CreateSubscriptionDefinition"], Literal["ListResourceDefinitions"], Literal["CancelDeployment"], Literal["CreateGroupCertificateAuthority"], Literal["UntagResource"], Literal["ListClientDevicesAssociatedWithCoreDevice"], Literal["CreateCoreDefinitionVersion"], Literal["CreateFunctionDefinitionVersion"], Literal["GetConnectorDefinition"], Literal["GetGroup"], Literal["AssociateRoleToGroup"], Literal["CreateFunctionDefinition"], Literal["UpdateConnectorDefinition"], Literal["GetCoreDevice"], Literal["ListTagsForResource"], Literal["GetLoggerDefinitionVersion"], Literal["CreateCoreDefinition"], Literal["BatchDisassociateClientDeviceFromCoreDevice"], Literal["BatchAssociateClientDeviceWithCoreDevice"], Literal["ListDeviceDefinitions"], Literal["ListDeviceDefinitionVersions"], Literal["DeleteDeviceDefinition"], Literal["CreateComponentVersion"], Literal["CreateResourceDefinitionVersion"], Literal["UpdateConnectivityInfo"], Literal["CreateDeviceDefinition"], Literal["UpdateResourceDefinition"], Literal["GetSubscriptionDefinitionVersion"], Literal["GetThingRuntimeConfiguration"], Literal["DeleteGroup"], Literal["CreateResourceDefinition"], Literal["ListResourceDefinitionVersions"], Literal["GetDeviceDefinition"], Literal["GetConnectivityInfo"], Literal["GetLoggerDefinition"], Literal["GetSubscriptionDefinition"], Literal["DisassociateRoleFromGroup"]]
aws_greengrass_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_greengrassStatement(GenericResourceType[aws_greengrass_privilege_type, aws_greengrass_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    