from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_iot_privilege_type = Union[Literal["DeleteJobTemplate"], Literal["DeleteFleetMetric"], Literal["RemoveThingFromBillingGroup"], Literal["ListPolicyPrincipals"], Literal["SetV2LoggingOptions"], Literal["GetTopicRuleDestination"], Literal["DescribeAuditFinding"], Literal["AttachPrincipalPolicy"], Literal["DescribeMitigationAction"], Literal["GetLoggingOptions"], Literal["StopThingRegistrationTask"], Literal["DescribeAuthorizer"], Literal["AttachPolicy"], Literal["DeleteJob"], Literal["ListTargetsForSecurityProfile"], Literal["CreateAuditSuppression"], Literal["ListPolicyVersions"], Literal["SetLoggingOptions"], Literal["UpdateScheduledAudit"], Literal["DeleteThingType"], Literal["DeleteDynamicThingGroup"], Literal["UpdateEventConfigurations"], Literal["ListThingRegistrationTaskReports"], Literal["ListV2LoggingLevels"], Literal["UpdateThingGroup"], Literal["CreateScheduledAudit"], Literal["ListThingGroupsForThing"], Literal["DescribeDomainConfiguration"], Literal["ReplaceTopicRule"], Literal["SetDefaultAuthorizer"], Literal["CreateThing"], Literal["DeleteAuthorizer"], Literal["DescribeThingRegistrationTask"], Literal["DetachPrincipalPolicy"], Literal["ListTopicRuleDestinations"], Literal["CreateDimension"], Literal["Receive"], Literal["RegisterCertificate"], Literal["ListCertificatesByCA"], Literal["RegisterCertificateWithoutCA"], Literal["StartOnDemandAuditTask"], Literal["GetStatistics"], Literal["ListProvisioningTemplates"], Literal["CreateProvisioningClaim"], Literal["CreateOTAUpdate"], Literal["CreateJob"], Literal["CreateTopicRule"], Literal["DescribeIndex"], Literal["ListStreams"], Literal["StartDetectMitigationActionsTask"], Literal["DescribeStream"], Literal["UpdateCACertificate"], Literal["DescribeBillingGroup"], Literal["GetPolicy"], Literal["ListOutgoingCertificates"], Literal["ListCustomMetrics"], Literal["DescribeAccountAuditConfiguration"], Literal["UpdatePackageVersion"], Literal["UpdateAuthorizer"], Literal["CloseTunnel"], Literal["DescribeTunnel"], Literal["ListPrincipalThings"], Literal["DescribeAuditMitigationActionsTask"], Literal["ListAuditMitigationActionsExecutions"], Literal["AssociateTargetsWithJob"], Literal["TagResource"], Literal["CreateThingType"], Literal["ListPrincipalPolicies"], Literal["RejectCertificateTransfer"], Literal["DeleteTopicRule"], Literal["GetV2LoggingOptions"], Literal["DetachSecurityProfile"], Literal["ListAuditTasks"], Literal["DetachThingPrincipal"], Literal["GetIndexingConfiguration"], Literal["AcceptCertificateTransfer"], Literal["ListAuditSuppressions"], Literal["ListRoleAliases"], Literal["DescribeDetectMitigationActionsTask"], Literal["DescribeDefaultAuthorizer"], Literal["ListThingPrincipals"], Literal["DescribeThingGroup"], Literal["GetJobDocument"], Literal["UpdateDimension"], Literal["ListAuditMitigationActionsTasks"], Literal["UpdateThingGroupsForThing"], Literal["UpdateFleetMetric"], Literal["UpdateJob"], Literal["DescribeCustomMetric"], Literal["CreatePackageVersion"], Literal["DeleteOTAUpdate"], Literal["ListSecurityProfiles"], Literal["DeleteBillingGroup"], Literal["DescribeAuditTask"], Literal["DescribeProvisioningTemplateVersion"], Literal["TestInvokeAuthorizer"], Literal["UpdateDynamicThingGroup"], Literal["StartThingRegistrationTask"], Literal["DeleteDimension"], Literal["ListRelatedResourcesForAuditFinding"], Literal["RotateTunnelAccessToken"], Literal["GetPolicyVersion"], Literal["ListThingRegistrationTasks"], Literal["SearchIndex"], Literal["CreateMitigationAction"], Literal["DescribeFleetMetric"], Literal["ListThingTypes"], Literal["UpdateSecurityProfile"], Literal["ListAuthorizers"], Literal["DescribeEndpoint"], Literal["CreateThingGroup"], Literal["DeletePackage"], Literal["ListJobTemplates"], Literal["DeleteSecurityProfile"], Literal["DescribeScheduledAudit"], Literal["ListIndices"], Literal["ListRetainedMessages"], Literal["AddThingToThingGroup"], Literal["CancelAuditMitigationActionsTask"], Literal["TestAuthorization"], Literal["UpdateIndexingConfiguration"], Literal["SetDefaultPolicyVersion"], Literal["CreatePolicy"], Literal["ListCACertificates"], Literal["Publish"], Literal["DescribeRoleAlias"], Literal["DeletePackageVersion"], Literal["ListNamedShadowsForThing"], Literal["ListCertificates"], Literal["ListThings"], Literal["ListJobExecutionsForThing"], Literal["DescribeCACertificate"], Literal["CreateFleetMetric"], Literal["ListOTAUpdates"], Literal["CreatePackage"], Literal["GetPercentiles"], Literal["CreateRoleAlias"], Literal["ListThingsInBillingGroup"], Literal["CancelAuditTask"], Literal["AttachThingPrincipal"], Literal["CreateSecurityProfile"], Literal["DeleteJobExecution"], Literal["StartAuditMitigationActionsTask"], Literal["UpdateDomainConfiguration"], Literal["DeleteTopicRuleDestination"], Literal["RegisterCACertificate"], Literal["ListManagedJobTemplates"], Literal["SetV2LoggingLevel"], Literal["DeletePolicy"], Literal["UpdateAuditSuppression"], Literal["AddThingToBillingGroup"], Literal["GetBehaviorModelTrainingSummaries"], Literal["UpdateThing"], Literal["ClearDefaultAuthorizer"], Literal["ListPolicies"], Literal["ListFleetMetrics"], Literal["DeleteStream"], Literal["GetPackageVersion"], Literal["CreateStream"], Literal["UpdateProvisioningTemplate"], Literal["DeleteProvisioningTemplateVersion"], Literal["DeletePolicyVersion"], Literal["GetOTAUpdate"], Literal["ListViolationEvents"], Literal["GetRetainedMessage"], Literal["UpdateCustomMetric"], Literal["DeleteV2LoggingLevel"], Literal["DescribeThingType"], Literal["EnableTopicRule"], Literal["DetachPolicy"], Literal["DescribeAuditSuppression"], Literal["DescribeDimension"], Literal["CreateBillingGroup"], Literal["CancelCertificateTransfer"], Literal["GetEffectivePolicies"], Literal["Connect"], Literal["DescribeThing"], Literal["GetThingShadow"], Literal["DeleteCertificate"], Literal["DeleteRoleAlias"], Literal["ListPackages"], Literal["CreateCertificateFromCsr"], Literal["DisableTopicRule"], Literal["GetBucketsAggregation"], Literal["ListMitigationActions"], Literal["DeleteAuditSuppression"], Literal["DeleteProvisioningTemplate"], Literal["UpdateBillingGroup"], Literal["GetRegistrationCode"], Literal["DeleteThing"], Literal["CreateKeysAndCertificate"], Literal["GetTopicRule"], Literal["UpdateStream"], Literal["ListAttachedPolicies"], Literal["GetPackageConfiguration"], Literal["DescribeJobExecution"], Literal["ListMetricValues"], Literal["DeleteThingShadow"], Literal["DeleteThingGroup"], Literal["ListThingGroups"], Literal["Subscribe"], Literal["UpdatePackage"], Literal["ListActiveViolations"], Literal["UpdateAccountAuditConfiguration"], Literal["DeleteMitigationAction"], Literal["CreateDomainConfiguration"], Literal["DescribeCertificate"], Literal["ListProvisioningTemplateVersions"], Literal["CreateProvisioningTemplateVersion"], Literal["ListThingsInThingGroup"], Literal["ListTopicRules"], Literal["UpdateTopicRuleDestination"], Literal["CreateDynamicThingGroup"], Literal["UntagResource"], Literal["ListDetectMitigationActionsTasks"], Literal["DeleteDomainConfiguration"], Literal["ListSecurityProfilesForTarget"], Literal["TransferCertificate"], Literal["ListScheduledAudits"], Literal["ListTargetsForPolicy"], Literal["DeleteCACertificate"], Literal["ListPackageVersions"], Literal["ConfirmTopicRuleDestination"], Literal["CreateAuthorizer"], Literal["CancelDetectMitigationActionsTask"], Literal["PutVerificationStateOnViolation"], Literal["DeleteScheduledAudit"], Literal["CreateProvisioningTemplate"], Literal["GetPackage"], Literal["RetainPublish"], Literal["OpenTunnel"], Literal["UpdatePackageConfiguration"], Literal["DescribeEventConfigurations"], Literal["ListDomainConfigurations"], Literal["ListTagsForResource"], Literal["UpdateMitigationAction"], Literal["UpdateThingShadow"], Literal["DescribeManagedJobTemplate"], Literal["ValidateSecurityProfileBehaviors"], Literal["DescribeSecurityProfile"], Literal["UpdateRoleAlias"], Literal["CreatePolicyVersion"], Literal["DeleteAccountAuditConfiguration"], Literal["ListBillingGroups"], Literal["DeleteRegistrationCode"], Literal["CancelJobExecution"], Literal["AttachSecurityProfile"], Literal["ListAuditFindings"], Literal["DescribeJobTemplate"], Literal["RegisterThing"], Literal["RemoveThingFromThingGroup"], Literal["CancelJob"], Literal["DescribeJob"], Literal["CreateJobTemplate"], Literal["ListJobExecutionsForJob"], Literal["CreateTopicRuleDestination"], Literal["ListJobs"], Literal["CreateCustomMetric"], Literal["DescribeProvisioningTemplate"], Literal["ListDetectMitigationActionsExecutions"], Literal["UpdateCertificate"], Literal["DeprecateThingType"], Literal["ListTunnels"], Literal["ListDimensions"], Literal["GetCardinality"], Literal["DeleteCustomMetric"]]
aws_iot_condition_type = Union[Literal["aws:TagKeys"], Literal["iot:DomainName"], Literal["iot:ThingGroupArn"], Literal["iot:Delete"], Literal["iot:TunnelDestinationService"], Literal["iot:ClientMode"], Literal["aws:RequestTag/${TagKey}"]]

class aws_iotStatement(GenericResourceType[aws_iot_privilege_type, aws_iot_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    