from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_iotwireless_privilege_type = Union[Literal["CreateFuotaTask"], Literal["GetWirelessDeviceImportTask"], Literal["GetWirelessGatewayCertificate"], Literal["ListWirelessDevices"], Literal["GetResourceLogLevel"], Literal["StartSingleWirelessDeviceImportTask"], Literal["ListWirelessGateways"], Literal["StartWirelessDeviceImportTask"], Literal["ListFuotaTasks"], Literal["GetDestination"], Literal["CreateDestination"], Literal["UpdateResourcePosition"], Literal["UpdateLogLevelsByResourceTypes"], Literal["GetMulticastGroupSession"], Literal["GetResourcePosition"], Literal["UpdateResourceEventConfiguration"], Literal["AssociateWirelessDeviceWithThing"], Literal["DeleteMulticastGroup"], Literal["CreateServiceProfile"], Literal["ResetResourceLogLevel"], Literal["UpdateWirelessDeviceImportTask"], Literal["ListEventConfigurations"], Literal["DisassociateAwsAccountFromPartnerAccount"], Literal["UpdateEventConfigurationByResourceTypes"], Literal["UpdateMulticastGroup"], Literal["GetPositionConfiguration"], Literal["GetWirelessGatewayTask"], Literal["AssociateAwsAccountWithPartnerAccount"], Literal["CreateWirelessDevice"], Literal["GetFuotaTask"], Literal["TagResource"], Literal["DeleteWirelessGatewayTask"], Literal["CreateDeviceProfile"], Literal["AssociateWirelessGatewayWithThing"], Literal["ListServiceProfiles"], Literal["DisassociateWirelessDeviceFromFuotaTask"], Literal["CancelMulticastGroupSession"], Literal["DisassociateWirelessGatewayFromCertificate"], Literal["GetServiceProfile"], Literal["CreateWirelessGatewayTaskDefinition"], Literal["UpdateWirelessGateway"], Literal["DeregisterWirelessDevice"], Literal["GetPartnerAccount"], Literal["UpdateNetworkAnalyzerConfiguration"], Literal["GetWirelessGatewayStatistics"], Literal["DeleteWirelessDeviceImportTask"], Literal["ListNetworkAnalyzerConfigurations"], Literal["UpdatePartnerAccount"], Literal["GetResourceEventConfiguration"], Literal["ResetAllResourceLogLevels"], Literal["DeleteQueuedMessages"], Literal["TestWirelessDevice"], Literal["DeleteWirelessGateway"], Literal["SendDataToMulticastGroup"], Literal["GetDeviceProfile"], Literal["StartFuotaTask"], Literal["UpdateFuotaTask"], Literal["UpdateWirelessDevice"], Literal["CreateWirelessGatewayTask"], Literal["GetWirelessGatewayFirmwareInformation"], Literal["GetNetworkAnalyzerConfiguration"], Literal["DeleteDeviceProfile"], Literal["ListWirelessGatewayTaskDefinitions"], Literal["CreateMulticastGroup"], Literal["CreateNetworkAnalyzerConfiguration"], Literal["ListPartnerAccounts"], Literal["DeleteWirelessGatewayTaskDefinition"], Literal["CreateWirelessGateway"], Literal["StartBulkAssociateWirelessDeviceWithMulticastGroup"], Literal["GetPositionEstimate"], Literal["UpdateDestination"], Literal["DisassociateWirelessDeviceFromMulticastGroup"], Literal["AssociateMulticastGroupWithFuotaTask"], Literal["DisassociateWirelessGatewayFromThing"], Literal["DeleteWirelessDevice"], Literal["ListDeviceProfiles"], Literal["StartNetworkAnalyzerStream"], Literal["SendDataToWirelessDevice"], Literal["GetServiceEndpoint"], Literal["DeleteNetworkAnalyzerConfiguration"], Literal["GetWirelessGateway"], Literal["AssociateWirelessGatewayWithCertificate"], Literal["AssociateWirelessDeviceWithFuotaTask"], Literal["DisassociateMulticastGroupFromFuotaTask"], Literal["ListWirelessDeviceImportTasks"], Literal["UntagResource"], Literal["ListDevicesForWirelessDeviceImportTask"], Literal["PutResourceLogLevel"], Literal["GetLogLevelsByResourceTypes"], Literal["GetMulticastGroup"], Literal["ListDestinations"], Literal["GetEventConfigurationByResourceTypes"], Literal["AssociateWirelessDeviceWithMulticastGroup"], Literal["StartBulkDisassociateWirelessDeviceFromMulticastGroup"], Literal["ListMulticastGroupsByFuotaTask"], Literal["ListMulticastGroups"], Literal["DeleteServiceProfile"], Literal["ListTagsForResource"], Literal["DisassociateWirelessDeviceFromThing"], Literal["GetWirelessGatewayTaskDefinition"], Literal["DeleteDestination"], Literal["DeleteFuotaTask"], Literal["ListPositionConfigurations"], Literal["StartMulticastGroupSession"], Literal["GetWirelessDevice"], Literal["GetPosition"], Literal["PutPositionConfiguration"], Literal["GetWirelessDeviceStatistics"], Literal["ListQueuedMessages"], Literal["UpdatePosition"]]
aws_iotwireless_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_iotwirelessStatement(GenericResourceType[aws_iotwireless_privilege_type, aws_iotwireless_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    