from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_lex_privilege_type = Union[Literal["UpdateCustomVocabulary"], Literal["UpdateBot"], Literal["GetTestExecutionArtifactsUrl"], Literal["CreateBot"], Literal["CreateExport"], Literal["DeleteImport"], Literal["GetExport"], Literal["GetBots"], Literal["DescribeBotAlias"], Literal["GetIntentVersions"], Literal["GetBuiltinIntents"], Literal["ListCustomVocabularyItems"], Literal["DescribeResourcePolicy"], Literal["BatchCreateCustomVocabularyItem"], Literal["GetBotAlias"], Literal["DeleteSlot"], Literal["ListAggregatedUtterances"], Literal["BuildBotLocale"], Literal["DescribeSlotType"], Literal["ListBotLocales"], Literal["CreateBotChannel"], Literal["DeleteSession"], Literal["GetImport"], Literal["UpdateBotRecommendation"], Literal["GetBuiltinIntent"], Literal["PutBotAlias"], Literal["CreateBotLocale"], Literal["DeleteResourcePolicy"], Literal["TagResource"], Literal["DescribeTestSet"], Literal["StopBotRecommendation"], Literal["DescribeTestSetGeneration"], Literal["ListBotResourceGenerations"], Literal["GetSlotTypes"], Literal["ListIntentStageMetrics"], Literal["ListSessionAnalyticsData"], Literal["ListTestSetRecords"], Literal["GetBotVersions"], Literal["DescribeBotResourceGeneration"], Literal["StartConversation"], Literal["DescribeSlot"], Literal["DeleteIntent"], Literal["ListRecommendedIntents"], Literal["CreateTestSetDiscrepancyReport"], Literal["DeleteBotAlias"], Literal["ListExports"], Literal["GetUtterancesView"], Literal["BatchDeleteCustomVocabularyItem"], Literal["GetSession"], Literal["StartTestSetGeneration"], Literal["ListSlotTypes"], Literal["GetBotAliases"], Literal["GetIntents"], Literal["StartMigration"], Literal["StartImport"], Literal["ListIntentPaths"], Literal["PutSlotType"], Literal["PostContent"], Literal["ListBuiltInSlotTypes"], Literal["GetSlotTypeVersions"], Literal["ListImports"], Literal["DescribeBotVersion"], Literal["CreateSlot"], Literal["UpdateSlot"], Literal["ListSlots"], Literal["StartBotRecommendation"], Literal["GetBot"], Literal["GetIntent"], Literal["UpdateIntent"], Literal["DeleteUtterances"], Literal["DeleteCustomVocabulary"], Literal["ListIntents"], Literal["ListBotVersions"], Literal["SearchAssociatedTranscripts"], Literal["PutBot"], Literal["GetMigration"], Literal["ListTestExecutionResultItems"], Literal["ListTestSets"], Literal["PutIntent"], Literal["DescribeExport"], Literal["ListBotRecommendations"], Literal["CreateIntentVersion"], Literal["GetBotChannelAssociations"], Literal["PostText"], Literal["DescribeTestSetDiscrepancyReport"], Literal["CreateSlotType"], Literal["RecognizeText"], Literal["DeleteIntentVersion"], Literal["CreateBotAlias"], Literal["DescribeImport"], Literal["ListBuiltInIntents"], Literal["DeleteSlotTypeVersion"], Literal["DeleteBotVersion"], Literal["UpdateExport"], Literal["DeleteTestSet"], Literal["CreateSlotTypeVersion"], Literal["DeleteBotChannel"], Literal["ListTestExecutions"], Literal["DeleteExport"], Literal["ListBotChannels"], Literal["DeleteBot"], Literal["GenerateBotElement"], Literal["UpdateBotAlias"], Literal["BatchUpdateCustomVocabularyItem"], Literal["GetMigrations"], Literal["CreateTestSet"], Literal["GetBuiltinSlotTypes"], Literal["ListSessionMetrics"], Literal["StartBotResourceGeneration"], Literal["DescribeIntent"], Literal["UntagResource"], Literal["RecognizeUtterance"], Literal["DescribeCustomVocabularyMetadata"], Literal["CreateIntent"], Literal["GetBotChannelAssociation"], Literal["DeleteSlotType"], Literal["UpdateTestSet"], Literal["ListBotAliases"], Literal["DescribeBotRecommendation"], Literal["DeleteBotChannelAssociation"], Literal["PutSession"], Literal["ListTagsForResource"], Literal["CreateBotVersion"], Literal["StartTestExecution"], Literal["ListIntentMetrics"], Literal["CreateUploadUrl"], Literal["ListBots"], Literal["CreateResourcePolicy"], Literal["DescribeCustomVocabulary"], Literal["UpdateSlotType"], Literal["DescribeBotChannel"], Literal["DescribeTestExecution"], Literal["UpdateBotLocale"], Literal["DeleteBotLocale"], Literal["DescribeBot"], Literal["CreateCustomVocabulary"], Literal["GetSlotType"], Literal["UpdateResourcePolicy"], Literal["DescribeBotLocale"]]
aws_lex_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_lexStatement(GenericResourceType[aws_lex_privilege_type, aws_lex_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    