from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_mobiletargeting_privilege_type = Union[Literal["UpdateSmsChannel"], Literal["SendOTPMessage"], Literal["DeleteApnsSandboxChannel"], Literal["GetApnsVoipChannel"], Literal["GetGcmChannel"], Literal["GetSegmentVersion"], Literal["GetSegmentVersions"], Literal["UpdateCampaign"], Literal["DeleteSmsTemplate"], Literal["GetRecommenderConfigurations"], Literal["UpdateEmailChannel"], Literal["DeleteJourney"], Literal["GetExportJobs"], Literal["GetCampaigns"], Literal["SendUsersMessages"], Literal["CreateSmsTemplate"], Literal["GetChannels"], Literal["GetVoiceChannel"], Literal["DeleteVoiceTemplate"], Literal["DeleteBaiduChannel"], Literal["UpdateEmailTemplate"], Literal["GetEndpoint"], Literal["PutEvents"], Literal["CreateExportJob"], Literal["GetJourneyRunExecutionMetrics"], Literal["DeleteEventStream"], Literal["GetCampaignVersions"], Literal["UpdateApplicationSettings"], Literal["GetReports"], Literal["CreateInAppTemplate"], Literal["CreateSegment"], Literal["DeleteEndpoint"], Literal["TagResource"], Literal["GetCampaignDateRangeKpi"], Literal["ListTemplates"], Literal["CreateImportJob"], Literal["DeleteEmailChannel"], Literal["GetInAppTemplate"], Literal["UpdateAdmChannel"], Literal["GetSegmentImportJobs"], Literal["CreateCampaign"], Literal["UpdateJourneyState"], Literal["GetJourneyRunExecutionActivityMetrics"], Literal["GetSmsTemplate"], Literal["DeleteSmsChannel"], Literal["DeletePushTemplate"], Literal["UpdateApnsChannel"], Literal["UpdateApnsVoipChannel"], Literal["DeleteApp"], Literal["UpdateVoiceChannel"], Literal["DeleteGcmChannel"], Literal["GetApnsVoipSandboxChannel"], Literal["VerifyOTPMessage"], Literal["DeleteSegment"], Literal["GetApnsChannel"], Literal["CreateEmailTemplate"], Literal["UpdateSegment"], Literal["UpdateInAppTemplate"], Literal["GetJourney"], Literal["UpdateApnsVoipSandboxChannel"], Literal["GetEventStream"], Literal["DeleteApnsVoipSandboxChannel"], Literal["GetUserEndpoints"], Literal["UpdatePushTemplate"], Literal["UpdateTemplateActiveVersion"], Literal["GetCampaign"], Literal["GetJourneyDateRangeKpi"], Literal["GetEmailChannel"], Literal["ListJourneys"], Literal["UpdateVoiceTemplate"], Literal["GetAdmChannel"], Literal["GetPushTemplate"], Literal["ListTemplateVersions"], Literal["GetSegmentExportJobs"], Literal["DeleteApnsVoipChannel"], Literal["CreateVoiceTemplate"], Literal["RemoveAttributes"], Literal["GetVoiceTemplate"], Literal["GetApplicationDateRangeKpi"], Literal["GetRecommenderConfiguration"], Literal["DeleteInAppTemplate"], Literal["GetApps"], Literal["PhoneNumberValidate"], Literal["GetCampaignVersion"], Literal["SendMessages"], Literal["UpdateSmsTemplate"], Literal["GetSmsChannel"], Literal["DeleteApnsChannel"], Literal["DeleteRecommenderConfiguration"], Literal["UpdateRecommenderConfiguration"], Literal["GetJourneyRuns"], Literal["UpdateJourney"], Literal["DeleteCampaign"], Literal["DeleteVoiceChannel"], Literal["GetJourneyExecutionMetrics"], Literal["GetApnsSandboxChannel"], Literal["CreateRecommenderConfiguration"], Literal["UntagResource"], Literal["PutEventStream"], Literal["CreateJourney"], Literal["GetJourneyExecutionActivityMetrics"], Literal["UpdateEndpointsBatch"], Literal["GetSegments"], Literal["GetInAppMessages"], Literal["CreateApp"], Literal["GetImportJob"], Literal["CreatePushTemplate"], Literal["GetSegment"], Literal["ListTagsForResource"], Literal["UpdateBaiduChannel"], Literal["UpdateGcmChannel"], Literal["DeleteEmailTemplate"], Literal["GetApp"], Literal["GetApplicationSettings"], Literal["GetImportJobs"], Literal["DeleteAdmChannel"], Literal["UpdateApnsSandboxChannel"], Literal["GetExportJob"], Literal["DeleteUserEndpoints"], Literal["UpdateEndpoint"], Literal["GetEmailTemplate"], Literal["GetBaiduChannel"], Literal["GetCampaignActivities"]]
aws_mobiletargeting_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:ResourceTag/${TagKey}"], Literal["aws:RequestTag/${TagKey}"]]

class aws_mobiletargetingStatement(GenericResourceType[aws_mobiletargeting_privilege_type, aws_mobiletargeting_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    