from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_proton_privilege_type = Union[Literal["ListServiceTemplateVersions"], Literal["CreateServiceTemplateMinorVersion"], Literal["UpdateServiceInstance"], Literal["CreateService"], Literal["CreateRepository"], Literal["UpdateEnvironmentTemplateMajorVersion"], Literal["GetEnvironmentAccountConnection"], Literal["ListRepositorySyncDefinitions"], Literal["NotifyResourceDeploymentStatusChange"], Literal["ListServiceInstanceProvisionedResources"], Literal["DeleteEnvironmentAccountConnection"], Literal["DeleteServiceSyncConfig"], Literal["CreateEnvironmentTemplateMinorVersion"], Literal["ListEnvironmentTemplateMinorVersions"], Literal["DeleteServiceTemplateVersion"], Literal["ListEnvironmentTemplateVersions"], Literal["UpdateServiceSyncConfig"], Literal["ListComponents"], Literal["ListServiceInstanceOutputs"], Literal["ListComponentOutputs"], Literal["DeleteServiceTemplateMajorVersion"], Literal["TagResource"], Literal["DeleteRepository"], Literal["GetServiceTemplateMinorVersion"], Literal["GetServiceSyncConfig"], Literal["CreateEnvironmentTemplateMajorVersion"], Literal["ListServiceInstances"], Literal["GetServiceTemplateVersion"], Literal["DeleteEnvironmentTemplateMajorVersion"], Literal["GetEnvironmentTemplateVersion"], Literal["RejectEnvironmentAccountConnection"], Literal["ListServiceTemplateMinorVersions"], Literal["GetTemplateSyncConfig"], Literal["CreateServiceTemplateVersion"], Literal["GetResourcesSummary"], Literal["UpdateEnvironmentTemplateVersion"], Literal["GetServiceTemplateMajorVersion"], Literal["UpdateEnvironmentAccountConnection"], Literal["DeleteEnvironmentTemplate"], Literal["CreateEnvironmentTemplate"], Literal["DeleteComponent"], Literal["AcceptEnvironmentAccountConnection"], Literal["GetServiceInstanceSyncStatus"], Literal["CreateServiceTemplate"], Literal["GetServiceSyncBlockerSummary"], Literal["GetServiceInstance"], Literal["ListDeployments"], Literal["CreateServiceInstance"], Literal["UpdateEnvironmentTemplateMinorVersion"], Literal["ListEnvironmentAccountConnections"], Literal["ListEnvironmentProvisionedResources"], Literal["ListEnvironmentOutputs"], Literal["DeleteDeployment"], Literal["UpdateServiceTemplateMajorVersion"], Literal["ListEnvironments"], Literal["GetComponent"], Literal["DeleteAccountRoles"], Literal["DeleteEnvironment"], Literal["UpdateTemplateSyncConfig"], Literal["DeleteTemplateSyncConfig"], Literal["GetServiceTemplate"], Literal["ListEnvironmentTemplateMajorVersions"], Literal["DeleteEnvironmentTemplateMinorVersion"], Literal["GetAccountSettings"], Literal["GetEnvironment"], Literal["GetEnvironmentTemplateMajorVersion"], Literal["UpdateServicePipeline"], Literal["UpdateServiceSyncBlocker"], Literal["UpdateEnvironment"], Literal["ListServiceTemplates"], Literal["CancelComponentDeployment"], Literal["CreateServiceSyncConfig"], Literal["UpdateServiceTemplateMinorVersion"], Literal["ListServices"], Literal["GetDeployment"], Literal["GetEnvironmentTemplateMinorVersion"], Literal["GetAccountRoles"], Literal["UntagResource"], Literal["CreateEnvironmentTemplateVersion"], Literal["CancelServicePipelineDeployment"], Literal["CreateEnvironment"], Literal["DeleteService"], Literal["DeleteServiceTemplateMinorVersion"], Literal["ListEnvironmentTemplates"], Literal["GetEnvironmentTemplate"], Literal["UpdateEnvironmentTemplate"], Literal["UpdateAccountRoles"], Literal["ListRepositories"], Literal["ListServiceTemplateMajorVersions"], Literal["ListTagsForResource"], Literal["ListComponentProvisionedResources"], Literal["DeleteEnvironmentTemplateVersion"], Literal["GetService"], Literal["CreateEnvironmentAccountConnection"], Literal["GetRepository"], Literal["UpdateServiceTemplate"], Literal["ListServicePipelineOutputs"], Literal["GetTemplateSyncStatus"], Literal["UpdateService"], Literal["GetResourceTemplateVersionStatusCounts"], Literal["CancelServiceInstanceDeployment"], Literal["GetRepositorySyncStatus"], Literal["ListServicePipelineProvisionedResources"], Literal["DeleteServiceTemplate"], Literal["CreateComponent"], Literal["UpdateComponent"], Literal["CreateServiceTemplateMajorVersion"], Literal["CreateTemplateSyncConfig"], Literal["UpdateAccountSettings"], Literal["UpdateServiceTemplateVersion"], Literal["CancelEnvironmentDeployment"]]
aws_proton_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"], Literal["proton:EnvironmentTemplate"], Literal["proton:ServiceTemplate"]]

class aws_protonStatement(GenericResourceType[aws_proton_privilege_type, aws_proton_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    