from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_quicksight_privilege_type = Union[Literal["CreateAccountCustomization"], Literal["UpdateRefreshSchedule"], Literal["SearchFolders"], Literal["ListKMSKeysForUser"], Literal["DescribeRefreshSchedule"], Literal["DeleteIdentityPropagationConfig"], Literal["ListThemeAliases"], Literal["DeleteTheme"], Literal["ListUsers"], Literal["UpdateDataSource"], Literal["CreateAnalysis"], Literal["DescribeDashboardSnapshotJobResult"], Literal["CreateVPCConnection"], Literal["CreateGroup"], Literal["DescribeFolder"], Literal["DescribeDataSetPermissions"], Literal["UpdateDashboardPublishedVersion"], Literal["Unsubscribe"], Literal["CreateAdmin"], Literal["DeleteTemplate"], Literal["ListFolders"], Literal["ListRoleMemberships"], Literal["SearchGroups"], Literal["ListRefreshSchedules"], Literal["PassDataSet"], Literal["ListVPCConnections"], Literal["ListCustomPermissions"], Literal["DeleteTopic"], Literal["CreateThemeAlias"], Literal["DeleteDataSet"], Literal["DescribeAnalysis"], Literal["DeleteRoleMembership"], Literal["DeleteGroupMembership"], Literal["ListDashboards"], Literal["SearchDataSources"], Literal["CreateRefreshSchedule"], Literal["TagResource"], Literal["RegisterUser"], Literal["SetGroupMapping"], Literal["UpdateIdentityPropagationConfig"], Literal["ListTemplates"], Literal["UpdateAccountCustomization"], Literal["DescribeTemplatePermissions"], Literal["CreateNamespace"], Literal["UpdateTemplateAlias"], Literal["CreateTemplate"], Literal["UpdateDataSourcePermissions"], Literal["CreateGroupMembership"], Literal["CreateAccountSubscription"], Literal["SearchAnalyses"], Literal["DescribeTemplate"], Literal["DeleteAccountCustomization"], Literal["ListTopics"], Literal["UpdateResourcePermissions"], Literal["DescribeFolderResolvedPermissions"], Literal["DeleteRoleCustomPermission"], Literal["DescribeTopic"], Literal["AccountConfigurations"], Literal["DescribeAccountSettings"], Literal["GenerateEmbedUrlForRegisteredUser"], Literal["CreateEmailCustomizationTemplate"], Literal["CreateRoleMembership"], Literal["GetSessionEmbedUrl"], Literal["ListDataSources"], Literal["UpdateAnalysisPermissions"], Literal["DescribeDataSet"], Literal["UpdateRoleCustomPermission"], Literal["SearchDataSets"], Literal["UpdateCustomPermissions"], Literal["UpdateEmailCustomizationTemplate"], Literal["DeleteFolderMembership"], Literal["ListGroups"], Literal["RestoreAnalysis"], Literal["DeleteDataSetRefreshProperties"], Literal["RegisterCustomerManagedKey"], Literal["PassDataSource"], Literal["SearchDashboards"], Literal["DescribeGroupMembership"], Literal["DescribeIAMPolicyAssignment"], Literal["StartAssetBundleImportJob"], Literal["CreateFolderMembership"], Literal["DescribeVPCConnection"], Literal["DeleteUserByPrincipalId"], Literal["DescribeTopicPermissions"], Literal["UpdateTopic"], Literal["ListNamespaces"], Literal["DeleteIAMPolicyAssignment"], Literal["DeleteTopicRefreshSchedule"], Literal["DescribeAssetBundleImportJob"], Literal["DescribeDataSourcePermissions"], Literal["ListDashboardVersions"], Literal["DeleteUser"], Literal["ListUserGroups"], Literal["DeleteVPCConnection"], Literal["UpdateGroup"], Literal["ListTemplateVersions"], Literal["CreateTopicRefreshSchedule"], Literal["DeleteAccountSubscription"], Literal["DeleteCustomPermissions"], Literal["CreateUser"], Literal["DescribeAssetBundleExportJob"], Literal["ListAssetBundleImportJobs"], Literal["ListTopicRefreshSchedules"], Literal["GetDashboardEmbedUrl"], Literal["DescribeRoleCustomPermission"], Literal["DescribeFolderPermissions"], Literal["ListThemes"], Literal["SearchUsers"], Literal["CreateIngestion"], Literal["CreateDashboard"], Literal["DescribeIpRestriction"], Literal["ListAnalyses"], Literal["ListDataSets"], Literal["DeleteRefreshSchedule"], Literal["ListAssetBundleExportJobs"], Literal["UpdateVPCConnection"], Literal["DescribeIngestion"], Literal["DescribeDashboard"], Literal["DescribeAnalysisPermissions"], Literal["DescribeCustomPermissions"], Literal["UpdateTopicRefreshSchedule"], Literal["UpdateDashboardPermissions"], Literal["StartAssetBundleExportJob"], Literal["UpdateDashboardLinks"], Literal["DescribeTopicRefreshSchedule"], Literal["CreateTheme"], Literal["UpdateFolder"], Literal["DescribeDataSetRefreshProperties"], Literal["ListGroupMemberships"], Literal["CreateReader"], Literal["DeleteAnalysis"], Literal["DescribeUser"], Literal["GetGroupMapping"], Literal["CreateDataSource"], Literal["CreateIAMPolicyAssignment"], Literal["DeleteNamespace"], Literal["ScopeDownPolicy"], Literal["Subscribe"], Literal["UpdateTemplate"], Literal["UpdateUser"], Literal["UpdateIAMPolicyAssignment"], Literal["DeleteDataSource"], Literal["StartDashboardSnapshotJob"], Literal["UpdateFolderPermissions"], Literal["DescribeTopicRefresh"], Literal["RemoveCustomerManagedKey"], Literal["DescribeTheme"], Literal["CreateTopic"], Literal["CreateTemplateAlias"], Literal["UntagResource"], Literal["CancelIngestion"], Literal["ListIAMPolicyAssignmentsForUser"], Literal["PutDataSetRefreshProperties"], Literal["DescribeAccountSubscription"], Literal["DeleteDashboard"], Literal["DeleteEmailCustomizationTemplate"], Literal["DescribeNamespace"], Literal["GetAuthCode"], Literal["ListIngestions"], Literal["UpdateTemplatePermissions"], Literal["UpdateDataSetPermissions"], Literal["DescribeEmailCustomizationTemplate"], Literal["ListIAMPolicyAssignments"], Literal["DescribeDashboardSnapshotJob"], Literal["UpdatePublicSharingSettings"], Literal["UpdateDashboard"], Literal["UpdateIpRestriction"], Literal["GetAnonymousUserEmbedUrl"], Literal["ListTagsForResource"], Literal["ListFolderMembers"], Literal["ListCustomerManagedKeys"], Literal["DeleteThemeAlias"], Literal["DescribeTemplateAlias"], Literal["UpdateAnalysis"], Literal["CreateDataSet"], Literal["UpdateTheme"], Literal["UpdateThemePermissions"], Literal["UpdateThemeAlias"], Literal["DescribeAccountCustomization"], Literal["DescribeThemePermissions"], Literal["CreateFolder"], Literal["ListTemplateAliases"], Literal["SearchDirectoryGroups"], Literal["DescribeGroup"], Literal["GenerateEmbedUrlForAnonymousUser"], Literal["DeleteGroup"], Literal["DescribeDataSource"], Literal["DeleteTemplateAlias"], Literal["DescribeDashboardPermissions"], Literal["CreateCustomPermissions"], Literal["DeleteFolder"], Literal["DescribeThemeAlias"], Literal["UpdateAccountSettings"], Literal["ListThemeVersions"], Literal["UpdateDataSet"], Literal["ListIdentityPropagationConfigs"], Literal["UpdateTopicPermissions"]]
aws_quicksight_condition_type = Union[Literal["aws:TagKeys"], Literal["quicksight:AllowedEmbeddingDomains"], Literal["quicksight:DirectoryType"], Literal["quicksight:Edition"], Literal["quicksight:SessionName"], Literal["quicksight:IamArn"], Literal["quicksight:UserName"], Literal["aws:RequestTag/${TagKey}"]]

class aws_quicksightStatement(GenericResourceType[aws_quicksight_privilege_type, aws_quicksight_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    