from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_redshift_privilege_type = Union[Literal["DescribeCustomDomainAssociations"], Literal["DescribeScheduledActions"], Literal["DisassociateDataShareConsumer"], Literal["DeleteHsmConfiguration"], Literal["AuthorizeEndpointAccess"], Literal["ResizeCluster"], Literal["FetchResults"], Literal["CreateClusterSnapshot"], Literal["CreateEventSubscription"], Literal["CreateSavedQuery"], Literal["DeleteClusterParameterGroup"], Literal["ModifyAuthenticationProfile"], Literal["DescribeSnapshotCopyGrants"], Literal["PauseCluster"], Literal["ListDatabases"], Literal["GetReservedNodeExchangeOfferings"], Literal["DeleteClusterSubnetGroup"], Literal["CancelResize"], Literal["DeleteScheduledAction"], Literal["DescribeAuthenticationProfiles"], Literal["CreateClusterParameterGroup"], Literal["ResumeCluster"], Literal["DescribeDataSharesForProducer"], Literal["BatchModifyClusterSnapshots"], Literal["DescribeLoggingStatus"], Literal["CancelQuery"], Literal["DeleteResourcePolicy"], Literal["ModifyAquaConfiguration"], Literal["ModifyClusterIamRoles"], Literal["AddPartner"], Literal["ModifyClusterMaintenance"], Literal["RevokeSnapshotAccess"], Literal["DescribeClusterVersions"], Literal["RotateEncryptionKey"], Literal["DescribeClusterTracks"], Literal["ModifyCustomDomainAssociation"], Literal["DescribePartners"], Literal["CreateAuthenticationProfile"], Literal["CreateClusterSubnetGroup"], Literal["CopyClusterSnapshot"], Literal["DescribeReservedNodes"], Literal["CreateScheduledAction"], Literal["ModifySnapshotSchedule"], Literal["CreateHsmConfiguration"], Literal["AcceptReservedNodeExchange"], Literal["EnableLogging"], Literal["CreateUsageLimit"], Literal["EnableSnapshotCopy"], Literal["ModifyScheduledAction"], Literal["DescribeEvents"], Literal["ModifyEventSubscription"], Literal["ModifyRedshiftIdcApplication"], Literal["DescribeHsmClientCertificates"], Literal["ExecuteQuery"], Literal["AssociateDataShareConsumer"], Literal["ModifyEndpointAccess"], Literal["DescribeClusterSnapshots"], Literal["CreateClusterSecurityGroup"], Literal["DeleteSavedQueries"], Literal["CreateSnapshotSchedule"], Literal["RevokeEndpointAccess"], Literal["CreateRedshiftIdcApplication"], Literal["DescribeEventCategories"], Literal["RejectDataShare"], Literal["ListSavedQueries"], Literal["DisableSnapshotCopy"], Literal["AuthorizeClusterSecurityGroupIngress"], Literal["DescribeDataShares"], Literal["BatchDeleteClusterSnapshots"], Literal["CreateTags"], Literal["ModifySavedQuery"], Literal["ViewQueriesFromConsole"], Literal["ModifyClusterDbRevision"], Literal["DeleteEventSubscription"], Literal["DescribeReservedNodeExchangeStatus"], Literal["ListTables"], Literal["ModifyClusterSnapshot"], Literal["ModifyClusterSnapshotSchedule"], Literal["DescribeClusterSecurityGroups"], Literal["ModifyUsageLimit"], Literal["DescribeHsmConfigurations"], Literal["DeauthorizeDataShare"], Literal["ViewQueriesInConsole"], Literal["DescribeClusters"], Literal["RevokeClusterSecurityGroupIngress"], Literal["FailoverPrimaryCompute"], Literal["PurchaseReservedNodeOffering"], Literal["DescribeEndpointAuthorization"], Literal["DescribeDataSharesForConsumer"], Literal["DescribeSavedQueries"], Literal["GetClusterCredentialsWithIAM"], Literal["DeletePartner"], Literal["DescribeQuery"], Literal["CreateClusterUser"], Literal["DeleteRedshiftIdcApplication"], Literal["DescribeSnapshotSchedules"], Literal["PutResourcePolicy"], Literal["DeleteHsmClientCertificate"], Literal["RestoreFromClusterSnapshot"], Literal["AuthorizeDataShare"], Literal["DeleteEndpointAccess"], Literal["CancelQuerySession"], Literal["DescribeUsageLimits"], Literal["ModifyCluster"], Literal["GetReservedNodeExchangeConfigurationOptions"], Literal["CreateCluster"], Literal["DescribeEventSubscriptions"], Literal["UpdatePartnerStatus"], Literal["DeleteCustomDomainAssociation"], Literal["DescribeRedshiftIdcApplications"], Literal["DescribeEndpointAccess"], Literal["JoinGroup"], Literal["DeleteClusterSnapshot"], Literal["CreateEndpointAccess"], Literal["DescribeNodeConfigurationOptions"], Literal["GetResourcePolicy"], Literal["ModifyClusterSubnetGroup"], Literal["DeleteCluster"], Literal["DeleteAuthenticationProfile"], Literal["DescribeTags"], Literal["DescribeOrderableClusterOptions"], Literal["CreateSnapshotCopyGrant"], Literal["DeleteUsageLimit"], Literal["RebootCluster"], Literal["DeleteTags"], Literal["GetClusterCredentials"], Literal["CreateCustomDomainAssociation"], Literal["DisableLogging"], Literal["AuthorizeSnapshotAccess"], Literal["DescribeTable"], Literal["CreateHsmClientCertificate"], Literal["DescribeAccountAttributes"], Literal["ModifySnapshotCopyRetentionPeriod"], Literal["ResetClusterParameterGroup"], Literal["DescribeResize"], Literal["ListSchemas"], Literal["DescribeClusterDbRevisions"], Literal["DescribeClusterParameters"], Literal["ModifyClusterParameterGroup"], Literal["DeleteSnapshotSchedule"], Literal["RestoreTableFromClusterSnapshot"], Literal["DescribeDefaultClusterParameters"], Literal["DescribeClusterSubnetGroups"], Literal["DeleteClusterSecurityGroup"], Literal["DescribeStorage"], Literal["DescribeClusterParameterGroups"], Literal["DescribeTableRestoreStatus"], Literal["DescribeReservedNodeOfferings"], Literal["DescribeInboundIntegrations"], Literal["DeleteSnapshotCopyGrant"]]
aws_redshift_condition_type = Union[Literal["redshift:ConsumerArn"], Literal["aws:TagKeys"], Literal["redshift:DurationSeconds"], Literal["redshift:InboundIntegrationArn"], Literal["redshift:ConsumerIdentifier"], Literal["redshift:DbUser"], Literal["redshift:DbName"], Literal["redshift:AllowWrites"], Literal["aws:RequestTag/${TagKey}"]]

class aws_redshiftStatement(GenericResourceType[aws_redshift_privilege_type, aws_redshift_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    