from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_s3_privilege_type = Union[Literal["GetBucketAcl"], Literal["DeleteObjectVersionTagging"], Literal["ObjectOwnerOverrideToBucketOwner"], Literal["PutBucketLogging"], Literal["PutObjectVersionTagging"], Literal["ReplicateObject"], Literal["PutIntelligentTieringConfiguration"], Literal["GetStorageLensConfiguration"], Literal["PutBucketRequestPayment"], Literal["PutBucketVersioning"], Literal["UpdateStorageLensGroup"], Literal["CreateStorageLensGroup"], Literal["DeleteObject"], Literal["GetStorageLensGroup"], Literal["ListAccessPointsForObjectLambda"], Literal["CreateMultiRegionAccessPoint"], Literal["CreateAccessGrantsInstance"], Literal["GetObjectVersionAcl"], Literal["GetObjectTagging"], Literal["CreateJob"], Literal["PutJobTagging"], Literal["UpdateAccessGrantsLocation"], Literal["PutBucketPublicAccessBlock"], Literal["GetDataAccess"], Literal["DeleteAccessPointForObjectLambda"], Literal["PutBucketPolicy"], Literal["GetAccessPointForObjectLambda"], Literal["GetMultiRegionAccessPointPolicy"], Literal["GetInventoryConfiguration"], Literal["PutAccessPointPolicyForObjectLambda"], Literal["PutBucketWebsite"], Literal["DeleteAccessPointPolicyForObjectLambda"], Literal["GetBucketRequestPayment"], Literal["GetBucketWebsite"], Literal["TagResource"], Literal["ListBucketMultipartUploads"], Literal["RestoreObject"], Literal["GetObjectAttributes"], Literal["ListAccessGrants"], Literal["GetJobTagging"], Literal["GetAccessPointPolicyStatusForObjectLambda"], Literal["PutEncryptionConfiguration"], Literal["GetEncryptionConfiguration"], Literal["GetObjectVersionAttributes"], Literal["GetBucketTagging"], Literal["PutObjectAcl"], Literal["GetAccessPointPolicyStatus"], Literal["GetBucketVersioning"], Literal["ListBucketVersions"], Literal["UpdateJobPriority"], Literal["PutAccessPointPublicAccessBlock"], Literal["PutAccessPointPolicy"], Literal["DeleteAccessGrant"], Literal["GetAccessGrantsInstance"], Literal["DeleteBucketPolicy"], Literal["GetObjectRetention"], Literal["GetAccessPoint"], Literal["GetObjectVersionTorrent"], Literal["ListStorageLensGroups"], Literal["GetStorageLensConfigurationTagging"], Literal["CreateBucket"], Literal["GetAnalyticsConfiguration"], Literal["GetBucketPublicAccessBlock"], Literal["ListBucket"], Literal["DeleteBucket"], Literal["GetIntelligentTieringConfiguration"], Literal["GetBucketLogging"], Literal["GetAccessGrantsLocation"], Literal["GetMetricsConfiguration"], Literal["PutReplicationConfiguration"], Literal["InitiateReplication"], Literal["GetAccelerateConfiguration"], Literal["ReplicateTags"], Literal["DeleteObjectVersion"], Literal["DeleteStorageLensConfigurationTagging"], Literal["PutObjectRetention"], Literal["GetAccountPublicAccessBlock"], Literal["GetReplicationConfiguration"], Literal["ListStorageLensConfigurations"], Literal["PutBucketTagging"], Literal["PutMultiRegionAccessPointPolicy"], Literal["GetAccessGrant"], Literal["CreateAccessPointForObjectLambda"], Literal["PutObjectVersionAcl"], Literal["PutObjectTagging"], Literal["ListMultiRegionAccessPoints"], Literal["GetMultiRegionAccessPoint"], Literal["DeleteStorageLensGroup"], Literal["PutStorageLensConfigurationTagging"], Literal["GetStorageLensDashboard"], Literal["CreateAccessPoint"], Literal["CreateAccessGrant"], Literal["DeleteStorageLensConfiguration"], Literal["PutAnalyticsConfiguration"], Literal["PutBucketNotification"], Literal["DeleteAccessGrantsInstance"], Literal["GetAccessGrantsInstanceResourcePolicy"], Literal["DeleteObjectTagging"], Literal["DeleteAccessGrantsLocation"], Literal["GetObject"], Literal["GetObjectVersion"], Literal["GetBucketCORS"], Literal["PutObjectLegalHold"], Literal["UpdateJobStatus"], Literal["DescribeMultiRegionAccessPointOperation"], Literal["DeleteAccessGrantsInstanceResourcePolicy"], Literal["DeleteMultiRegionAccessPoint"], Literal["UntagResource"], Literal["GetMultiRegionAccessPointRoutes"], Literal["GetBucketNotification"], Literal["CreateAccessGrantsLocation"], Literal["GetAccessPointPolicy"], Literal["GetBucketPolicy"], Literal["ListAccessPoints"], Literal["GetObjectTorrent"], Literal["PutBucketOwnershipControls"], Literal["PutLifecycleConfiguration"], Literal["DeleteAccessPointPolicy"], Literal["PutAccelerateConfiguration"], Literal["PutObject"], Literal["AbortMultipartUpload"], Literal["GetBucketOwnershipControls"], Literal["PutBucketAcl"], Literal["BypassGovernanceRetention"], Literal["GetMultiRegionAccessPointPolicyStatus"], Literal["PutAccessGrantsInstanceResourcePolicy"], Literal["GetObjectVersionForReplication"], Literal["ListTagsForResource"], Literal["PutAccessPointConfigurationForObjectLambda"], Literal["ReplicateDelete"], Literal["GetBucketPolicyStatus"], Literal["ListAllMyBuckets"], Literal["GetAccessPointConfigurationForObjectLambda"], Literal["DeleteBucketWebsite"], Literal["PutInventoryConfiguration"], Literal["PutMetricsConfiguration"], Literal["DeleteAccessPoint"], Literal["ListAccessGrantsInstances"], Literal["PutBucketObjectLockConfiguration"], Literal["SubmitMultiRegionAccessPointRoutes"], Literal["GetAccessPointPolicyForObjectLambda"], Literal["GetObjectAcl"], Literal["GetLifecycleConfiguration"], Literal["ListMultipartUploadParts"], Literal["ListAccessGrantsLocations"], Literal["GetObjectLegalHold"], Literal["AssociateAccessGrantsIdentityCenter"], Literal["GetAccessGrantsInstanceForPrefix"], Literal["PutAccountPublicAccessBlock"], Literal["PutBucketCORS"], Literal["ListJobs"], Literal["DissociateAccessGrantsIdentityCenter"], Literal["GetBucketObjectLockConfiguration"], Literal["PutStorageLensConfiguration"], Literal["DeleteJobTagging"], Literal["GetBucketLocation"], Literal["DescribeJob"], Literal["GetObjectVersionTagging"]]
aws_s3_condition_type = Union[Literal["s3:locationconstraint"], Literal["s3:max-keys"], Literal["s3:x-amz-grant-read-acp"], Literal["s3:RequestObjectTagKeys"], Literal["s3:object-lock-remaining-retention-days"], Literal["s3:x-amz-grant-read"], Literal["s3:ExistingObjectTag/<key>"], Literal["s3:JobSuspendedCause"], Literal["s3:x-amz-copy-source"], Literal["aws:TagKeys"], Literal["s3:RequestJobPriority"], Literal["s3:prefix"], Literal["s3:x-amz-content-sha256"], Literal["s3:x-amz-server-side-encryption-customer-algorithm"], Literal["s3:ExistingJobPriority"], Literal["s3:TlsVersion"], Literal["s3:ExistingJobOperation"], Literal["s3:RequestObjectTag/<key>"], Literal["s3:x-amz-storage-class"], Literal["s3:authType"], Literal["s3:x-amz-metadata-directive"], Literal["s3:x-amz-object-ownership"], Literal["s3:object-lock-mode"], Literal["s3:signatureversion"], Literal["s3:DataAccessPointAccount"], Literal["s3:x-amz-grant-full-control"], Literal["s3:signatureAge"], Literal["s3:AccessPointNetworkOrigin"], Literal["s3:x-amz-acl"], Literal["s3:x-amz-grant-write-acp"], Literal["s3:object-lock-legal-hold"], Literal["s3:object-lock-retain-until-date"], Literal["s3:x-amz-website-redirect-location"], Literal["aws:ResourceTag/${TagKey}"], Literal["s3:versionid"], Literal["s3:RequestJobOperation"], Literal["s3:ResourceAccount"], Literal["s3:DataAccessPointArn"], Literal["s3:x-amz-server-side-encryption"], Literal["s3:x-amz-server-side-encryption-aws-kms-key-id"], Literal["s3:x-amz-grant-write"], Literal["s3:delimiter"], Literal["aws:RequestTag/${TagKey}"]]

class aws_s3Statement(GenericResourceType[aws_s3_privilege_type, aws_s3_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    