from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_sagemaker_privilege_type = Union[Literal["CreateArtifact"], Literal["ListTags"], Literal["BatchDescribeModelPackage"], Literal["StopEdgePackagingJob"], Literal["DescribeEdgePackagingJob"], Literal["DeletePipeline"], Literal["CreateFeatureGroup"], Literal["UpdateWorkteam"], Literal["CreateModelBiasJobDefinition"], Literal["ListImages"], Literal["BatchGetMetrics"], Literal["RetryPipelineExecution"], Literal["DescribeModelCardExportJob"], Literal["CreateProject"], Literal["StopEdgeDeploymentStage"], Literal["UpdateArtifact"], Literal["UpdateDeviceFleet"], Literal["DeleteApp"], Literal["UpdateExperiment"], Literal["ListWorkteams"], Literal["DeleteTrial"], Literal["GetSagemakerServicecatalogPortfolioStatus"], Literal["ListSharedModelVersions"], Literal["ListNotebookInstanceLifecycleConfigs"], Literal["ListUserProfiles"], Literal["StopNotebookInstance"], Literal["ListActions"], Literal["AddTags"], Literal["ListAlgorithms"], Literal["ListModelCardVersions"], Literal["DescribeTrainingJob"], Literal["BatchPutMetrics"], Literal["StartEdgeDeploymentStage"], Literal["CreateNotebookInstanceLifecycleConfig"], Literal["CreateModelExplainabilityJobDefinition"], Literal["CreatePipeline"], Literal["DeleteHubContent"], Literal["DescribeAutoMLJobV2"], Literal["ListDataQualityJobDefinitions"], Literal["ListModelCardExportJobs"], Literal["ListCompilationJobs"], Literal["DeleteExperiment"], Literal["DescribeModelPackage"], Literal["ListResourceCatalogs"], Literal["CreateModelPackage"], Literal["CreateInferenceRecommendationsJob"], Literal["InvokeEndpoint"], Literal["StopTransformJob"], Literal["ListEndpointConfigs"], Literal["ListFlowDefinitions"], Literal["CreateEdgeDeploymentPlan"], Literal["CreateHumanTaskUi"], Literal["SendSharedModelEvent"], Literal["ListDomains"], Literal["DescribeApp"], Literal["DeleteMonitoringSchedule"], Literal["CreateDataQualityJobDefinition"], Literal["UpdateTrainingJob"], Literal["CreateDeviceFleet"], Literal["CreateAutoMLJobV2"], Literal["UpdateSharedModel"], Literal["ListImageVersions"], Literal["CreateExperiment"], Literal["DeleteHumanLoop"], Literal["CreateProcessingJob"], Literal["CreateImageVersion"], Literal["DescribeHumanLoop"], Literal["ListClusterNodes"], Literal["DescribeDataQualityJobDefinition"], Literal["QueryLineage"], Literal["DeleteFlowDefinition"], Literal["DeleteUserProfile"], Literal["CreateInferenceComponent"], Literal["ListFeatureGroups"], Literal["DeleteAlgorithm"], Literal["DeleteNotebookInstanceLifecycleConfig"], Literal["StopInferenceRecommendationsJob"], Literal["UpdateCluster"], Literal["DeleteModelPackageGroup"], Literal["DescribeHumanTaskUi"], Literal["DescribeClusterNode"], Literal["DescribeImage"], Literal["StopMonitoringSchedule"], Literal["DescribeFlowDefinition"], Literal["DescribeModelPackageGroup"], Literal["DescribeAction"], Literal["DescribeCompilationJob"], Literal["UpdateDomain"], Literal["BatchGetRecord"], Literal["DescribeInferenceExperiment"], Literal["ListModelCards"], Literal["CreateDomain"], Literal["UpdateImage"], Literal["ListTrials"], Literal["ListStageDevices"], Literal["ListModelMetadata"], Literal["UpdateMonitoringAlert"], Literal["PutLineageGroupPolicy"], Literal["ListAliases"], Literal["DeleteAction"], Literal["SendPipelineExecutionStepSuccess"], Literal["ListHumanTaskUis"], Literal["DeleteEdgeDeploymentStage"], Literal["DescribePipelineDefinitionForExecution"], Literal["DeleteWorkforce"], Literal["DescribeInferenceComponent"], Literal["StopLabelingJob"], Literal["ListMonitoringSchedules"], Literal["DeleteModelExplainabilityJobDefinition"], Literal["DescribeHyperParameterTuningJob"], Literal["DeleteContext"], Literal["GetDeviceFleetReport"], Literal["UpdateNotebookInstanceLifecycleConfig"], Literal["DescribeEndpoint"], Literal["CreateWorkforce"], Literal["ListLabelingJobs"], Literal["StopPipelineExecution"], Literal["GetDeviceRegistration"], Literal["CreateEndpoint"], Literal["DescribeNotebookInstance"], Literal["ListHyperParameterTuningJobs"], Literal["DisableSagemakerServicecatalogPortfolio"], Literal["CreateTransformJob"], Literal["PutModelPackageGroupPolicy"], Literal["StartHumanLoop"], Literal["ListEdgePackagingJobs"], Literal["ListSubscribedWorkteams"], Literal["DescribeAppImageConfig"], Literal["GetModelPackageGroupPolicy"], Literal["ImportHubContent"], Literal["DescribeInferenceRecommendationsJob"], Literal["ListEdgeDeploymentPlans"], Literal["StartMonitoringSchedule"], Literal["DeleteEdgeDeploymentPlan"], Literal["CreateEndpointConfig"], Literal["RenderUiTemplate"], Literal["ListModelExplainabilityJobDefinitions"], Literal["DescribeSubscribedWorkteam"], Literal["InvokeEndpointWithResponseStream"], Literal["UpdateAppImageConfig"], Literal["RegisterDevices"], Literal["CreateHyperParameterTuningJob"], Literal["DescribeEndpointConfig"], Literal["DescribeExperiment"], Literal["ListPipelines"], Literal["UpdateTrial"], Literal["ListNotebookInstances"], Literal["DescribeHub"], Literal["DescribeTransformJob"], Literal["ListProcessingJobs"], Literal["StopHumanLoop"], Literal["ListPipelineParametersForExecution"], Literal["DeleteWorkteam"], Literal["CreateEdgeDeploymentStage"], Literal["DeleteArtifact"], Literal["ListAutoMLJobs"], Literal["CreateUserProfile"], Literal["DescribeLabelingJob"], Literal["CreateApp"], Literal["StopProcessingJob"], Literal["CreateMonitoringSchedule"], Literal["DescribeFeatureGroup"], Literal["UpdateContext"], Literal["DescribeAlgorithm"], Literal["ListModels"], Literal["DescribeHubContent"], Literal["DisassociateTrialComponent"], Literal["ListHubContentVersions"], Literal["CreateSpace"], Literal["ListTransformJobs"], Literal["GetRecord"], Literal["DeleteAssociation"], Literal["ListAssociations"], Literal["CreateModelCard"], Literal["ListTrainingJobsForHyperParameterTuningJob"], Literal["UpdateModelCard"], Literal["DeleteRecord"], Literal["ListModelBiasJobDefinitions"], Literal["UpdateDevices"], Literal["UpdateInferenceComponent"], Literal["UpdateCodeRepository"], Literal["DeleteSpace"], Literal["DeleteCompilationJob"], Literal["ListContexts"], Literal["DeleteEndpoint"], Literal["StopTrainingJob"], Literal["ListInferenceRecommendationsJobs"], Literal["DeleteModelCard"], Literal["DescribeDevice"], Literal["StopCompilationJob"], Literal["DescribeLineageGroup"], Literal["CreateAlgorithm"], Literal["DescribePipelineExecution"], Literal["DescribeFeatureMetadata"], Literal["DescribeModelQualityJobDefinition"], Literal["ListApps"], Literal["DeleteModelQualityJobDefinition"], Literal["UpdateAction"], Literal["InvokeEndpointAsync"], Literal["ListExperiments"], Literal["ListProjects"], Literal["DescribeWorkforce"], Literal["ListEndpoints"], Literal["ListSpaces"], Literal["DescribeImageVersion"], Literal["DescribeModelExplainabilityJobDefinition"], Literal["CreateContext"], Literal["UpdateSpace"], Literal["CreateNotebookInstance"], Literal["CreateWorkteam"], Literal["DeleteDomain"], Literal["DeleteDeviceFleet"], Literal["DescribeProcessingJob"], Literal["ListModelPackageGroups"], Literal["ListMonitoringAlertHistory"], Literal["ListMonitoringAlerts"], Literal["DescribeStudioLifecycleConfig"], Literal["CreateFlowDefinition"], Literal["CreateAutoMLJob"], Literal["UpdatePipeline"], Literal["UpdateMonitoringSchedule"], Literal["DeleteStudioLifecycleConfig"], Literal["CreateCluster"], Literal["DescribeProject"], Literal["DeleteEndpointConfig"], Literal["ListArtifacts"], Literal["Search"], Literal["CreateModel"], Literal["DeleteTags"], Literal["CreateTrial"], Literal["EnableSagemakerServicecatalogPortfolio"], Literal["ListCandidatesForAutoMLJob"], Literal["ListLineageGroups"], Literal["ListTrainingJobs"], Literal["CreateModelPackageGroup"], Literal["DescribeEdgeDeploymentPlan"], Literal["ListInferenceComponents"], Literal["CreateAction"], Literal["DeleteLineageGroupPolicy"], Literal["DescribeTrial"], Literal["DeleteModelBiasJobDefinition"], Literal["UpdateModelPackage"], Literal["ListHumanLoops"], Literal["DeleteModelPackageGroupPolicy"], Literal["GetScalingConfigurationRecommendation"], Literal["DeleteInferenceExperiment"], Literal["UpdateHub"], Literal["UpdateEndpoint"], Literal["UpdateFeatureGroup"], Literal["ListCodeRepositories"], Literal["ListWorkforces"], Literal["ListInferenceExperiments"], Literal["CreateAppImageConfig"], Literal["DescribeSpace"], Literal["CreatePresignedDomainUrl"], Literal["UpdateUserProfile"], Literal["DeleteImageVersion"], Literal["DescribeUserProfile"], Literal["DescribeSharedModel"], Literal["SendHeartbeat"], Literal["StartPipelineExecution"], Literal["DescribeAutoMLJob"], Literal["DescribePipeline"], Literal["UpdateWorkforce"], Literal["DeleteCodeRepository"], Literal["DescribeCluster"], Literal["UpdateProject"], Literal["GetDeployments"], Literal["ListDeviceFleets"], Literal["CreatePresignedNotebookInstanceUrl"], Literal["DeleteInferenceComponent"], Literal["DescribeMonitoringSchedule"], Literal["ListMonitoringExecutions"], Literal["DeleteImage"], Literal["GetSearchSuggestions"], Literal["StopHyperParameterTuningJob"], Literal["CreateLineageGroupPolicy"], Literal["ListSharedModelEvents"], Literal["DeleteAppImageConfig"], Literal["StopAutoMLJob"], Literal["ListDevices"], Literal["CreateInferenceExperiment"], Literal["CreateCompilationJob"], Literal["DescribeModelBiasJobDefinition"], Literal["ListInferenceRecommendationsJobSteps"], Literal["ListTrialComponents"], Literal["AddAssociation"], Literal["ListPipelineExecutionSteps"], Literal["DeleteTrialComponent"], Literal["DeleteModel"], Literal["DescribeArtifact"], Literal["DeleteProject"], Literal["DescribeContext"], Literal["CreateLabelingJob"], Literal["UpdateImageVersion"], Literal["StartNotebookInstance"], Literal["ListClusters"], Literal["UpdateNotebookInstance"], Literal["CreateCodeRepository"], Literal["DeregisterDevices"], Literal["DescribeDomain"], Literal["DeleteNotebookInstance"], Literal["PutRecord"], Literal["DescribeNotebookInstanceLifecycleConfig"], Literal["CreateTrainingJob"], Literal["DescribeModel"], Literal["StartInferenceExperiment"], Literal["DescribeCodeRepository"], Literal["ListAppImageConfigs"], Literal["DeleteHub"], Literal["DeleteHumanTaskUi"], Literal["GetLineageGroupPolicy"], Literal["CreateTrialComponent"], Literal["UpdateFeatureMetadata"], Literal["CreateImage"], Literal["CreateStudioLifecycleConfig"], Literal["ListModelQualityJobDefinitions"], Literal["AssociateTrialComponent"], Literal["DeleteCluster"], Literal["UpdateEndpointWeightsAndCapacities"], Literal["ListModelPackages"], Literal["CreateModelCardExportJob"], Literal["CreateEdgePackagingJob"], Literal["ListPipelineExecutions"], Literal["DeleteModelPackage"], Literal["CreateModelQualityJobDefinition"], Literal["DescribeDeviceFleet"], Literal["ListStudioLifecycleConfigs"], Literal["ListSharedModels"], Literal["UpdateTrialComponent"], Literal["CreateHub"], Literal["SendPipelineExecutionStepFailure"], Literal["DescribeModelCard"], Literal["CreateSharedModel"], Literal["DeleteFeatureGroup"], Literal["DescribeWorkteam"], Literal["DescribeTrialComponent"], Literal["UpdateInferenceExperiment"], Literal["ListHubs"], Literal["StopInferenceExperiment"], Literal["UpdateInferenceComponentRuntimeConfig"], Literal["DeleteDataQualityJobDefinition"], Literal["UpdatePipelineExecution"], Literal["ListHubContents"], Literal["ListLabelingJobsForWorkteam"]]
aws_sagemaker_condition_type = Union[Literal["sagemaker:InterContainerTrafficEncryption"], Literal["sagemaker:ImageVersionArns"], Literal["sagemaker:FeatureGroupOfflineStoreConfig"], Literal["sagemaker:CustomerMetadataProperties/${MetadataKey}"], Literal["sagemaker:NetworkIsolation"], Literal["sagemaker:VpcSecurityGroupIds"], Literal["sagemaker:AppNetworkAccessType"], Literal["sagemaker:ModelArn"], Literal["sagemaker:EnableRemoteDebug"], Literal["sagemaker:FileSystemType"], Literal["sagemaker:FeatureGroupOfflineStoreKmsKey"], Literal["sagemaker:DomainSharingOutputKmsKey"], Literal["sagemaker:RootAccess"], Literal["sagemaker:FileSystemDirectoryPath"], Literal["aws:TagKeys"], Literal["sagemaker:FeatureGroupOfflineStoreS3Uri"], Literal["sagemaker:TargetModel"], Literal["sagemaker:FeatureGroupOnlineStoreKmsKey"], Literal["sagemaker:FeatureGroupDisableGlueTableCreation"], Literal["sagemaker:SpaceSharingType"], Literal["sagemaker:VpcSubnets"], Literal["sagemaker:InstanceTypes"], Literal["sagemaker:OutputKmsKey"], Literal["sagemaker:OwnerUserProfileArn"], Literal["sagemaker:ServerlessMaxConcurrency"], Literal["sagemaker:VolumeKmsKey"], Literal["sagemaker:ServerlessMemorySize"], Literal["sagemaker:FileSystemAccessMode"], Literal["sagemaker:TaggingAction"], Literal["sagemaker:CustomerMetadataPropertiesToRemove"], Literal["sagemaker:AcceleratorTypes"], Literal["sagemaker:WorkteamType"], Literal["sagemaker:FeatureGroupEnableOnlineStore"], Literal["sagemaker:MaxRuntimeInSeconds"], Literal["aws:ResourceTag/${TagKey}"], Literal["sagemaker:MinimumInstanceMetadataServiceVersion"], Literal["sagemaker:WorkteamArn"], Literal["sagemaker:ModelApprovalStatus"], Literal["sagemaker:ImageArns"], Literal["sagemaker:KeepAlivePeriod"], Literal["sagemaker:FileSystemId"], Literal["sagemaker:DirectInternetAccess"], Literal["aws:RequestTag/${TagKey}"]]

class aws_sagemakerStatement(GenericResourceType[aws_sagemaker_privilege_type, aws_sagemaker_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    