from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_securityhub_privilege_type = Union[Literal["GetConfigurationPolicyAssociation"], Literal["GetInvitationsCount"], Literal["UpdateInsight"], Literal["ListControlEvaluationSummaries"], Literal["UpdateActionTarget"], Literal["DisassociateFromMasterAccount"], Literal["BatchUpdateStandardsControlAssociations"], Literal["BatchDeleteAutomationRules"], Literal["GetSecurityControlDefinition"], Literal["DisassociateMembers"], Literal["GetFindingHistory"], Literal["BatchImportFindings"], Literal["CreateActionTarget"], Literal["TagResource"], Literal["CreateMembers"], Literal["BatchDisableStandards"], Literal["CreateAutomationRule"], Literal["UpdateSecurityControl"], Literal["BatchGetStandardsControlAssociations"], Literal["GetAdministratorAccount"], Literal["AcceptAdministratorInvitation"], Literal["DescribeOrganizationConfiguration"], Literal["BatchGetSecurityControls"], Literal["BatchGetAutomationRules"], Literal["UpdateFindingAggregator"], Literal["UpdateSecurityHubConfiguration"], Literal["CreateConfigurationPolicy"], Literal["ListSecurityControlDefinitions"], Literal["GetMembers"], Literal["GetEnabledStandards"], Literal["GetInsightFindingTrend"], Literal["BatchUpdateAutomationRules"], Literal["DescribeProducts"], Literal["GetMasterAccount"], Literal["BatchGetControlEvaluations"], Literal["UpdateOrganizationConfiguration"], Literal["EnableOrganizationAdminAccount"], Literal["GetUsage"], Literal["ListMembers"], Literal["CreateFindingAggregator"], Literal["UpdateStandardsControl"], Literal["StartConfigurationPolicyDisassociation"], Literal["ListOrganizationAdminAccounts"], Literal["CreateInsight"], Literal["GetFreeTrialEndDate"], Literal["ListConfigurationPolicyAssociations"], Literal["GetAdhocInsightResults"], Literal["DeleteInvitations"], Literal["BatchUpdateFindings"], Literal["GetFindingAggregator"], Literal["DeleteFindingAggregator"], Literal["DeclineInvitations"], Literal["BatchGetConfigurationPolicyAssociations"], Literal["ListFindingAggregators"], Literal["ListStandardsControlAssociations"], Literal["DescribeActionTargets"], Literal["ListAutomationRules"], Literal["GetConfigurationPolicy"], Literal["EnableSecurityHub"], Literal["SendInsightEvents"], Literal["UpdateFindings"], Literal["GetFreeTrialUsage"], Literal["DescribeHub"], Literal["UntagResource"], Literal["GetFindings"], Literal["DisableOrganizationAdminAccount"], Literal["DeleteActionTarget"], Literal["BatchEnableStandards"], Literal["ListConfigurationPolicies"], Literal["DescribeStandardsControls"], Literal["DisableImportFindingsForProduct"], Literal["InviteMembers"], Literal["ListTagsForResource"], Literal["StartConfigurationPolicyAssociation"], Literal["EnableImportFindingsForProduct"], Literal["DisableSecurityHub"], Literal["DisassociateFromAdministratorAccount"], Literal["DeleteConfigurationPolicy"], Literal["DescribeStandards"], Literal["ListInvitations"], Literal["UpdateConfigurationPolicy"], Literal["AcceptInvitation"], Literal["DeleteMembers"], Literal["SendFindingEvents"], Literal["GetInsights"], Literal["ListEnabledProductsForImport"], Literal["DeleteInsight"], Literal["GetInsightResults"], Literal["GetControlFindingSummary"]]
aws_securityhub_condition_type = Union[Literal["aws:TagKeys"], Literal["securityhub:ASFFSyntaxPath/${ASFFSyntaxPath}"], Literal["securityhub:TargetAccount"], Literal["aws:RequestTag/${TagKey}"]]

class aws_securityhubStatement(GenericResourceType[aws_securityhub_privilege_type, aws_securityhub_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    