from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_servicecatalog_privilege_type = Union[Literal["EnableAWSOrganizationsAccess"], Literal["UpdateConstraint"], Literal["UpdateProvisioningArtifact"], Literal["ListAssociatedAttributeGroups"], Literal["GetAWSOrganizationsAccessStatus"], Literal["ListProvisionedProductPlans"], Literal["UpdateProduct"], Literal["CreateProvisionedProductPlan"], Literal["AcceptPortfolioShare"], Literal["ListOrganizationPortfolioAccess"], Literal["ListAttributeGroupsForApplication"], Literal["AssociateBudgetWithResource"], Literal["CreateServiceAction"], Literal["DeletePortfolioShare"], Literal["ListApplications"], Literal["RejectPortfolioShare"], Literal["ListPrincipalsForPortfolio"], Literal["DescribeProvisioningParameters"], Literal["TagResource"], Literal["DisassociateTagOptionFromResource"], Literal["AssociateResource"], Literal["ListAssociatedResources"], Literal["DescribeProvisionedProductPlan"], Literal["ExecuteProvisionedProductServiceAction"], Literal["DescribeProductAsAdmin"], Literal["DisassociateProductFromPortfolio"], Literal["ListResourcesForTagOption"], Literal["CreateAttributeGroup"], Literal["BatchDisassociateServiceActionFromProvisioningArtifact"], Literal["DeleteProduct"], Literal["ListAcceptedPortfolioShares"], Literal["AssociatePrincipalWithPortfolio"], Literal["DeleteProvisionedProductPlan"], Literal["PutConfiguration"], Literal["DescribeRecord"], Literal["SyncResource"], Literal["GetConfiguration"], Literal["CreatePortfolioShare"], Literal["DeleteProvisioningArtifact"], Literal["AssociateTagOptionWithResource"], Literal["ListProvisioningArtifacts"], Literal["GetProvisionedProductOutputs"], Literal["UpdateServiceAction"], Literal["DeleteApplication"], Literal["DescribePortfolio"], Literal["NotifyTerminateProvisionedProductEngineWorkflowResult"], Literal["UpdatePortfolio"], Literal["SearchProvisionedProducts"], Literal["UpdatePortfolioShare"], Literal["DescribeProduct"], Literal["CreateTagOption"], Literal["ExecuteProvisionedProductPlan"], Literal["DescribeServiceActionExecutionParameters"], Literal["BatchAssociateServiceActionWithProvisioningArtifact"], Literal["DescribeConstraint"], Literal["DeletePortfolio"], Literal["ListTagOptions"], Literal["DescribeProductView"], Literal["NotifyProvisionProductEngineWorkflowResult"], Literal["AssociateProductWithPortfolio"], Literal["UpdateProvisionedProduct"], Literal["ImportAsProvisionedProduct"], Literal["CreateApplication"], Literal["ListConstraintsForPortfolio"], Literal["UpdateAttributeGroup"], Literal["UpdateApplication"], Literal["DisableAWSOrganizationsAccess"], Literal["CreateConstraint"], Literal["TerminateProvisionedProduct"], Literal["GetAssociatedResource"], Literal["ListRecordHistory"], Literal["DescribePortfolioShareStatus"], Literal["DisassociateResource"], Literal["DisassociatePrincipalFromPortfolio"], Literal["CreatePortfolio"], Literal["DescribeServiceAction"], Literal["CreateProvisioningArtifact"], Literal["ListPortfoliosForProduct"], Literal["ListServiceActionsForProvisioningArtifact"], Literal["DescribeProvisionedProduct"], Literal["DeleteConstraint"], Literal["UntagResource"], Literal["CreateProduct"], Literal["NotifyUpdateProvisionedProductEngineWorkflowResult"], Literal["DescribeCopyProductStatus"], Literal["DisassociateServiceActionFromProvisioningArtifact"], Literal["SearchProducts"], Literal["DescribePortfolioShares"], Literal["CopyProduct"], Literal["DisassociateAttributeGroup"], Literal["ListStackInstancesForProvisionedProduct"], Literal["GetAttributeGroup"], Literal["ScanProvisionedProducts"], Literal["ListAttributeGroups"], Literal["DeleteAttributeGroup"], Literal["ListServiceActions"], Literal["ListPortfolioAccess"], Literal["ProvisionProduct"], Literal["UpdateTagOption"], Literal["ListTagsForResource"], Literal["DeleteServiceAction"], Literal["AssociateAttributeGroup"], Literal["ListPortfolios"], Literal["DeleteTagOption"], Literal["DescribeProvisioningArtifact"], Literal["ListProvisioningArtifactsForServiceAction"], Literal["DisassociateBudgetFromResource"], Literal["DescribeTagOption"], Literal["ListLaunchPaths"], Literal["SearchProductsAsAdmin"], Literal["GetApplication"], Literal["UpdateProvisionedProductProperties"], Literal["AssociateServiceActionWithProvisioningArtifact"], Literal["ListBudgetsForResource"]]
aws_servicecatalog_condition_type = Union[Literal["aws:TagKeys"], Literal["servicecatalog:Resource"], Literal["servicecatalog:userLevel"], Literal["servicecatalog:accountLevel"], Literal["servicecatalog:roleLevel"], Literal["servicecatalog:ResourceType"], Literal["aws:RequestTag/${TagKey}"]]

class aws_servicecatalogStatement(GenericResourceType[aws_servicecatalog_privilege_type, aws_servicecatalog_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    