from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_ses_privilege_type = Union[Literal["CreateEmailIdentityPolicy"], Literal["GetIdentityVerificationAttributes"], Literal["PutConfigurationSetDeliveryOptions"], Literal["DeleteVerifiedEmailAddress"], Literal["DeleteEmailIdentity"], Literal["ListDomainDeliverabilityCampaigns"], Literal["DeleteIdentity"], Literal["PutConfigurationSetSendingOptions"], Literal["GetTemplate"], Literal["ListReceiptFilters"], Literal["GetContact"], Literal["ListSuppressedDestinations"], Literal["SetIdentityDkimEnabled"], Literal["PutConfigurationSetSuppressionOptions"], Literal["ListDedicatedIpPools"], Literal["DeleteTemplate"], Literal["UpdateEmailTemplate"], Literal["CreateExportJob"], Literal["GetDedicatedIps"], Literal["PutAccountDedicatedIpWarmupAttributes"], Literal["CreateDeliverabilityTestReport"], Literal["UpdateConfigurationSetSendingEnabled"], Literal["PutConfigurationSetReputationOptions"], Literal["ListCustomVerificationEmailTemplates"], Literal["UpdateConfigurationSetReputationMetricsEnabled"], Literal["DeleteConfigurationSetTrackingOptions"], Literal["VerifyEmailIdentity"], Literal["TagResource"], Literal["CreateCustomVerificationEmailTemplate"], Literal["ListTemplates"], Literal["VerifyDomainIdentity"], Literal["CreateImportJob"], Literal["GetDedicatedIp"], Literal["ListContacts"], Literal["GetDeliverabilityTestReport"], Literal["CreateConfigurationSetTrackingOptions"], Literal["DeleteReceiptFilter"], Literal["CreateTemplate"], Literal["SetReceiptRulePosition"], Literal["PutAccountSuppressionAttributes"], Literal["DeleteEmailIdentityPolicy"], Literal["PutConfigurationSetVdmOptions"], Literal["ListExportJobs"], Literal["SetActiveReceiptRuleSet"], Literal["PutDeliverabilityDashboardOption"], Literal["SendEmail"], Literal["UpdateEmailIdentityPolicy"], Literal["GetMessageInsights"], Literal["TestRenderEmailTemplate"], Literal["SetIdentityMailFromDomain"], Literal["ListEmailTemplates"], Literal["CreateEmailTemplate"], Literal["GetIdentityNotificationAttributes"], Literal["SendCustomVerificationEmail"], Literal["PutEmailIdentityMailFromAttributes"], Literal["PutSuppressedDestination"], Literal["GetIdentityDkimAttributes"], Literal["UpdateReceiptRule"], Literal["CreateReceiptRule"], Literal["SetIdentityFeedbackForwardingEnabled"], Literal["PutDedicatedIpPoolScalingAttributes"], Literal["GetDeliverabilityDashboardOptions"], Literal["DeleteCustomVerificationEmailTemplate"], Literal["PutAccountDetails"], Literal["UpdateContact"], Literal["UpdateContactList"], Literal["GetDomainStatisticsReport"], Literal["DeleteSuppressedDestination"], Literal["GetEmailIdentityPolicies"], Literal["CreateContact"], Literal["SendBounce"], Literal["ListEmailIdentities"], Literal["ListConfigurationSets"], Literal["GetDomainDeliverabilityCampaign"], Literal["SendBulkEmail"], Literal["DeleteConfigurationSet"], Literal["CreateEmailIdentity"], Literal["GetDedicatedIpPool"], Literal["CreateDedicatedIpPool"], Literal["VerifyEmailAddress"], Literal["CreateReceiptFilter"], Literal["PutDedicatedIpInPool"], Literal["SendBulkTemplatedEmail"], Literal["GetCustomVerificationEmailTemplate"], Literal["TestRenderTemplate"], Literal["ReorderReceiptRuleSet"], Literal["CreateConfigurationSet"], Literal["ListIdentities"], Literal["DescribeActiveReceiptRuleSet"], Literal["GetAccountSendingEnabled"], Literal["SetIdentityHeadersInNotificationsEnabled"], Literal["CreateConfigurationSetEventDestination"], Literal["PutEmailIdentityDkimSigningAttributes"], Literal["PutAccountVdmAttributes"], Literal["DescribeConfigurationSet"], Literal["GetSendStatistics"], Literal["SendRawEmail"], Literal["ListContactLists"], Literal["UpdateConfigurationSetTrackingOptions"], Literal["GetSendQuota"], Literal["DeleteIdentityPolicy"], Literal["PutDedicatedIpWarmupAttributes"], Literal["UpdateCustomVerificationEmailTemplate"], Literal["PutEmailIdentityConfigurationSetAttributes"], Literal["VerifyDomainDkim"], Literal["ListIdentityPolicies"], Literal["ListRecommendations"], Literal["UpdateTemplate"], Literal["ListVerifiedEmailAddresses"], Literal["DeleteDedicatedIpPool"], Literal["GetAccount"], Literal["GetBlacklistReports"], Literal["DeleteReceiptRuleSet"], Literal["GetContactList"], Literal["UntagResource"], Literal["DeleteContactList"], Literal["PutConfigurationSetTrackingOptions"], Literal["PutEmailIdentityFeedbackAttributes"], Literal["UpdateConfigurationSetEventDestination"], Literal["SetIdentityNotificationTopic"], Literal["PutIdentityPolicy"], Literal["ListReceiptRuleSets"], Literal["CreateContactList"], Literal["DeleteContact"], Literal["DescribeReceiptRule"], Literal["ListImportJobs"], Literal["GetImportJob"], Literal["ListTagsForResource"], Literal["GetIdentityMailFromDomainAttributes"], Literal["GetEmailIdentity"], Literal["GetSuppressedDestination"], Literal["DeleteReceiptRule"], Literal["BatchGetMetricData"], Literal["DeleteEmailTemplate"], Literal["DescribeReceiptRuleSet"], Literal["DeleteConfigurationSetEventDestination"], Literal["PutEmailIdentityDkimAttributes"], Literal["SendTemplatedEmail"], Literal["CreateReceiptRuleSet"], Literal["GetConfigurationSet"], Literal["GetConfigurationSetEventDestinations"], Literal["ListDeliverabilityTestReports"], Literal["UpdateAccountSendingEnabled"], Literal["GetExportJob"], Literal["CancelExportJob"], Literal["GetEmailTemplate"], Literal["GetIdentityPolicies"], Literal["PutAccountSendingAttributes"], Literal["CloneReceiptRuleSet"]]
aws_ses_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:ResourceTag/${TagKey}"], Literal["ses:FeedbackAddress"], Literal["ses:ExportSourceType"], Literal["ses:FromDisplayName"], Literal["ses:ApiVersion"], Literal["ses:Recipients"], Literal["ses:FromAddress"], Literal["aws:RequestTag/${TagKey}"]]

class aws_sesStatement(GenericResourceType[aws_ses_privilege_type, aws_ses_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    