from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_ssm_privilege_type = Union[Literal["GetMaintenanceWindowExecutionTaskInvocation"], Literal["GetConnectionStatus"], Literal["ListInventoryEntries"], Literal["RegisterTargetWithMaintenanceWindow"], Literal["DeleteActivation"], Literal["UpdateDocument"], Literal["ModifyDocumentPermission"], Literal["GetDocument"], Literal["DescribeActivations"], Literal["GetParameterHistory"], Literal["DeleteAssociation"], Literal["UpdateMaintenanceWindowTask"], Literal["DescribeDocumentPermission"], Literal["ListAssociations"], Literal["LabelParameterVersion"], Literal["RemoveTagsFromResource"], Literal["UpdateInstanceInformation"], Literal["GetMaintenanceWindowTask"], Literal["GetInventory"], Literal["CreateOpsMetadata"], Literal["ListOpsMetadata"], Literal["CreateActivation"], Literal["DeleteDocument"], Literal["ListInstanceAssociations"], Literal["StartSession"], Literal["UpdateInstanceAssociationStatus"], Literal["DeleteOpsMetadata"], Literal["DescribeSessions"], Literal["GetInventorySchema"], Literal["GetManifest"], Literal["DeleteResourcePolicy"], Literal["DescribeAssociationExecutionTargets"], Literal["RegisterManagedInstance"], Literal["ListDocumentMetadataHistory"], Literal["GetCalendarState"], Literal["SendCommand"], Literal["UpdateAssociationStatus"], Literal["CreateDocument"], Literal["DescribeDocumentParameters"], Literal["ListComplianceItems"], Literal["GetCalendar"], Literal["ResetServiceSetting"], Literal["DeregisterPatchBaselineForPatchGroup"], Literal["DeleteResourceDataSync"], Literal["PutConfigurePackageResult"], Literal["GetDefaultPatchBaseline"], Literal["GetAutomationExecution"], Literal["UpdateOpsItem"], Literal["DescribeEffectivePatchesForPatchBaseline"], Literal["CancelMaintenanceWindowExecution"], Literal["CancelCommand"], Literal["TerminateSession"], Literal["UpdateResourceDataSync"], Literal["ListAssociationVersions"], Literal["DescribeInstancePatchStates"], Literal["GetParameter"], Literal["DeleteMaintenanceWindow"], Literal["DescribePatchProperties"], Literal["CreateAssociationBatch"], Literal["DescribeAssociation"], Literal["DeregisterTargetFromMaintenanceWindow"], Literal["RegisterTaskWithMaintenanceWindow"], Literal["DescribeMaintenanceWindowExecutionTasks"], Literal["GetPatchBaseline"], Literal["DescribeMaintenanceWindowTasks"], Literal["DeleteParameter"], Literal["DescribeEffectiveInstanceAssociations"], Literal["GetMaintenanceWindowExecutionTask"], Literal["DescribeMaintenanceWindows"], Literal["StartAssociationsOnce"], Literal["UpdateServiceSetting"], Literal["ListOpsItemEvents"], Literal["RegisterPatchBaselineForPatchGroup"], Literal["DeleteInventory"], Literal["GetResourcePolicies"], Literal["PutCalendar"], Literal["UpdateMaintenanceWindow"], Literal["DeleteParameters"], Literal["ResumeSession"], Literal["GetServiceSetting"], Literal["UpdateAssociation"], Literal["DescribeInstancePatchStatesForPatchGroup"], Literal["DescribeMaintenanceWindowsForTarget"], Literal["ListCommandInvocations"], Literal["GetDeployablePatchSnapshotForInstance"], Literal["DescribeOpsItems"], Literal["DeregisterTaskFromMaintenanceWindow"], Literal["DescribeDocument"], Literal["DescribeMaintenanceWindowTargets"], Literal["DescribeInstanceInformation"], Literal["DescribeAutomationStepExecutions"], Literal["GetOpsItem"], Literal["PutResourcePolicy"], Literal["DescribeMaintenanceWindowSchedule"], Literal["CreatePatchBaseline"], Literal["ListResourceComplianceSummaries"], Literal["UpdateDocumentMetadata"], Literal["GetMaintenanceWindow"], Literal["ListDocuments"], Literal["DescribeInstanceProperties"], Literal["CreateMaintenanceWindow"], Literal["ListComplianceSummaries"], Literal["RegisterDefaultPatchBaseline"], Literal["StartChangeRequestExecution"], Literal["UpdatePatchBaseline"], Literal["DescribePatchGroups"], Literal["CreateAssociation"], Literal["DescribePatchGroupState"], Literal["GetParameters"], Literal["PutInventory"], Literal["GetCommandInvocation"], Literal["UpdateDocumentDefaultVersion"], Literal["ListOpsItemRelatedItems"], Literal["PutComplianceItems"], Literal["ListResourceDataSync"], Literal["DeletePatchBaseline"], Literal["DescribeAutomationExecutions"], Literal["DescribeAvailablePatches"], Literal["UpdateMaintenanceWindowTarget"], Literal["DescribePatchBaselines"], Literal["UnlabelParameterVersion"], Literal["SendAutomationSignal"], Literal["GetMaintenanceWindowExecution"], Literal["DescribeInstancePatches"], Literal["DescribeParameters"], Literal["AssociateOpsItemRelatedItem"], Literal["DescribeMaintenanceWindowExecutionTaskInvocations"], Literal["ListTagsForResource"], Literal["DeleteOpsItem"], Literal["PutParameter"], Literal["StopAutomationExecution"], Literal["ListDocumentVersions"], Literal["AddTagsToResource"], Literal["GetOpsMetadata"], Literal["CreateResourceDataSync"], Literal["GetPatchBaselineForPatchGroup"], Literal["UpdateOpsMetadata"], Literal["DescribeAssociationExecutions"], Literal["GetParametersByPath"], Literal["StartAutomationExecution"], Literal["DeregisterManagedInstance"], Literal["UpdateManagedInstanceRole"], Literal["CreateOpsItem"], Literal["ListCommands"], Literal["DescribeMaintenanceWindowExecutions"], Literal["DisassociateOpsItemRelatedItem"], Literal["GetOpsSummary"], Literal["DescribeInventoryDeletions"], Literal["DescribeInstanceAssociationsStatus"]]
aws_ssm_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:ResourceTag/${TagKey}"], Literal["ssm:resourceTag/${TagKey}"], Literal["ssm:AutoApprove"], Literal["ssm:SessionDocumentAccessCheck"], Literal["ssm:DocumentCategories"], Literal["ec2:SourceInstanceARN"], Literal["ssm:SourceInstanceARN"], Literal["ssm:resourceTag/tag-key"], Literal["ssm:Overwrite"], Literal["ssm:Recursive"], Literal["ssm:resourceTag/aws:ssmmessages:session-id"], Literal["ssm:SyncType"], Literal["ssm:resourceTag/aws:ssmmessages:target-id"], Literal["aws:RequestTag/${TagKey}"]]

class aws_ssmStatement(GenericResourceType[aws_ssm_privilege_type, aws_ssm_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    