from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_sso_privilege_type = Union[Literal["AttachManagedPolicyToPermissionSet"], Literal["DescribePermissionSetProvisioningStatus"], Literal["DescribeApplication"], Literal["UpdateTrust"], Literal["DeleteInstance"], Literal["GetApplicationTemplate"], Literal["ProvisionPermissionSet"], Literal["DeleteAccountAssignment"], Literal["UpdateManagedApplicationInstanceStatus"], Literal["AssociateDirectory"], Literal["PutPermissionsBoundaryToPermissionSet"], Literal["CreatePermissionSet"], Literal["DescribeAccountAssignmentDeletionStatus"], Literal["ListApplicationProviders"], Literal["DeleteProfile"], Literal["ListApplicationTemplates"], Literal["DeletePermissionsBoundaryFromPermissionSet"], Literal["GetMfaDeviceManagementForDirectory"], Literal["DescribePermissionsPolicies"], Literal["DeleteApplicationAccessScope"], Literal["DisassociateProfile"], Literal["DescribeInstanceAccessControlAttributeConfiguration"], Literal["GetProfile"], Literal["SearchGroups"], Literal["DeleteApplicationInstance"], Literal["DescribeTrustedTokenIssuer"], Literal["UpdateApplicationInstanceResponseSchemaConfiguration"], Literal["ListApplicationAssignmentsForPrincipal"], Literal["DescribeApplicationAssignment"], Literal["DeleteInstanceAccessControlAttributeConfiguration"], Literal["PutInlinePolicyToPermissionSet"], Literal["CreateProfile"], Literal["ListApplications"], Literal["ListAccountAssignmentsForPrincipal"], Literal["CreateInstance"], Literal["ListApplicationGrants"], Literal["ListAccountAssignments"], Literal["ListApplicationAssignments"], Literal["TagResource"], Literal["ListApplicationAuthenticationMethods"], Literal["PutMfaDeviceManagementForDirectory"], Literal["DescribePermissionSet"], Literal["DeleteManagedApplicationInstance"], Literal["UpdateApplicationInstanceServiceProviderConfiguration"], Literal["PutPermissionsPolicy"], Literal["ListTrustedTokenIssuers"], Literal["UpdateDirectoryAssociation"], Literal["DeleteApplicationAuthenticationMethod"], Literal["UpdatePermissionSet"], Literal["PutApplicationAuthenticationMethod"], Literal["GetPermissionSet"], Literal["GetManagedApplicationInstance"], Literal["DescribeTrusts"], Literal["ListAccountAssignmentCreationStatus"], Literal["GetTrust"], Literal["ListDirectoryAssociations"], Literal["DescribeDirectories"], Literal["CreateApplicationInstanceCertificate"], Literal["ListInstances"], Literal["ListAccountsForProvisionedPermissionSet"], Literal["DeleteApplication"], Literal["DeleteTrustedTokenIssuer"], Literal["GetSSOStatus"], Literal["GetSsoConfiguration"], Literal["CreateApplicationAssignment"], Literal["CreateTrustedTokenIssuer"], Literal["ListProfiles"], Literal["DescribeInstance"], Literal["DescribeAccountAssignmentCreationStatus"], Literal["UpdateApplicationInstanceSecurityConfiguration"], Literal["DeleteInlinePolicyFromPermissionSet"], Literal["StartSSO"], Literal["ListApplicationInstanceCertificates"], Literal["GetApplicationAuthenticationMethod"], Literal["DeleteApplicationGrant"], Literal["SearchUsers"], Literal["AssociateProfile"], Literal["CreateApplication"], Literal["DescribeRegisteredRegions"], Literal["GetPermissionsBoundaryForPermissionSet"], Literal["UpdateApplication"], Literal["UpdateProfile"], Literal["ListPermissionSetsProvisionedToAccount"], Literal["CreateInstanceAccessControlAttributeConfiguration"], Literal["ListApplicationInstances"], Literal["ListApplicationAccessScopes"], Literal["CreateAccountAssignment"], Literal["DeleteApplicationAssignment"], Literal["DeleteApplicationInstanceCertificate"], Literal["ListPermissionSetProvisioningStatus"], Literal["ListPermissionSets"], Literal["UpdateInstanceAccessControlAttributeConfiguration"], Literal["ListCustomerManagedPolicyReferencesInPermissionSet"], Literal["DetachCustomerManagedPolicyReferenceFromPermissionSet"], Literal["ImportApplicationInstanceServiceProviderMetadata"], Literal["UpdateApplicationInstanceResponseConfiguration"], Literal["GetApplicationInstance"], Literal["UpdateSSOConfiguration"], Literal["GetSharedSsoConfiguration"], Literal["UpdateTrustedTokenIssuer"], Literal["DescribeApplicationProvider"], Literal["GetApplicationAccessScope"], Literal["UntagResource"], Literal["PutApplicationGrant"], Literal["CreateManagedApplicationInstance"], Literal["ListAccountAssignmentDeletionStatus"], Literal["UpdateApplicationInstanceActiveCertificate"], Literal["DisassociateDirectory"], Literal["UpdateApplicationInstanceDisplayData"], Literal["ListManagedPoliciesInPermissionSet"], Literal["DeletePermissionSet"], Literal["ListTagsForResource"], Literal["DeletePermissionsPolicy"], Literal["GetInlinePolicyForPermissionSet"], Literal["PutApplicationAccessScope"], Literal["GetApplicationGrant"], Literal["PutApplicationAssignmentConfiguration"], Literal["GetApplicationAssignmentConfiguration"], Literal["GetPermissionsPolicy"], Literal["CreateApplicationInstance"], Literal["UpdateInstance"], Literal["ListProfileAssociations"], Literal["DetachManagedPolicyFromPermissionSet"], Literal["CreateTrust"], Literal["AttachCustomerManagedPolicyReferenceToPermissionSet"], Literal["UpdateApplicationInstanceStatus"]]
aws_sso_condition_type = Union[Literal["aws:TagKeys"], Literal["sso:ApplicationAccount"], Literal["aws:RequestTag/${TagKey}"]]

class aws_ssoStatement(GenericResourceType[aws_sso_privilege_type, aws_sso_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    