from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_storagegateway_privilege_type = Union[Literal["UpdateGatewaySoftwareNow"], Literal["ListVolumeRecoveryPoints"], Literal["UpdateFileSystemAssociation"], Literal["StartAvailabilityMonitorTest"], Literal["ListAutomaticTapeCreationPolicies"], Literal["AddCache"], Literal["DescribeVTLDevices"], Literal["ListVolumeInitiators"], Literal["CreateSnapshotFromVolumeRecoveryPoint"], Literal["AssociateFileSystem"], Literal["RemoveTagsFromResource"], Literal["ActivateGateway"], Literal["DeleteTape"], Literal["AssignTapePool"], Literal["CreateCachediSCSIVolume"], Literal["DescribeSMBFileShares"], Literal["DescribeStorediSCSIVolumes"], Literal["UpdateNFSFileShare"], Literal["DetachVolume"], Literal["CreateTapes"], Literal["DescribeBandwidthRateLimitSchedule"], Literal["UpdateSnapshotSchedule"], Literal["SetLocalConsolePassword"], Literal["UpdateGatewayInformation"], Literal["RefreshCache"], Literal["ResetCache"], Literal["UpdateAutomaticTapeCreationPolicy"], Literal["UpdateSMBLocalGroups"], Literal["DescribeSnapshotSchedule"], Literal["CancelArchival"], Literal["DescribeAvailabilityMonitorTest"], Literal["DescribeCachediSCSIVolumes"], Literal["UpdateBandwidthRateLimitSchedule"], Literal["DescribeBandwidthRateLimit"], Literal["DescribeTapeRecoveryPoints"], Literal["JoinDomain"], Literal["DescribeFileSystemAssociations"], Literal["CreateTapePool"], Literal["DescribeUploadBuffer"], Literal["DescribeSMBSettings"], Literal["DeleteChapCredentials"], Literal["DescribeNFSFileShares"], Literal["ListGateways"], Literal["DeleteTapePool"], Literal["UpdateBandwidthRateLimit"], Literal["DeleteBandwidthRateLimit"], Literal["NotifyWhenUploaded"], Literal["CreateNFSFileShare"], Literal["DeleteAutomaticTapeCreationPolicy"], Literal["UpdateMaintenanceStartTime"], Literal["DescribeWorkingStorage"], Literal["CreateSnapshot"], Literal["DescribeGatewayInformation"], Literal["DeleteFileShare"], Literal["ListFileSystemAssociations"], Literal["RetrieveTapeRecoveryPoint"], Literal["CancelRetrieval"], Literal["UpdateSMBFileShare"], Literal["DeleteGateway"], Literal["SetSMBGuestPassword"], Literal["ListTapes"], Literal["StartGateway"], Literal["ListVolumes"], Literal["AttachVolume"], Literal["AddWorkingStorage"], Literal["ListTapePools"], Literal["RetrieveTapeArchive"], Literal["CreateTapeWithBarcode"], Literal["DisableGateway"], Literal["CreateSMBFileShare"], Literal["DescribeCache"], Literal["DescribeChapCredentials"], Literal["DescribeMaintenanceStartTime"], Literal["DescribeTapes"], Literal["CreateStorediSCSIVolume"], Literal["DeleteTapeArchive"], Literal["DescribeTapeArchives"], Literal["BypassGovernanceRetention"], Literal["AddUploadBuffer"], Literal["ListTagsForResource"], Literal["UpdateVTLDeviceType"], Literal["UpdateChapCredentials"], Literal["AddTagsToResource"], Literal["DeleteSnapshotSchedule"], Literal["DisassociateFileSystem"], Literal["ListFileShares"], Literal["UpdateSMBFileShareVisibility"], Literal["ShutdownGateway"], Literal["UpdateSMBSecurityStrategy"], Literal["ListLocalDisks"], Literal["DeleteVolume"]]
aws_storagegateway_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_storagegatewayStatement(GenericResourceType[aws_storagegateway_privilege_type, aws_storagegateway_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    