from typing import Union, Literal, List
from hangar_sdk.core.rbac.aws.base_type import GenericResourceType
from hangar_sdk.resources.terraform import AbstractTerraformResource

aws_workmail_privilege_type = Union[Literal["GetImpersonationRoleEffect"], Literal["TestOutboundMailFlowRules"], Literal["UpdateMailboxQuota"], Literal["DeregisterMailDomain"], Literal["ResetPassword"], Literal["CreateMobileDeviceAccessRule"], Literal["SetMobilePolicyDetails"], Literal["DisableMailUsers"], Literal["ListMailDomains"], Literal["ListUsers"], Literal["RegisterMailDomain"], Literal["AddMembersToGroup"], Literal["CreateGroup"], Literal["CancelMailboxExportJob"], Literal["ListMailboxExportJobs"], Literal["SetAdmin"], Literal["UpdateImpersonationRole"], Literal["DescribeMailDomains"], Literal["DescribeInboundDmarcSettings"], Literal["DeleteInboundMailFlowRule"], Literal["DisassociateDelegateFromResource"], Literal["ListOutboundMailFlowRules"], Literal["SetMailUserDetails"], Literal["CreateAlias"], Literal["ListAccessControlRules"], Literal["GetMailUserDetails"], Literal["ListOrganizations"], Literal["DeleteRetentionPolicy"], Literal["RemoveMembersFromGroup"], Literal["UpdatePrimaryEmailAddress"], Literal["UpdateOutboundMailFlowRule"], Literal["DescribeKmsKeys"], Literal["ListMembersInMailGroup"], Literal["CreateSmtpGateway"], Literal["DeleteMobileDeviceAccessRule"], Literal["PutInboundDmarcSettings"], Literal["RegisterToWorkMail"], Literal["TagResource"], Literal["ListAliases"], Literal["DescribeOrganization"], Literal["DescribeMailUsers"], Literal["GetMailboxDetails"], Literal["CreateOutboundMailFlowRule"], Literal["DeleteAccessControlRule"], Literal["DeleteSmtpGateway"], Literal["SetMailGroupDetails"], Literal["EnableMailDomain"], Literal["CreateOrganization"], Literal["GetMobilePolicyDetails"], Literal["GetDefaultRetentionPolicy"], Literal["DescribeDirectories"], Literal["DisassociateMemberFromGroup"], Literal["PutMailboxPermissions"], Literal["DescribeEntity"], Literal["TestInboundMailFlowRules"], Literal["WipeMobileDevice"], Literal["ListSmtpGateways"], Literal["ListGroups"], Literal["CreateResource"], Literal["DisableMailGroups"], Literal["DeleteAvailabilityConfiguration"], Literal["DeleteEmailMonitoringConfiguration"], Literal["CreateInboundMailFlowRule"], Literal["ListInboundMailFlowRules"], Literal["GetAccessControlEffect"], Literal["GetMailDomain"], Literal["CreateAvailabilityConfiguration"], Literal["DeleteMailboxPermissions"], Literal["DeleteMailDomain"], Literal["DescribeInboundMailFlowRule"], Literal["DeleteUser"], Literal["SetDefaultMailDomain"], Literal["DescribeSmtpGateway"], Literal["PutEmailMonitoringConfiguration"], Literal["AssociateMemberToGroup"], Literal["ListResources"], Literal["UpdateGroup"], Literal["PutAccessControlRule"], Literal["PutRetentionPolicy"], Literal["StartMailboxExportJob"], Literal["ListGroupsForEntity"], Literal["ListMobileDeviceAccessOverrides"], Literal["CreateUser"], Literal["DeleteOrganization"], Literal["ListMailboxPermissions"], Literal["GetMobileDeviceDetails"], Literal["ListResourceDelegates"], Literal["SetJournalingRules"], Literal["UpdateInboundMailFlowRule"], Literal["PutMobileDeviceAccessOverride"], Literal["CreateMailUser"], Literal["DeregisterFromWorkMail"], Literal["DescribeResource"], Literal["DescribeEmailMonitoringConfiguration"], Literal["AssumeImpersonationRole"], Literal["ListAvailabilityConfigurations"], Literal["DescribeMailboxExportJob"], Literal["DeleteMobileDeviceAccessOverride"], Literal["DeleteMobileDevice"], Literal["DeleteResource"], Literal["DescribeUser"], Literal["UpdateSmtpGateway"], Literal["DeleteOutboundMailFlowRule"], Literal["UpdateAvailabilityConfiguration"], Literal["AssociateDelegateToResource"], Literal["UpdateDefaultMailDomain"], Literal["CreateMailDomain"], Literal["ListImpersonationRoles"], Literal["UpdateUser"], Literal["ResetUserPassword"], Literal["EnableMailGroups"], Literal["ListMobileDeviceAccessRules"], Literal["UpdateResource"], Literal["UntagResource"], Literal["GetMailDomainDetails"], Literal["SearchMembers"], Literal["CreateImpersonationRole"], Literal["DeleteAlias"], Literal["GetImpersonationRole"], Literal["ListTagsForResource"], Literal["TestAvailabilityConfiguration"], Literal["GetMobileDevicesForUser"], Literal["GetMailGroupDetails"], Literal["DescribeOrganizations"], Literal["DescribeGroup"], Literal["ListGroupMembers"], Literal["DeleteImpersonationRole"], Literal["GetJournalingRules"], Literal["DeleteGroup"], Literal["EnableMailUsers"], Literal["UpdateMobileDeviceAccessRule"], Literal["DescribeOutboundMailFlowRule"], Literal["GetMobileDeviceAccessOverride"], Literal["GetMobileDeviceAccessEffect"], Literal["DescribeMailGroups"]]
aws_workmail_condition_type = Union[Literal["aws:TagKeys"], Literal["aws:RequestTag/${TagKey}"]]

class aws_workmailStatement(GenericResourceType[aws_workmail_privilege_type, aws_workmail_condition_type]):
    def __init__(self, policy=None,  arns: List = [],  resources: List[AbstractTerraformResource] = None):
        super().__init__(policy, arns, resources)
    